/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BIOPATTERN_BPF_SKEL_H__
#define __BIOPATTERN_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct biopattern_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *counters;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handle__block_rq_complete;
	} progs;
	struct {
		struct bpf_link *handle__block_rq_complete;
	} links;
	struct biopattern_bpf__rodata {
		bool filter_dev;
		__u32 targ_dev;
	} *rodata;

#ifdef __cplusplus
	static inline struct biopattern_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct biopattern_bpf *open_and_load();
	static inline int load(struct biopattern_bpf *skel);
	static inline int attach(struct biopattern_bpf *skel);
	static inline void detach(struct biopattern_bpf *skel);
	static inline void destroy(struct biopattern_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
biopattern_bpf__destroy(struct biopattern_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
biopattern_bpf__create_skeleton(struct biopattern_bpf *obj);

static inline struct biopattern_bpf *
biopattern_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct biopattern_bpf *obj;
	int err;

	obj = (struct biopattern_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = biopattern_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	biopattern_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct biopattern_bpf *
biopattern_bpf__open(void)
{
	return biopattern_bpf__open_opts(NULL);
}

static inline int
biopattern_bpf__load(struct biopattern_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct biopattern_bpf *
biopattern_bpf__open_and_load(void)
{
	struct biopattern_bpf *obj;
	int err;

	obj = biopattern_bpf__open();
	if (!obj)
		return NULL;
	err = biopattern_bpf__load(obj);
	if (err) {
		biopattern_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
biopattern_bpf__attach(struct biopattern_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
biopattern_bpf__detach(struct biopattern_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *biopattern_bpf__elf_bytes(size_t *sz);

static inline int
biopattern_bpf__create_skeleton(struct biopattern_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "biopattern_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "counters";
	s->maps[0].map = &obj->maps.counters;

	s->maps[1].name = "biopatte.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle__block_rq_complete";
	s->progs[0].prog = &obj->progs.handle__block_rq_complete;
	s->progs[0].link = &obj->links.handle__block_rq_complete;

	s->data = biopattern_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *biopattern_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xe0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\xbf\x61\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x7b\xa1\
\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x15\x10\0\x11\0\
\0\0\0\xb7\x10\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\
\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe0\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\
\x71\xb7\x10\0\0\0\0\0\x10\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x7a\xff\
\xe0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe0\xb7\x20\0\0\0\0\0\
\x04\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\0\x05\0\0\x10\0\0\0\0\xb7\x10\0\0\0\
\0\0\x08\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\
\0\xff\xff\xff\xe0\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\
\x10\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x7a\xff\xe0\0\0\0\0\xbf\x1a\0\
\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe0\xb7\x20\0\0\0\0\0\x04\x85\0\0\0\0\0\0\
\x71\xb7\x10\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x61\x8a\xff\xe0\0\0\0\0\xbf\x1a\0\
\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe0\xb7\x20\0\0\0\0\0\x04\xbf\x36\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x71\x61\x1a\xff\xe0\0\0\0\0\x63\xa1\xff\xe0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x5d\x21\0\x2b\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x01\x55\0\0\x14\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\
\xff\xff\xe0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x85\0\0\0\0\0\0\x02\x67\0\0\0\0\0\0\
\x20\x77\0\0\0\0\0\0\x20\x18\x10\0\0\xff\xff\xff\xef\0\0\0\0\0\0\0\0\x1d\x01\0\
\x01\0\0\0\0\x55\0\0\x17\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xe0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x11\0\0\0\
\0\x79\x20\0\0\0\0\0\0\x15\x20\0\x0c\0\0\0\0\xb7\x10\0\0\0\0\0\x10\x1d\x27\0\
\x01\0\0\0\0\xb7\x10\0\0\0\0\0\x14\xbf\x20\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xb7\
\x10\0\0\0\0\0\x01\xc3\x21\0\0\0\0\0\0\xbf\x18\0\0\0\0\0\0\x67\x10\0\0\0\0\0\
\x09\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\xdb\x01\0\x08\0\0\0\0\xbf\x18\
\0\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x7b\x07\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x47\x50\x4c\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\0\0\0\x03\0\
\0\0\x04\x7f\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\
\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\
\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\
\0\0\x09\0\0\0\x1d\x08\0\0\0\0\0\0\x0a\0\0\0\x23\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x30\x04\0\0\x04\0\0\0\x18\0\0\0\x38\0\0\0\
\x0d\0\0\0\0\0\0\0\x44\0\0\0\x0d\0\0\0\x40\0\0\0\x4a\0\0\0\x09\0\0\0\x80\0\0\0\
\x55\0\0\0\x09\0\0\0\xa0\0\0\0\x5c\x08\0\0\0\0\0\0\x0e\0\0\0\x62\x01\0\0\0\0\0\
\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x75\0\0\0\x01\0\0\0\0\0\0\
\0\x7a\0\0\0\x05\0\0\0\x40\0\0\0\x86\0\0\0\x07\0\0\0\x80\0\0\0\x8a\0\0\0\x0b\0\
\0\0\xc0\0\0\0\x90\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x99\0\0\0\x11\0\0\0\x9e\x0c\0\0\x01\0\0\0\x12\
\0\0\x01\x6a\x04\0\0\x03\0\0\0\x18\0\0\x01\x92\0\0\0\x15\0\0\0\0\0\0\x01\x96\0\
\0\0\x17\0\0\0\x40\0\0\x01\x9d\0\0\0\x0a\0\0\0\x80\0\0\x01\xa7\x08\0\0\0\0\0\0\
\x16\0\0\x01\xad\x08\0\0\0\0\0\0\x08\0\0\x01\xbc\x08\0\0\0\0\0\0\x18\0\0\x01\
\xc5\x08\0\0\0\0\0\0\x0d\0\0\x02\x4d\x04\0\0\x03\0\0\0\x18\0\0\x01\x92\0\0\0\
\x15\0\0\0\0\0\0\x01\x96\0\0\0\x17\0\0\0\x40\0\0\x01\x9d\0\0\0\x0a\0\0\0\x80\0\
\0\0\0\x0a\0\0\0\0\0\0\x1b\0\0\0\0\x09\0\0\0\0\0\0\x1c\0\0\x04\x3d\x08\0\0\0\0\
\0\0\x1d\0\0\x04\x42\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\x04\x48\x0e\0\0\0\0\0\
\0\x1a\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x20\0\0\0\0\x09\0\0\0\0\0\0\x09\0\0\
\x04\x53\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x04\x5c\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x04\0\0\0\x04\0\0\x04\x61\x0e\0\
\0\0\0\0\0\x23\0\0\0\x01\0\0\x04\x69\x0f\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x20\0\0\x04\x6f\x0f\0\0\x02\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x21\0\
\0\0\0\0\0\0\x04\0\0\x04\x77\x0f\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6c\x61\x73\x74\x5f\x73\
\x65\x63\x74\x6f\x72\0\x62\x79\x74\x65\x73\0\x73\x65\x71\x75\x65\x6e\x74\x69\
\x61\x6c\0\x72\x61\x6e\x64\x6f\x6d\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x63\x6f\x75\x6e\x74\x65\x72\x73\0\x61\x72\x67\x73\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x5f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x62\x6c\x6f\x63\x6b\x2f\x62\x6c\
\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\
\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\
\x6f\x6c\x73\x2f\x62\x69\x6f\x70\x61\x74\x74\x65\x72\x6e\x2e\x62\x70\x66\x2e\
\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x62\x6c\x6f\x63\x6b\x5f\
\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\x28\x76\x6f\x69\x64\x20\x2a\x61\
\x72\x67\x73\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x63\x6f\x75\x6e\x74\x65\x72\
\x20\x2a\x63\x6f\x75\x6e\x74\x65\x72\x70\x2c\x20\x7a\x65\x72\x6f\x20\x3d\x20\
\x7b\x7d\x3b\0\x74\x72\x61\x63\x65\x5f\x65\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\
\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x69\x6f\x6e\
\x5f\x5f\x5f\x78\0\x64\x65\x76\0\x73\x65\x63\x74\x6f\x72\0\x6e\x72\x5f\x73\x65\
\x63\x74\x6f\x72\0\x64\x65\x76\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\
\x64\x65\x76\x5f\x74\0\x73\x65\x63\x74\x6f\x72\x5f\x74\0\x75\x36\x34\0\x30\0\
\x09\x69\x66\x20\x28\x68\x61\x73\x5f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\
\x6f\x6d\x70\x6c\x65\x74\x69\x6f\x6e\x28\x29\x29\x20\x7b\0\x30\x3a\x31\0\x09\
\x09\x73\x65\x63\x74\x6f\x72\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\
\x52\x45\x41\x44\x28\x63\x74\x78\x2c\x20\x73\x65\x63\x74\x6f\x72\x29\x3b\0\x30\
\x3a\x32\0\x09\x09\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\x20\x3d\x20\x42\x50\x46\
\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x63\x74\x78\x2c\x20\x6e\x72\x5f\
\x73\x65\x63\x74\x6f\x72\x29\x3b\0\x30\x3a\x30\0\x74\x72\x61\x63\x65\x5f\x65\
\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x62\x6c\x6f\x63\x6b\x5f\x72\x71\x5f\x63\
\x6f\x6d\x70\x6c\x65\x74\x65\x5f\x5f\x5f\x78\0\x09\x69\x66\x20\x28\x66\x69\x6c\
\x74\x65\x72\x5f\x64\x65\x76\x20\x26\x26\x20\x74\x61\x72\x67\x5f\x64\x65\x76\
\x20\x21\x3d\x20\x64\x65\x76\x29\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\
\x2e\x31\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x2e\x2f\x6d\
\x61\x70\x73\x2e\x62\x70\x66\x2e\x68\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\
\x70\x2c\x20\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\x29\0\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x2c\x20\x69\x6e\
\x69\x74\x2c\x20\x42\x50\x46\x5f\x4e\x4f\x45\x58\x49\x53\x54\x29\x3b\0\x09\x69\
\x66\x20\x28\x65\x72\x72\x20\x26\x26\x20\x65\x72\x72\x20\x21\x3d\x20\x2d\x45\
\x45\x58\x49\x53\x54\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\
\x20\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x63\x6f\x75\x6e\x74\x65\x72\
\x70\x29\0\x09\x69\x66\x20\x28\x63\x6f\x75\x6e\x74\x65\x72\x70\x2d\x3e\x6c\x61\
\x73\x74\x5f\x73\x65\x63\x74\x6f\x72\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x63\
\x6f\x75\x6e\x74\x65\x72\x70\x2d\x3e\x6c\x61\x73\x74\x5f\x73\x65\x63\x74\x6f\
\x72\x20\x3d\x3d\x20\x73\x65\x63\x74\x6f\x72\x29\0\x09\x09\x5f\x5f\x73\x79\x6e\
\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x63\x6f\
\x75\x6e\x74\x65\x72\x70\x2d\x3e\x62\x79\x74\x65\x73\x2c\x20\x6e\x72\x5f\x73\
\x65\x63\x74\x6f\x72\x20\x2a\x20\x35\x31\x32\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\
\x65\x72\x70\x2d\x3e\x6c\x61\x73\x74\x5f\x73\x65\x63\x74\x6f\x72\x20\x3d\x20\
\x73\x65\x63\x74\x6f\x72\x20\x2b\x20\x6e\x72\x5f\x73\x65\x63\x74\x6f\x72\x3b\0\
\x7d\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x66\x69\x6c\x74\x65\x72\x5f\x64\
\x65\x76\0\x74\x61\x72\x67\x5f\x64\x65\x76\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\x02\x4c\0\0\x02\x60\0\0\0\x7c\0\0\0\x08\0\0\0\xb8\0\0\0\x01\0\0\0\0\0\0\0\x13\
\0\0\0\x10\0\0\0\xb8\0\0\0\x24\0\0\0\0\0\0\0\xdb\0\0\x01\x1a\0\0\x54\0\0\0\0\
\x10\0\0\0\xdb\0\0\x01\x44\0\0\x5c\x1c\0\0\0\x30\0\0\0\xdb\0\0\x01\xcb\0\0\x70\
\x06\0\0\0\x58\0\0\0\xdb\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\xdb\0\0\x01\xf1\0\0\
\x78\x0c\0\0\0\x88\0\0\0\xdb\0\0\x01\xf1\0\0\x78\x0c\0\0\0\x98\0\0\0\xdb\0\0\0\
\0\0\0\0\0\0\0\0\xa0\0\0\0\xdb\0\0\x02\x1c\0\0\x7c\x0f\0\0\0\xe0\0\0\0\xdb\0\0\
\0\0\0\0\0\0\0\0\0\xe8\0\0\0\xdb\0\0\x01\xf1\0\0\x8c\x0c\0\0\x01\x10\0\0\0\xdb\
\0\0\x01\xf1\0\0\x8c\x0c\0\0\x01\x20\0\0\0\xdb\0\0\0\0\0\0\0\0\0\0\x01\x28\0\0\
\0\xdb\0\0\x02\x1c\0\0\x90\x0f\0\0\x01\x48\0\0\0\xdb\0\0\0\0\0\0\0\0\0\0\x01\
\x88\0\0\0\xdb\0\0\x02\x73\0\0\xa0\x06\0\0\x01\xa0\0\0\0\xdb\0\0\x02\x73\0\0\
\xa0\x11\0\0\x01\xa8\0\0\0\xdb\0\0\x02\x73\0\0\xa0\x14\0\0\x01\xc0\0\0\0\xdb\0\
\0\x02\x73\0\0\xa0\x06\0\0\x01\xd0\0\0\x02\x97\0\0\0\0\0\0\0\0\0\0\x01\xd8\0\0\
\x02\x97\0\0\x02\xd2\0\0\x7c\x08\0\0\x01\xf0\0\0\x02\x97\0\0\x02\xf8\0\0\x80\
\x06\0\0\x02\0\0\0\x02\x97\0\0\x03\x02\0\0\x8c\x08\0\0\x02\x58\0\0\x02\x97\0\0\
\x03\x3b\0\0\x90\x0a\0\0\x02\x70\0\0\x02\x97\0\0\x03\x57\0\0\x9c\x09\0\0\x02\
\x90\0\0\0\xdb\0\0\x03\x7e\0\0\xb0\x06\0\0\x02\x98\0\0\0\xdb\0\0\x03\x8e\0\0\
\xb8\x10\0\0\x02\xa0\0\0\0\xdb\0\0\x03\x8e\0\0\xb8\x06\0\0\x02\xb0\0\0\0\xdb\0\
\0\x03\xac\0\0\xbc\x07\0\0\x02\xc0\0\0\0\xdb\0\0\0\0\0\0\0\0\0\0\x02\xe0\0\0\0\
\xdb\0\0\x03\xd3\0\0\xcc\x34\0\0\x02\xf0\0\0\0\xdb\0\0\x03\xd3\0\0\xcc\x2a\0\0\
\x03\0\0\0\0\xdb\0\0\x03\xd3\0\0\xcc\x03\0\0\x03\x08\0\0\0\xdb\0\0\x04\x0e\0\0\
\xd4\x23\0\0\x03\x10\0\0\0\xdb\0\0\x04\x0e\0\0\xd4\x21\0\0\x03\x18\0\0\0\xdb\0\
\0\x04\x0e\0\0\xd4\x18\0\0\x03\x20\0\0\0\xdb\0\0\x04\x3b\0\0\xdc\x01\0\0\0\x10\
\0\0\0\xb8\0\0\0\x07\0\0\0\x28\0\0\0\x14\0\0\x01\xc9\0\0\0\x08\0\0\0\x38\0\0\0\
\x14\0\0\x01\xed\0\0\0\0\0\0\0\x70\0\0\0\x14\0\0\x02\x18\0\0\0\0\0\0\0\xb0\0\0\
\0\x14\0\0\x02\x49\0\0\0\0\0\0\0\xc0\0\0\0\x19\0\0\x01\xed\0\0\0\0\0\0\0\xf8\0\
\0\0\x19\0\0\x02\x18\0\0\0\0\0\0\x01\x38\0\0\0\x19\0\0\x02\x49\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\x03\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\xd4\
\0\0\0\x03\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x03\0\0\0\0\0\0\
\x01\xc8\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x03\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\0\
\0\0\0\0\xb7\0\0\0\x03\0\0\0\0\0\0\x02\x98\0\0\0\0\0\0\0\0\0\0\0\xbe\0\0\0\x03\
\0\0\0\0\0\0\x02\x68\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x03\0\0\0\0\0\0\x03\x08\0\
\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\x03\0\0\0\0\0\0\x02\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x45\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x30\0\0\0\x01\x11\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0c\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x04\0\0\0\x28\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xaf\
\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\0\0\x0b\0\
\0\0\x01\0\0\0\0\0\0\x01\xa8\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\x01\xd8\0\0\0\x0d\
\0\0\0\x01\0\0\0\0\0\0\x02\x18\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x02\x78\0\0\0\
\x0d\0\0\0\x01\0\0\0\0\0\0\x02\xd4\0\0\0\x0d\0\0\0\x04\0\0\0\0\0\0\x02\xec\0\0\
\0\x0b\0\0\0\x03\0\0\0\0\0\0\x02\xf8\0\0\0\x0c\0\0\0\x03\0\0\0\0\0\0\x03\x10\0\
\0\0\x0e\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xd0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\x01\x10\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\
\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x50\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x60\
\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\
\x80\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x01\xa0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x01\xc0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xd0\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x01\xe0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xf0\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x02\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x10\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x02\x20\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x30\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x02\x40\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x50\0\0\0\x01\0\0\0\x04\0\
\0\0\0\0\0\x02\x60\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x70\0\0\0\x01\0\0\0\x04\
\0\0\0\0\0\0\x02\x8c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x9c\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x02\xac\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xbc\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x02\xcc\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xdc\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x02\xec\0\0\0\x01\0\0\0\x04\x10\x11\x12\x13\x14\0\x66\x69\
\x6c\x74\x65\x72\x5f\x64\x65\x76\0\x74\x61\x72\x67\x5f\x64\x65\x76\0\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x63\x6f\x75\
\x6e\x74\x65\x72\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\
\x64\x72\x73\x69\x67\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x62\x6c\x6f\x63\x6b\x5f\
\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\
\x65\x70\x6f\x69\x6e\x74\x2f\x62\x6c\x6f\x63\x6b\x2f\x62\x6c\x6f\x63\x6b\x5f\
\x72\x71\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\
\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x35\0\
\x4c\x42\x42\x30\x5f\x31\x34\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\
\x31\x33\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x31\x32\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\xed\0\0\0\0\0\0\0\xf2\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\x03\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x5f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x98\0\0\0\0\0\
\0\0\x50\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x9e\0\0\
\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x70\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x78\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\x98\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\x9c\0\0\0\0\0\0\x07\x97\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\xa6\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\
\xe8\0\0\0\0\0\0\0\x40\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x34\0\0\0\
\0\0\0\x02\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x28\0\0\0\0\0\0\x02\
\xc0\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x37\x6f\xff\
\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\xe8\0\0\0\0\0\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x30\0\0\0\0\0\0\x01\x68\0\0\0\x01\
\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct biopattern_bpf *biopattern_bpf::open(const struct bpf_object_open_opts *opts) { return biopattern_bpf__open_opts(opts); }
struct biopattern_bpf *biopattern_bpf::open_and_load() { return biopattern_bpf__open_and_load(); }
int biopattern_bpf::load(struct biopattern_bpf *skel) { return biopattern_bpf__load(skel); }
int biopattern_bpf::attach(struct biopattern_bpf *skel) { return biopattern_bpf__attach(skel); }
void biopattern_bpf::detach(struct biopattern_bpf *skel) { biopattern_bpf__detach(skel); }
void biopattern_bpf::destroy(struct biopattern_bpf *skel) { biopattern_bpf__destroy(skel); }
const void *biopattern_bpf::elf_bytes(size_t *sz) { return biopattern_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
biopattern_bpf__assert(struct biopattern_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->filter_dev) == 1, "unexpected size of 'filter_dev'");
	_Static_assert(sizeof(s->rodata->targ_dev) == 4, "unexpected size of 'targ_dev'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BIOPATTERN_BPF_SKEL_H__ */
