/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CACHESTAT_BPF_SKEL_H__
#define __CACHESTAT_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cachestat_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry_add_to_page_cache_lru;
		struct bpf_program *fentry_mark_page_accessed;
		struct bpf_program *fentry_account_page_dirtied;
		struct bpf_program *fentry_mark_buffer_dirty;
		struct bpf_program *kprobe_add_to_page_cache_lru;
		struct bpf_program *kprobe_mark_page_accessed;
		struct bpf_program *kprobe_account_page_dirtied;
		struct bpf_program *kprobe_folio_account_dirtied;
		struct bpf_program *kprobe_mark_buffer_dirty;
		struct bpf_program *tracepoint__writeback_dirty_folio;
		struct bpf_program *tracepoint__writeback_dirty_page;
	} progs;
	struct {
		struct bpf_link *fentry_add_to_page_cache_lru;
		struct bpf_link *fentry_mark_page_accessed;
		struct bpf_link *fentry_account_page_dirtied;
		struct bpf_link *fentry_mark_buffer_dirty;
		struct bpf_link *kprobe_add_to_page_cache_lru;
		struct bpf_link *kprobe_mark_page_accessed;
		struct bpf_link *kprobe_account_page_dirtied;
		struct bpf_link *kprobe_folio_account_dirtied;
		struct bpf_link *kprobe_mark_buffer_dirty;
		struct bpf_link *tracepoint__writeback_dirty_folio;
		struct bpf_link *tracepoint__writeback_dirty_page;
	} links;
	struct cachestat_bpf__bss {
		__s64 total;
		__s64 misses;
		__u64 mbd;
	} *bss;

#ifdef __cplusplus
	static inline struct cachestat_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cachestat_bpf *open_and_load();
	static inline int load(struct cachestat_bpf *skel);
	static inline int attach(struct cachestat_bpf *skel);
	static inline void detach(struct cachestat_bpf *skel);
	static inline void destroy(struct cachestat_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cachestat_bpf__destroy(struct cachestat_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cachestat_bpf__create_skeleton(struct cachestat_bpf *obj);

static inline struct cachestat_bpf *
cachestat_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cachestat_bpf *obj;
	int err;

	obj = (struct cachestat_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cachestat_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cachestat_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cachestat_bpf *
cachestat_bpf__open(void)
{
	return cachestat_bpf__open_opts(NULL);
}

static inline int
cachestat_bpf__load(struct cachestat_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cachestat_bpf *
cachestat_bpf__open_and_load(void)
{
	struct cachestat_bpf *obj;
	int err;

	obj = cachestat_bpf__open();
	if (!obj)
		return NULL;
	err = cachestat_bpf__load(obj);
	if (err) {
		cachestat_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cachestat_bpf__attach(struct cachestat_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cachestat_bpf__detach(struct cachestat_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cachestat_bpf__elf_bytes(size_t *sz);

static inline int
cachestat_bpf__create_skeleton(struct cachestat_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cachestat_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "cachesta.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 11;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry_add_to_page_cache_lru";
	s->progs[0].prog = &obj->progs.fentry_add_to_page_cache_lru;
	s->progs[0].link = &obj->links.fentry_add_to_page_cache_lru;

	s->progs[1].name = "fentry_mark_page_accessed";
	s->progs[1].prog = &obj->progs.fentry_mark_page_accessed;
	s->progs[1].link = &obj->links.fentry_mark_page_accessed;

	s->progs[2].name = "fentry_account_page_dirtied";
	s->progs[2].prog = &obj->progs.fentry_account_page_dirtied;
	s->progs[2].link = &obj->links.fentry_account_page_dirtied;

	s->progs[3].name = "fentry_mark_buffer_dirty";
	s->progs[3].prog = &obj->progs.fentry_mark_buffer_dirty;
	s->progs[3].link = &obj->links.fentry_mark_buffer_dirty;

	s->progs[4].name = "kprobe_add_to_page_cache_lru";
	s->progs[4].prog = &obj->progs.kprobe_add_to_page_cache_lru;
	s->progs[4].link = &obj->links.kprobe_add_to_page_cache_lru;

	s->progs[5].name = "kprobe_mark_page_accessed";
	s->progs[5].prog = &obj->progs.kprobe_mark_page_accessed;
	s->progs[5].link = &obj->links.kprobe_mark_page_accessed;

	s->progs[6].name = "kprobe_account_page_dirtied";
	s->progs[6].prog = &obj->progs.kprobe_account_page_dirtied;
	s->progs[6].link = &obj->links.kprobe_account_page_dirtied;

	s->progs[7].name = "kprobe_folio_account_dirtied";
	s->progs[7].prog = &obj->progs.kprobe_folio_account_dirtied;
	s->progs[7].link = &obj->links.kprobe_folio_account_dirtied;

	s->progs[8].name = "kprobe_mark_buffer_dirty";
	s->progs[8].prog = &obj->progs.kprobe_mark_buffer_dirty;
	s->progs[8].link = &obj->links.kprobe_mark_buffer_dirty;

	s->progs[9].name = "tracepoint__writeback_dirty_folio";
	s->progs[9].prog = &obj->progs.tracepoint__writeback_dirty_folio;
	s->progs[9].link = &obj->links.tracepoint__writeback_dirty_folio;

	s->progs[10].name = "tracepoint__writeback_dirty_page";
	s->progs[10].prog = &obj->progs.tracepoint__writeback_dirty_page;
	s->progs[10].link = &obj->links.tracepoint__writeback_dirty_page;

	s->data = cachestat_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cachestat_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\xe0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x21\0\
\x01\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\
\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\xff\xff\xff\xff\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xdb\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\xd0\0\0\x05\xd0\0\0\x07\x65\0\0\0\0\x02\0\0\0\
\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\
\x0c\0\0\x01\0\0\0\x03\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\
\xe2\x0c\0\0\x01\0\0\0\x06\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\
\0\x01\x60\x0c\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\
\x01\0\0\x01\xe6\x0c\0\0\x01\0\0\0\x0a\0\0\0\0\x02\0\0\0\0\0\0\x0d\0\0\x02\x82\
\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\x02\x8a\0\0\0\x11\0\0\x04\
\xc0\0\0\0\0\0\0\0\x18\0\0\x05\0\0\0\x02\x94\0\0\0\x11\0\0\x05\x80\0\0\x02\x9a\
\0\0\0\x11\0\0\x05\xc0\0\0\x02\x9e\0\0\0\x11\0\0\x06\0\0\0\0\0\x05\0\0\x02\0\0\
\0\x98\0\0\x02\xa9\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\x02\xb3\x08\
\0\0\0\0\0\0\x10\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\x02\xc0\0\0\0\x12\0\0\0\0\0\
\0\x02\xc5\0\0\0\x14\0\0\0\x40\0\0\x02\xc9\0\0\0\x16\0\0\0\xc0\0\0\x02\xce\x01\
\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x13\0\0\0\
\x01\0\0\x02\xdc\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x02\xf0\x08\0\0\0\0\0\0\x15\
\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\x02\xf6\0\0\0\x11\0\0\0\0\0\0\x02\xfb\0\0\0\
\x11\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x13\0\0\0\x10\0\0\0\0\
\x04\0\0\x03\0\0\0\x98\0\0\x02\xc0\0\0\0\x12\0\0\0\0\0\0\x02\xc5\0\0\0\x14\0\0\
\0\x40\0\0\x02\xc9\0\0\0\x16\0\0\0\xc0\0\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\0\0\0\
\0\0\x19\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\0\0\0\0\0\x04\0\0\x03\0\0\0\x10\0\0\
\x03\x09\0\0\0\x1a\0\0\0\0\0\0\x03\x12\0\0\0\x1a\0\0\0\x20\0\0\x03\x1b\0\0\0\
\x11\0\0\0\x40\0\0\x03\x29\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x03\0\x84\0\0\x06\
\0\0\0\x0c\0\0\x03\x36\0\0\0\x1c\0\0\0\0\0\0\x03\x3c\0\0\0\x1e\0\0\0\x20\0\0\
\x03\x44\0\0\0\x1e\x01\0\0\x40\0\0\x03\x4f\0\0\0\x1e\x01\0\0\x41\0\0\x03\x5c\0\
\0\0\x1e\x03\0\0\x42\0\0\x03\x60\0\0\0\x1e\x03\0\0\x51\0\0\x03\x65\x84\0\0\x05\
\0\0\0\x04\0\0\x03\x73\0\0\0\x1d\x08\0\0\0\0\0\x03\x79\0\0\0\x1d\x01\0\0\x0c\0\
\0\x03\x7b\0\0\0\x1d\x02\0\0\x0d\0\0\x03\x80\0\0\0\x1d\x01\0\0\x0f\0\0\x03\x84\
\0\0\0\x1d\x10\0\0\x10\0\0\x03\x8b\x08\0\0\0\0\0\0\x1a\0\0\x03\x91\x08\0\0\0\0\
\0\0\x1d\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x0c\0\0\x03\x95\x0c\0\0\
\x01\0\0\0\x1f\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x0c\0\0\x03\xfc\
\x0c\0\0\x01\0\0\0\x21\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x0c\0\0\
\x04\x5a\x0c\0\0\x01\0\0\0\x23\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\
\x0c\0\0\x04\xbe\x0c\0\0\x01\0\0\0\x25\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\
\0\0\0\x0c\0\0\x05\x25\x0c\0\0\x01\0\0\0\x27\0\0\0\0\x02\0\0\0\0\0\0\x2a\0\0\
\x05\x80\x04\0\0\x04\0\0\0\x40\0\0\x05\x9a\0\0\0\x2b\0\0\0\0\0\0\x05\x9e\0\0\0\
\x2e\0\0\0\x40\0\0\x02\xc0\0\0\0\x2f\0\0\0\x80\0\0\x05\xa1\0\0\0\x31\0\0\x02\0\
\0\0\x05\xa8\x04\0\0\x04\0\0\0\x08\0\0\x03\x60\0\0\0\x2c\0\0\0\0\0\0\x02\x94\0\
\0\0\x2d\0\0\0\x10\0\0\x05\xb4\0\0\0\x2d\0\0\0\x18\0\0\x05\xc2\0\0\0\x04\0\0\0\
\x20\0\0\x05\xc6\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x05\xd5\x01\0\0\0\0\0\0\x01\
\0\0\0\x08\0\0\x05\xe3\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x11\0\0\0\x13\0\0\0\x06\0\0\x05\xe8\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x13\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\x14\0\0\0\x29\0\0\x05\xed\x0c\0\0\x01\0\0\0\x32\0\0\0\0\x0d\0\0\x01\
\0\0\0\x04\0\0\0\x14\0\0\0\x29\0\0\x06\x92\x0c\0\0\x01\0\0\0\x34\0\0\x07\x29\
\x08\0\0\0\0\0\0\x37\0\0\x07\x2f\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x07\x39\
\x0e\0\0\0\0\0\0\x36\0\0\0\x01\0\0\x07\x3f\x0e\0\0\0\0\0\0\x36\0\0\0\x01\0\0\
\x07\x46\x08\0\0\0\0\0\0\x02\0\0\x07\x4c\x0e\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x13\0\0\0\x04\0\0\x07\x50\x0e\0\0\0\0\0\0\
\x3c\0\0\0\x01\0\0\x07\x58\x0f\0\0\x03\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x08\0\0\
\0\x39\0\0\0\0\0\0\0\x08\0\0\0\x3b\0\0\0\0\0\0\0\x08\0\0\x07\x5d\x0f\0\0\x01\0\
\0\0\0\0\0\0\x3d\0\0\0\0\0\0\0\x04\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\
\x72\x79\x5f\x61\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\
\x65\x5f\x6c\x72\x75\0\x66\x65\x6e\x74\x72\x79\x2f\x61\x64\x64\x5f\x74\x6f\x5f\
\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\
\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\
\x6c\x73\x2f\x63\x61\x63\x68\x65\x73\x74\x61\x74\x2e\x62\x70\x66\x2e\x63\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\
\x61\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\
\x72\x75\x29\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x6d\x69\x73\x73\x65\x73\x2c\x20\x31\x29\x3b\0\x66\
\x65\x6e\x74\x72\x79\x5f\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\
\x65\x73\x73\x65\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\x6b\x5f\x70\x61\
\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x6d\x61\x72\x6b\x5f\x70\x61\
\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x29\0\x09\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x74\x6f\x74\
\x61\x6c\x2c\x20\x31\x29\x3b\0\x66\x65\x6e\x74\x72\x79\x5f\x61\x63\x63\x6f\x75\
\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\x74\x69\x65\x64\0\x66\x65\x6e\x74\
\x72\x79\x2f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\
\x74\x69\x65\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\
\x6e\x74\x72\x79\x5f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\
\x69\x72\x74\x69\x65\x64\x29\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\
\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x6d\x69\x73\x73\x65\x73\x2c\x20\
\x2d\x31\x29\x3b\0\x66\x65\x6e\x74\x72\x79\x5f\x6d\x61\x72\x6b\x5f\x62\x75\x66\
\x66\x65\x72\x5f\x64\x69\x72\x74\x79\0\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\
\x6b\x5f\x62\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x6d\x61\x72\x6b\
\x5f\x62\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\x29\0\x09\x5f\x5f\x73\x79\
\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x74\
\x6f\x74\x61\x6c\x2c\x20\x2d\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x6d\x62\x64\x2c\x20\
\x31\x29\x3b\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x67\x70\x72\
\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\x61\x73\x74\x5f\x62\x72\x65\x61\
\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\
\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\x77\0\x67\x70\x72\x73\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x73\x77\x5f\x74\0\x6d\x61\
\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\x6e\x66\x6f\0\x69\x6e\x74\x5f\
\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\0\x69\x6e\x74\x5f\x70\x61\
\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x73\x63\x68\x69\x64\0\x69\x6e\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\
\x72\x5f\x49\x4f\0\x64\x69\x72\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\
\x63\0\x74\x79\x70\x65\0\x73\x75\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\
\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\
\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\x75\x33\x32\0\x6b\x70\x72\x6f\x62\x65\x5f\x61\
\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\
\x75\0\x6b\x70\x72\x6f\x62\x65\x2f\x61\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\
\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\
\x50\x52\x4f\x42\x45\x28\x6b\x70\x72\x6f\x62\x65\x5f\x61\x64\x64\x5f\x74\x6f\
\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\x29\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\x65\x73\
\x73\x65\x64\0\x6b\x70\x72\x6f\x62\x65\x2f\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\
\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\
\x52\x4f\x42\x45\x28\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x70\x61\
\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x29\0\x6b\x70\x72\x6f\x62\x65\x5f\
\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\x74\x69\x65\
\x64\0\x6b\x70\x72\x6f\x62\x65\x2f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\
\x65\x5f\x64\x69\x72\x74\x69\x65\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\
\x52\x4f\x42\x45\x28\x6b\x70\x72\x6f\x62\x65\x5f\x61\x63\x63\x6f\x75\x6e\x74\
\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\x74\x69\x65\x64\x29\0\x6b\x70\x72\x6f\x62\
\x65\x5f\x66\x6f\x6c\x69\x6f\x5f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x64\x69\x72\
\x74\x69\x65\x64\0\x6b\x70\x72\x6f\x62\x65\x2f\x66\x6f\x6c\x69\x6f\x5f\x61\x63\
\x63\x6f\x75\x6e\x74\x5f\x64\x69\x72\x74\x69\x65\x64\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x4b\x50\x52\x4f\x42\x45\x28\x6b\x70\x72\x6f\x62\x65\x5f\x66\x6f\x6c\
\x69\x6f\x5f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x64\x69\x72\x74\x69\x65\x64\x29\0\
\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x62\x75\x66\x66\x65\x72\x5f\
\x64\x69\x72\x74\x79\0\x6b\x70\x72\x6f\x62\x65\x2f\x6d\x61\x72\x6b\x5f\x62\x75\
\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\
\x50\x52\x4f\x42\x45\x28\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x62\
\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\x29\0\x74\x72\x61\x63\x65\x5f\x65\
\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x65\
\x6e\x74\0\x69\x64\0\x5f\x5f\x64\x61\x74\x61\0\x74\x72\x61\x63\x65\x5f\x65\x6e\
\x74\x72\x79\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\x6f\x75\x6e\x74\0\x70\x69\
\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6c\x6f\x6e\x67\0\x63\x68\x61\x72\0\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x5f\x77\x72\x69\x74\x65\x62\x61\
\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x66\x6f\x6c\x69\x6f\0\x74\x72\x61\x63\x65\
\x70\x6f\x69\x6e\x74\x2f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x2f\x77\x72\x69\
\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x66\x6f\x6c\x69\x6f\0\x69\
\x6e\x74\x20\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x5f\x77\x72\x69\x74\
\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x66\x6f\x6c\x69\x6f\x28\x73\
\x74\x72\x75\x63\x74\x20\x74\x72\x61\x63\x65\x5f\x65\x76\x65\x6e\x74\x5f\x72\
\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2a\x20\x63\x74\x78\x29\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x5f\x5f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x70\
\x61\x67\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x77\x72\x69\x74\x65\
\x62\x61\x63\x6b\x2f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\
\x79\x5f\x70\x61\x67\x65\0\x69\x6e\x74\x20\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x5f\x5f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\
\x70\x61\x67\x65\x28\x73\x74\x72\x75\x63\x74\x20\x74\x72\x61\x63\x65\x5f\x65\
\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2a\
\x20\x63\x74\x78\x29\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x74\x6f\x74\x61\x6c\0\x6d\x69\x73\x73\x65\x73\0\x5f\x5f\x75\x36\x34\0\
\x6d\x62\x64\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\xb4\0\0\0\xb4\0\0\
\x02\x8c\0\0\x03\x40\0\0\0\0\0\0\0\x08\0\0\0\x39\0\0\0\x01\0\0\0\0\0\0\0\x05\0\
\0\0\xfc\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\x01\x7c\0\0\0\x01\0\0\0\0\0\0\0\x09\0\
\0\x01\xff\0\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\x03\xb2\0\0\0\x01\0\0\0\0\0\0\0\x20\
\0\0\x04\x16\0\0\0\x01\0\0\0\0\0\0\0\x22\0\0\x04\x76\0\0\0\x01\0\0\0\0\0\0\0\
\x24\0\0\x04\xdb\0\0\0\x01\0\0\0\0\0\0\0\x26\0\0\x05\x3e\0\0\0\x01\0\0\0\0\0\0\
\0\x28\0\0\x06\x0f\0\0\0\x01\0\0\0\0\0\0\0\x33\0\0\x06\xb3\0\0\0\x01\0\0\0\0\0\
\0\0\x35\0\0\0\x10\0\0\0\x39\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\0\x94\0\0\x30\0\0\
\0\0\x08\0\0\0\x56\0\0\0\xbf\0\0\x38\x02\0\0\0\x20\0\0\0\x56\0\0\0\x94\0\0\x30\
\x05\0\0\0\xfc\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x01\x16\0\0\x4c\0\0\0\0\x08\0\0\
\0\x56\0\0\x01\x3e\0\0\x54\x02\0\0\0\x20\0\0\0\x56\0\0\x01\x16\0\0\x4c\x05\0\0\
\x01\x7c\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x01\x98\0\0\x68\0\0\0\0\x08\0\0\0\x56\
\0\0\x01\xc2\0\0\x70\x02\0\0\0\x20\0\0\0\x56\0\0\x01\x98\0\0\x68\x05\0\0\x01\
\xff\0\0\0\x04\0\0\0\0\0\0\0\x56\0\0\x02\x18\0\0\x84\0\0\0\0\x08\0\0\0\x56\0\0\
\x02\x3f\0\0\x8c\x02\0\0\0\x28\0\0\0\x56\0\0\x02\x62\0\0\x90\x02\0\0\0\x40\0\0\
\0\x56\0\0\x02\x18\0\0\x84\x05\0\0\x03\xb2\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x03\
\xcf\0\0\xa4\0\0\0\0\x08\0\0\0\x56\0\0\0\xbf\0\0\xac\x02\0\0\0\x20\0\0\0\x56\0\
\0\x03\xcf\0\0\xa4\x05\0\0\x04\x16\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x04\x30\0\0\
\xc0\0\0\0\0\x08\0\0\0\x56\0\0\x01\x3e\0\0\xc8\x02\0\0\0\x20\0\0\0\x56\0\0\x04\
\x30\0\0\xc0\x05\0\0\x04\x76\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x04\x92\0\0\xdc\0\
\0\0\0\x08\0\0\0\x56\0\0\x01\xc2\0\0\xe4\x02\0\0\0\x20\0\0\0\x56\0\0\x04\x92\0\
\0\xdc\x05\0\0\x04\xdb\0\0\0\x03\0\0\0\0\0\0\0\x56\0\0\x04\xf8\0\0\xf8\0\0\0\0\
\x08\0\0\0\x56\0\0\x01\xc2\0\x01\0\x02\0\0\0\x20\0\0\0\x56\0\0\x04\xf8\0\0\xf8\
\x05\0\0\x05\x3e\0\0\0\x04\0\0\0\0\0\0\0\x56\0\0\x05\x57\0\x01\x14\0\0\0\0\x08\
\0\0\0\x56\0\0\x02\x3f\0\x01\x1c\x02\0\0\0\x28\0\0\0\x56\0\0\x02\x62\0\x01\x20\
\x02\0\0\0\x40\0\0\0\x56\0\0\x05\x57\0\x01\x14\x05\0\0\x06\x0f\0\0\0\x03\0\0\0\
\0\0\0\0\x56\0\0\x06\x3a\0\x01\x34\0\0\0\0\x08\0\0\0\x56\0\0\x01\xc2\0\x01\x3c\
\x02\0\0\0\x20\0\0\0\x56\0\0\x06\x87\0\x01\x40\x02\0\0\x06\xb3\0\0\0\x03\0\0\0\
\0\0\0\0\x56\0\0\x06\xdd\0\x01\x50\0\0\0\0\x08\0\0\0\x56\0\0\x01\xc2\0\x01\x58\
\x02\0\0\0\x20\0\0\0\x56\0\0\x06\x87\0\x01\x5c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0d\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x13\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\x12\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\x01\x11\0\0\x19\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x08\0\0\x01\xc4\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\
\x01\x59\x11\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x02\x72\x12\0\0\x07\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x50\0\0\x02\xea\x11\0\0\x19\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\
\x8a\x12\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\xde\x12\0\0\x0d\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x02\x8e\x12\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x30\0\0\x02\x34\x12\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x1a\
\x12\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x01\x08\x12\0\0\x15\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\x75\x12\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x30\0\0\x03\x07\x11\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\
\x28\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\
\x28\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x05\xb0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\
\x05\xbc\0\0\0\x0d\0\0\0\x04\0\0\0\0\0\0\x05\xc8\0\0\0\x12\0\0\0\x04\0\0\0\0\0\
\0\x05\xe0\0\0\0\x1a\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\0\x3c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x4c\0\0\0\x03\0\0\0\x04\0\0\0\0\0\0\
\0\x5c\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x6c\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\0\
\x7c\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\x07\0\0\0\x04\0\0\0\0\0\0\0\
\x9c\0\0\0\x08\0\0\0\x04\0\0\0\0\0\0\0\xac\0\0\0\x09\0\0\0\x04\0\0\0\0\0\0\0\
\xbc\0\0\0\x0a\0\0\0\x04\0\0\0\0\0\0\0\xcc\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\0\
\xe0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\
\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x18\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\
\x28\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x38\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\x01\x50\0\0\0\x03\0\0\0\x04\0\0\0\0\0\0\x01\x60\0\0\0\x03\0\0\0\x04\0\0\0\0\0\
\0\x01\x70\0\0\0\x03\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\0\0\x04\0\0\0\x04\0\0\0\0\
\0\0\x01\x98\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\x01\xa8\0\0\0\x04\0\0\0\x04\0\0\0\
\0\0\0\x01\xb8\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\x01\xd0\0\0\0\x05\0\0\0\x04\0\0\
\0\0\0\0\x01\xe0\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x01\xf0\0\0\0\x05\0\0\0\x04\0\
\0\0\0\0\0\x02\x08\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\x06\0\0\0\x04\
\0\0\0\0\0\0\x02\x28\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x40\0\0\0\x07\0\0\0\
\x04\0\0\0\0\0\0\x02\x50\0\0\0\x07\0\0\0\x04\0\0\0\0\0\0\x02\x60\0\0\0\x07\0\0\
\0\x04\0\0\0\0\0\0\x02\x78\0\0\0\x08\0\0\0\x04\0\0\0\0\0\0\x02\x88\0\0\0\x08\0\
\0\0\x04\0\0\0\0\0\0\x02\x98\0\0\0\x08\0\0\0\x04\0\0\0\0\0\0\x02\xb0\0\0\0\x09\
\0\0\0\x04\0\0\0\0\0\0\x02\xc0\0\0\0\x09\0\0\0\x04\0\0\0\0\0\0\x02\xd0\0\0\0\
\x09\0\0\0\x04\0\0\0\0\0\0\x02\xe0\0\0\0\x09\0\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\
\0\x0a\0\0\0\x04\0\0\0\0\0\0\x03\x08\0\0\0\x0a\0\0\0\x04\0\0\0\0\0\0\x03\x18\0\
\0\0\x0a\0\0\0\x04\0\0\0\0\0\0\x03\x30\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\x40\
\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\x50\0\0\0\x0b\0\0\0\x04\x12\x14\x16\x17\
\x19\x1a\x1b\x1c\x1d\x1e\x1f\x15\x13\x18\x20\0\x66\x65\x6e\x74\x72\x79\x5f\x6d\
\x61\x72\x6b\x5f\x62\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x62\x75\x66\x66\x65\x72\x5f\x64\x69\x72\
\x74\x79\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\x6b\x5f\x62\
\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\x79\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\
\x62\x65\x2f\x6d\x61\x72\x6b\x5f\x62\x75\x66\x66\x65\x72\x5f\x64\x69\x72\x74\
\x79\0\x66\x65\x6e\x74\x72\x79\x5f\x61\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\
\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\0\x6b\x70\x72\x6f\x62\x65\x5f\x61\x64\
\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\0\
\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x61\x64\x64\x5f\x74\x6f\x5f\x70\
\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x6c\x72\x75\0\x2e\x72\x65\x6c\x6b\x70\
\x72\x6f\x62\x65\x2f\x61\x64\x64\x5f\x74\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\
\x63\x68\x65\x5f\x6c\x72\x75\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x6d\x69\x73\x73\x65\x73\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x5f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\
\x5f\x64\x69\x72\x74\x79\x5f\x66\x6f\x6c\x69\x6f\0\x2e\x72\x65\x6c\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\x2f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x2f\x77\
\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x66\x6f\x6c\x69\
\x6f\0\x74\x6f\x74\x61\x6c\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\
\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x5f\x5f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\x64\x69\x72\x74\x79\x5f\x70\
\x61\x67\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x77\
\x72\x69\x74\x65\x62\x61\x63\x6b\x2f\x77\x72\x69\x74\x65\x62\x61\x63\x6b\x5f\
\x64\x69\x72\x74\x79\x5f\x70\x61\x67\x65\0\x66\x65\x6e\x74\x72\x79\x5f\x6d\x61\
\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\x65\x73\
\x73\x65\x64\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\x6b\x5f\
\x70\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x2e\x72\x65\x6c\x6b\x70\
\x72\x6f\x62\x65\x2f\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\x65\
\x73\x73\x65\x64\0\x6b\x70\x72\x6f\x62\x65\x5f\x66\x6f\x6c\x69\x6f\x5f\x61\x63\
\x63\x6f\x75\x6e\x74\x5f\x64\x69\x72\x74\x69\x65\x64\0\x2e\x72\x65\x6c\x6b\x70\
\x72\x6f\x62\x65\x2f\x66\x6f\x6c\x69\x6f\x5f\x61\x63\x63\x6f\x75\x6e\x74\x5f\
\x64\x69\x72\x74\x69\x65\x64\0\x66\x65\x6e\x74\x72\x79\x5f\x61\x63\x63\x6f\x75\
\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\x74\x69\x65\x64\0\x6b\x70\x72\x6f\
\x62\x65\x5f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\
\x74\x69\x65\x64\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x61\x63\x63\x6f\
\x75\x6e\x74\x5f\x70\x61\x67\x65\x5f\x64\x69\x72\x74\x69\x65\x64\0\x2e\x72\x65\
\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x61\x63\x63\x6f\x75\x6e\x74\x5f\x70\x61\x67\
\x65\x5f\x64\x69\x72\x74\x69\x65\x64\0\x6d\x62\x64\0\x2e\x73\x74\x72\x74\x61\
\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x02\xee\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\xcf\0\0\0\
\0\0\0\x03\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xe9\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x15\xd0\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\0\x03\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\x01\xfc\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\x01\xf8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x15\xe0\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\xae\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\xaa\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\xf0\0\0\0\0\0\
\0\0\x10\0\0\0\x20\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x37\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x09\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\0\x20\0\0\0\x20\0\0\0\
\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xcc\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x16\x20\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\0\x0b\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\x02\x1a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\x50\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\x02\x16\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\
\x30\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\0\x0d\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x02\xce\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xca\
\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x40\0\0\0\0\0\0\0\
\x10\0\0\0\x20\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x55\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x51\0\0\0\x09\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x50\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\
\0\x11\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x54\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xe0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x16\x60\0\0\0\0\0\0\0\x20\0\0\0\x20\0\0\0\x13\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\x01\x2e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\x01\x2a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x16\x80\0\0\0\0\0\0\0\x10\0\0\0\x20\0\0\0\x15\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\x9a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\x01\x96\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x90\0\0\0\
\0\0\0\0\x10\0\0\0\x20\0\0\0\x17\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xfc\
\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x90\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x6d\0\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x90\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\x02\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x94\0\0\0\0\0\0\x0d\x4d\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\xfe\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x16\xa0\0\0\0\0\0\0\0\x40\0\0\0\x20\0\0\0\x1b\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xf3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\xe4\0\0\0\0\0\0\x03\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\xef\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x16\xe0\0\0\0\0\0\0\x02\xe0\0\0\0\x20\0\0\0\x1d\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\x01\x5f\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x19\xc0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\x02\xf6\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x48\0\0\
\0\0\0\0\x02\x88\0\0\0\x01\0\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct cachestat_bpf *cachestat_bpf::open(const struct bpf_object_open_opts *opts) { return cachestat_bpf__open_opts(opts); }
struct cachestat_bpf *cachestat_bpf::open_and_load() { return cachestat_bpf__open_and_load(); }
int cachestat_bpf::load(struct cachestat_bpf *skel) { return cachestat_bpf__load(skel); }
int cachestat_bpf::attach(struct cachestat_bpf *skel) { return cachestat_bpf__attach(skel); }
void cachestat_bpf::detach(struct cachestat_bpf *skel) { cachestat_bpf__detach(skel); }
void cachestat_bpf::destroy(struct cachestat_bpf *skel) { cachestat_bpf__destroy(skel); }
const void *cachestat_bpf::elf_bytes(size_t *sz) { return cachestat_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cachestat_bpf__assert(struct cachestat_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->total) == 8, "unexpected size of 'total'");
	_Static_assert(sizeof(s->bss->misses) == 8, "unexpected size of 'misses'");
	_Static_assert(sizeof(s->bss->mbd) == 8, "unexpected size of 'mbd'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CACHESTAT_BPF_SKEL_H__ */
