/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __DRSNOOP_BPF_SKEL_H__
#define __DRSNOOP_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct drsnoop_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *start;
		struct bpf_map *events;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *direct_reclaim_begin_btf;
		struct bpf_program *direct_reclaim_end_btf;
		struct bpf_program *direct_reclaim_begin;
		struct bpf_program *direct_reclaim_end;
	} progs;
	struct {
		struct bpf_link *direct_reclaim_begin_btf;
		struct bpf_link *direct_reclaim_end_btf;
		struct bpf_link *direct_reclaim_begin;
		struct bpf_link *direct_reclaim_end;
	} links;
	struct drsnoop_bpf__rodata {
		pid_t targ_pid;
		pid_t targ_tgid;
		__u64 vm_zone_stat_kaddr;
	} *rodata;

#ifdef __cplusplus
	static inline struct drsnoop_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct drsnoop_bpf *open_and_load();
	static inline int load(struct drsnoop_bpf *skel);
	static inline int attach(struct drsnoop_bpf *skel);
	static inline void detach(struct drsnoop_bpf *skel);
	static inline void destroy(struct drsnoop_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
drsnoop_bpf__destroy(struct drsnoop_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
drsnoop_bpf__create_skeleton(struct drsnoop_bpf *obj);

static inline struct drsnoop_bpf *
drsnoop_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct drsnoop_bpf *obj;
	int err;

	obj = (struct drsnoop_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = drsnoop_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	drsnoop_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct drsnoop_bpf *
drsnoop_bpf__open(void)
{
	return drsnoop_bpf__open_opts(NULL);
}

static inline int
drsnoop_bpf__load(struct drsnoop_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct drsnoop_bpf *
drsnoop_bpf__open_and_load(void)
{
	struct drsnoop_bpf *obj;
	int err;

	obj = drsnoop_bpf__open();
	if (!obj)
		return NULL;
	err = drsnoop_bpf__load(obj);
	if (err) {
		drsnoop_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
drsnoop_bpf__attach(struct drsnoop_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
drsnoop_bpf__detach(struct drsnoop_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *drsnoop_bpf__elf_bytes(size_t *sz);

static inline int
drsnoop_bpf__create_skeleton(struct drsnoop_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "drsnoop_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "start";
	s->maps[0].map = &obj->maps.start;

	s->maps[1].name = "events";
	s->maps[1].map = &obj->maps.events;

	s->maps[2].name = "drsnoop_.rodata";
	s->maps[2].map = &obj->maps.rodata;
	s->maps[2].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "direct_reclaim_begin_btf";
	s->progs[0].prog = &obj->progs.direct_reclaim_begin_btf;
	s->progs[0].link = &obj->links.direct_reclaim_begin_btf;

	s->progs[1].name = "direct_reclaim_end_btf";
	s->progs[1].prog = &obj->progs.direct_reclaim_end_btf;
	s->progs[1].link = &obj->links.direct_reclaim_end_btf;

	s->progs[2].name = "direct_reclaim_begin";
	s->progs[2].prog = &obj->progs.direct_reclaim_begin;
	s->progs[2].link = &obj->links.direct_reclaim_begin;

	s->progs[3].name = "direct_reclaim_end";
	s->progs[3].prog = &obj->progs.direct_reclaim_end;
	s->progs[3].link = &obj->links.direct_reclaim_end;

	s->data = drsnoop_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *drsnoop_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x63\xa0\xff\xec\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\x61\
\x11\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x77\x20\0\0\0\0\0\x20\x5d\x12\0\x18\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\
\0\x61\x11\0\0\0\0\0\0\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x5d\x10\0\x10\0\
\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf0\0\0\0\0\x15\x60\0\x05\0\0\0\0\xbf\
\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x36\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x71\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xec\
\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x79\x86\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\x10\0\0\0\
\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\
\x7b\xa1\xff\xe0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xd0\0\0\0\0\x63\
\xa0\xff\xcc\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\
\x15\x20\0\x04\0\0\0\0\x61\x11\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x77\x20\0\0\0\0\
\0\x20\x5d\x12\0\x2c\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\
\0\0\0\x15\x20\0\x04\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\0\0\0\0\0\0\x20\x77\0\0\0\
\0\0\0\x20\x5d\x10\0\x24\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xcc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\
\0\x15\x70\0\x1d\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x17\0\0\0\0\0\0\x1f\x01\0\0\0\
\0\0\0\xb7\x10\0\0\0\0\0\0\x6d\x10\0\x13\0\0\0\0\x61\x1a\xff\xcc\0\0\0\0\x63\
\xa1\xff\xf8\0\0\0\0\x7b\xa8\xff\xe8\0\0\0\0\x7b\xa0\xff\xe0\0\0\0\0\x79\x17\0\
\x08\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\
\xff\xd0\xbf\x17\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x10\xbf\x16\
\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x30\0\0\xff\xff\xff\xff\0\
\0\0\0\0\0\0\0\xbf\x47\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\x30\x85\0\0\0\0\0\0\x19\
\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xcc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\x10\0\0\0\0\0\
\0\x7b\xa1\xff\xf8\0\0\0\0\x63\xa0\xff\xec\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\x61\x11\0\0\0\0\0\0\xbf\x20\
\0\0\0\0\0\0\x77\x20\0\0\0\0\0\x20\x5d\x12\0\x18\0\0\0\0\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x5d\x10\0\x10\0\0\0\0\x85\0\0\0\0\0\0\
\x05\x7b\xa0\xff\xf0\0\0\0\0\x15\x60\0\x05\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x71\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xec\xbf\x3a\0\0\0\0\0\0\x07\
\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x79\x86\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\
\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\
\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xd0\0\0\0\0\x63\xa0\xff\xcc\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\x61\
\x11\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x77\x20\0\0\0\0\0\x20\x5d\x12\0\x2c\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\
\0\x61\x11\0\0\0\0\0\0\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x5d\x10\0\x24\0\
\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xcc\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x1d\0\0\0\0\x85\
\0\0\0\0\0\0\x05\x79\x17\0\0\0\0\0\0\x1f\x01\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\
\x6d\x10\0\x13\0\0\0\0\x61\x1a\xff\xcc\0\0\0\0\x63\xa1\xff\xf8\0\0\0\0\x7b\xa8\
\xff\xe8\0\0\0\0\x7b\xa0\xff\xe0\0\0\0\0\x79\x17\0\x08\0\0\0\0\x7b\xa1\xff\xf0\
\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xd0\xbf\x17\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x10\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x30\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xbf\x47\0\0\0\
\0\0\0\xb7\x50\0\0\0\0\0\x30\x85\0\0\0\0\0\0\x19\xbf\x2a\0\0\0\0\0\0\x07\x20\0\
\0\xff\xff\xff\xcc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x03\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x03\x4c\0\0\x03\x4c\0\0\x06\x2e\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x20\0\0\0\0\0\x02\0\0\0\0\0\0\x08\
\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1d\x08\0\0\0\0\0\0\x0a\0\0\0\x23\x01\0\0\
\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x30\x04\0\0\x02\0\0\0\
\x10\0\0\0\x38\0\0\0\x0d\0\0\0\0\0\0\0\x3b\0\0\0\x0d\0\0\0\x40\0\0\0\x49\x08\0\
\0\0\0\0\0\x0e\0\0\0\x4d\x08\0\0\0\0\0\0\x0f\0\0\0\x53\x01\0\0\0\0\0\0\x08\0\0\
\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x66\0\0\0\x01\0\0\0\0\0\0\0\x6b\0\0\
\0\x05\0\0\0\x40\0\0\0\x77\0\0\0\x07\0\0\0\x80\0\0\0\x7b\0\0\0\x0b\0\0\0\xc0\0\
\0\0\x81\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\
\0\x66\0\0\0\x12\0\0\0\0\0\0\0\x87\0\0\0\x12\0\0\0\x40\0\0\0\x90\0\0\0\x12\0\0\
\0\x80\0\0\0\x9b\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0f\0\0\
\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\xa2\0\0\0\x16\0\0\0\xa6\x0c\0\0\x01\0\0\0\x17\
\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\xa2\0\0\0\x16\0\0\x02\xcd\x0c\0\0\x01\0\0\
\0\x19\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\xa2\0\0\0\x16\0\0\x04\xfe\x0c\0\0\
\x01\0\0\0\x1b\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\xa2\0\0\0\x16\0\0\x05\x5c\
\x0c\0\0\x01\0\0\0\x1d\0\0\0\0\x0a\0\0\0\0\0\0\x20\0\0\0\0\x09\0\0\0\0\0\0\x21\
\0\0\x05\xd0\x08\0\0\0\0\0\0\x22\0\0\x05\xd6\x08\0\0\0\0\0\0\x02\0\0\x05\xe5\
\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x05\xee\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\
\0\x0a\0\0\0\0\0\0\x26\0\0\0\0\x09\0\0\0\0\0\0\x0e\0\0\x05\xf8\x0e\0\0\0\0\0\0\
\x25\0\0\0\x01\0\0\x06\x0b\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x28\0\0\0\x04\0\0\0\x04\0\0\x06\x10\x0e\0\0\0\0\0\0\x29\0\0\0\x01\
\0\0\x06\x18\x0f\0\0\x02\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x20\0\0\0\x15\0\0\0\0\
\0\0\0\x18\0\0\x06\x1e\x0f\0\0\x03\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\0\
\x24\0\0\0\0\0\0\0\x04\0\0\0\x27\0\0\0\0\0\0\0\x08\0\0\x06\x26\x0f\0\0\x01\0\0\
\0\0\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x33\x32\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x69\x64\x64\
\x61\x74\x61\0\x74\x73\0\x6e\x72\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\
\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x74\x61\x72\x74\
\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x65\x76\x65\x6e\x74\x73\0\x63\x74\x78\0\x64\x69\x72\x65\x63\x74\x5f\x72\x65\
\x63\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\x6e\x5f\x62\x74\x66\0\x74\x70\x5f\x62\
\x74\x66\x2f\x6d\x6d\x5f\x76\x6d\x73\x63\x61\x6e\x5f\x64\x69\x72\x65\x63\x74\
\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\x6e\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\
\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\
\x6c\x73\x2f\x64\x72\x73\x6e\x6f\x6f\x70\x2e\x62\x70\x66\x2e\x63\0\x09\x75\x36\
\x34\x20\x2a\x76\x6d\x5f\x7a\x6f\x6e\x65\x5f\x73\x74\x61\x74\x5f\x6b\x61\x64\
\x64\x72\x70\x20\x3d\x20\x28\x75\x36\x34\x2a\x29\x76\x6d\x5f\x7a\x6f\x6e\x65\
\x5f\x73\x74\x61\x74\x5f\x6b\x61\x64\x64\x72\x3b\0\x09\x75\x36\x34\x20\x69\x64\
\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\
\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\
\x70\x69\x64\x64\x61\x74\x61\x20\x70\x69\x64\x64\x61\x74\x61\x20\x3d\x20\x7b\
\x7d\x3b\0\x09\x75\x33\x32\x20\x70\x69\x64\x20\x3d\x20\x69\x64\x3b\0\x09\x69\
\x66\x20\x28\x74\x61\x72\x67\x5f\x74\x67\x69\x64\x20\x26\x26\x20\x74\x61\x72\
\x67\x5f\x74\x67\x69\x64\x20\x21\x3d\x20\x74\x67\x69\x64\x29\0\x09\x75\x33\x32\
\x20\x74\x67\x69\x64\x20\x3d\x20\x69\x64\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\
\x66\x20\x28\x74\x61\x72\x67\x5f\x70\x69\x64\x20\x26\x26\x20\x74\x61\x72\x67\
\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x70\x69\x64\x64\x61\x74\
\x61\x2e\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\
\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x69\x66\x20\x28\x76\x6d\x5f\x7a\x6f\x6e\x65\
\x5f\x73\x74\x61\x74\x5f\x6b\x61\x64\x64\x72\x70\x29\x20\x7b\0\x09\x09\x62\x70\
\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\
\x28\x26\x70\x69\x64\x64\x61\x74\x61\x2e\x6e\x72\x5f\x66\x72\x65\x65\x5f\x70\
\x61\x67\x65\x73\x2c\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x72\x74\x2c\x20\x26\x70\x69\x64\
\x2c\x20\x26\x70\x69\x64\x64\x61\x74\x61\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\
\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\x6e\x5f\x62\x74\x66\x29\0\x64\x69\x72\x65\
\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x65\x6e\x64\x5f\x62\x74\x66\0\x74\
\x70\x5f\x62\x74\x66\x2f\x6d\x6d\x5f\x76\x6d\x73\x63\x61\x6e\x5f\x64\x69\x72\
\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x65\x6e\x64\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\
\x6c\x61\x69\x6d\x5f\x65\x6e\x64\x5f\x62\x74\x66\x2c\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6e\x72\x5f\x72\x65\x63\x6c\x61\x69\x6d\
\x65\x64\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x65\x76\x65\x6e\x74\x20\x65\x76\
\x65\x6e\x74\x20\x3d\x20\x7b\x7d\x3b\0\x09\x70\x69\x64\x64\x61\x74\x61\x70\x20\
\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\
\x65\x6d\x28\x26\x73\x74\x61\x72\x74\x2c\x20\x26\x70\x69\x64\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x70\x69\x64\x64\x61\x74\x61\x70\x29\0\x09\x64\x65\x6c\x74\x61\
\x5f\x6e\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\
\x5f\x6e\x73\x28\x29\x20\x2d\x20\x70\x69\x64\x64\x61\x74\x61\x70\x2d\x3e\x74\
\x73\x3b\0\x09\x69\x66\x20\x28\x64\x65\x6c\x74\x61\x5f\x6e\x73\x20\x3c\x20\x30\
\x29\0\x09\x65\x76\x65\x6e\x74\x2e\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x3b\0\
\x09\x65\x76\x65\x6e\x74\x2e\x6e\x72\x5f\x72\x65\x63\x6c\x61\x69\x6d\x65\x64\
\x20\x3d\x20\x6e\x72\x5f\x72\x65\x63\x6c\x61\x69\x6d\x65\x64\x3b\0\x09\x65\x76\
\x65\x6e\x74\x2e\x64\x65\x6c\x74\x61\x5f\x6e\x73\x20\x3d\x20\x64\x65\x6c\x74\
\x61\x5f\x6e\x73\x3b\0\x09\x65\x76\x65\x6e\x74\x2e\x6e\x72\x5f\x66\x72\x65\x65\
\x5f\x70\x61\x67\x65\x73\x20\x3d\x20\x70\x69\x64\x64\x61\x74\x61\x70\x2d\x3e\
\x6e\x72\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\x3b\0\x09\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x26\x65\
\x76\x65\x6e\x74\x2e\x74\x61\x73\x6b\x2c\x20\x54\x41\x53\x4b\x5f\x43\x4f\x4d\
\x4d\x5f\x4c\x45\x4e\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\
\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x65\x76\
\x65\x6e\x74\x73\x2c\x20\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\
\x5f\x43\x50\x55\x2c\0\x63\x6c\x65\x61\x6e\x75\x70\x3a\0\x09\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\
\x61\x72\x74\x2c\x20\x26\x70\x69\x64\x29\x3b\0\x64\x69\x72\x65\x63\x74\x5f\x72\
\x65\x63\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\x6e\0\x72\x61\x77\x5f\x74\x70\x2f\
\x6d\x6d\x5f\x76\x6d\x73\x63\x61\x6e\x5f\x64\x69\x72\x65\x63\x74\x5f\x72\x65\
\x63\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\x6e\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\
\x5f\x62\x65\x67\x69\x6e\x29\0\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\
\x69\x6d\x5f\x65\x6e\x64\0\x72\x61\x77\x5f\x74\x70\x2f\x6d\x6d\x5f\x76\x6d\x73\
\x63\x61\x6e\x5f\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\
\x65\x6e\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x69\x72\
\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x65\x6e\x64\x2c\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6e\x72\x5f\x72\x65\x63\x6c\
\x61\x69\x6d\x65\x64\x29\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\
\x6c\x5f\x70\x69\x64\x5f\x74\0\x74\x61\x72\x67\x5f\x70\x69\x64\0\x74\x61\x72\
\x67\x5f\x74\x67\x69\x64\0\x76\x6d\x5f\x7a\x6f\x6e\x65\x5f\x73\x74\x61\x74\x5f\
\x6b\x61\x64\x64\x72\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x6d\
\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\x06\xe4\0\0\x07\x28\0\
\0\0\0\0\0\0\x08\0\0\0\xbf\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\x02\xe4\0\0\0\x01\0\
\0\0\0\0\0\0\x1a\0\0\x05\x13\0\0\0\x01\0\0\0\0\0\0\0\x1c\0\0\x05\x6f\0\0\0\x01\
\0\0\0\0\0\0\0\x1e\0\0\0\x10\0\0\0\xbf\0\0\0\x15\0\0\0\0\0\0\0\xe5\0\0\x01\x21\
\0\0\x80\x23\0\0\0\x18\0\0\0\xe5\0\0\x01\x57\0\0\x84\x0b\0\0\0\x28\0\0\0\xe5\0\
\0\x01\x7d\0\0\x88\x11\0\0\0\x30\0\0\0\xe5\0\0\x01\x9b\0\0\x90\x06\0\0\0\x38\0\
\0\0\xe5\0\0\x01\xaa\0\0\x98\x06\0\0\0\x50\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x10\0\
\0\0\x58\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x13\0\0\0\x60\0\0\0\xe5\0\0\x01\xcf\0\0\
\x8c\x10\0\0\0\x70\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x06\0\0\0\x78\0\0\0\xe5\0\0\
\x01\xe5\0\0\xa0\x06\0\0\0\x90\0\0\0\xe5\0\0\x01\xe5\0\0\xa0\x0f\0\0\0\x98\0\0\
\0\xe5\0\0\x01\xe5\0\0\xa0\x12\0\0\0\xa0\0\0\0\xe5\0\0\x01\x9b\0\0\x90\x0c\0\0\
\0\xb0\0\0\0\xe5\0\0\x01\xe5\0\0\xa0\x06\0\0\0\xb8\0\0\0\xe5\0\0\x02\x07\0\0\
\xac\x0f\0\0\0\xc0\0\0\0\xe5\0\0\x02\x07\0\0\xac\x0d\0\0\0\xc8\0\0\0\xe5\0\0\
\x02\x29\0\0\xb0\x06\0\0\0\xd0\0\0\0\xe5\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\xe5\0\
\0\x02\x45\0\0\xb4\x03\0\0\x01\0\0\0\0\xe5\0\0\x02\x75\0\0\xc8\x02\0\0\x01\x38\
\0\0\0\xe5\0\0\x02\xa6\0\x01\x74\x05\0\0\x02\xe4\0\0\0\x21\0\0\0\0\0\0\0\xe5\0\
\0\x03\x08\0\x01\x8c\0\0\0\0\x08\0\0\0\xe5\0\0\x03\x08\0\x01\x8c\x05\0\0\0\x10\
\0\0\0\xe5\0\0\x01\x57\0\0\xe0\x0b\0\0\0\x20\0\0\0\xe5\0\0\x03\x49\0\0\xe8\x0f\
\0\0\0\x50\0\0\0\xe5\0\0\x01\x9b\0\0\xf0\x06\0\0\0\x58\0\0\0\xe5\0\0\x01\xaa\0\
\0\xfc\x06\0\0\0\x70\0\0\0\xe5\0\0\x01\xaa\0\0\xfc\x10\0\0\0\x78\0\0\0\xe5\0\0\
\x01\xaa\0\0\xfc\x13\0\0\0\x80\0\0\0\xe5\0\0\x01\xcf\0\0\xec\x10\0\0\0\x90\0\0\
\0\xe5\0\0\x01\xaa\0\0\xfc\x06\0\0\0\x98\0\0\0\xe5\0\0\x01\xe5\0\x01\x04\x06\0\
\0\0\xb0\0\0\0\xe5\0\0\x01\xe5\0\x01\x04\x0f\0\0\0\xb8\0\0\0\xe5\0\0\x01\xe5\0\
\x01\x04\x12\0\0\0\xc0\0\0\0\xe5\0\0\x01\x9b\0\0\xf0\x0c\0\0\0\xd0\0\0\0\xe5\0\
\0\x01\xe5\0\x01\x04\x06\0\0\0\xe0\0\0\0\xe5\0\0\x03\x63\0\x01\x14\x0d\0\0\x01\
\x08\0\0\0\xe5\0\0\x03\x92\0\x01\x18\x06\0\0\x01\x10\0\0\0\xe5\0\0\x03\xa2\0\
\x01\x24\x0d\0\0\x01\x18\0\0\0\xe5\0\0\x03\xa2\0\x01\x24\x2c\0\0\x01\x20\0\0\0\
\xe5\0\0\x03\xa2\0\x01\x24\x20\0\0\x01\x30\0\0\0\xe5\0\0\x03\xd1\0\x01\x28\x06\
\0\0\x01\x38\0\0\0\xe5\0\0\x03\xe4\0\x01\x34\x0e\0\0\x01\x40\0\0\0\xe5\0\0\x03\
\xe4\0\x01\x34\x0c\0\0\x01\x48\0\0\0\xe5\0\0\x03\xf6\0\x01\x38\x15\0\0\x01\x50\
\0\0\0\xe5\0\0\x04\x1a\0\x01\x3c\x11\0\0\x01\x58\0\0\0\xe5\0\0\x04\x36\0\x01\
\x40\x22\0\0\x01\x60\0\0\0\xe5\0\0\x04\x36\0\x01\x40\x16\0\0\x01\x70\0\0\0\xe5\
\0\0\x03\xe4\0\x01\x34\x0e\0\0\x01\x78\0\0\0\xe5\0\0\x04\x66\0\x01\x44\x02\0\0\
\x01\x90\0\0\0\xe5\0\0\x04\x99\0\x01\x50\x02\0\0\x01\xd8\0\0\0\xe5\0\0\x04\xd1\
\0\x01\x5c\x01\0\0\x01\xe0\0\0\0\xe5\0\0\x04\xda\0\x01\x60\x02\0\0\x01\xf8\0\0\
\0\xe5\0\0\x03\x08\0\x01\x8c\x05\0\0\x05\x13\0\0\0\x15\0\0\0\0\0\0\0\xe5\0\0\
\x01\x21\0\0\x80\x23\0\0\0\x18\0\0\0\xe5\0\0\x01\x57\0\0\x84\x0b\0\0\0\x28\0\0\
\0\xe5\0\0\x01\x7d\0\0\x88\x11\0\0\0\x30\0\0\0\xe5\0\0\x01\x9b\0\0\x90\x06\0\0\
\0\x38\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x06\0\0\0\x50\0\0\0\xe5\0\0\x01\xaa\0\0\
\x98\x10\0\0\0\x58\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x13\0\0\0\x60\0\0\0\xe5\0\0\
\x01\xcf\0\0\x8c\x10\0\0\0\x70\0\0\0\xe5\0\0\x01\xaa\0\0\x98\x06\0\0\0\x78\0\0\
\0\xe5\0\0\x01\xe5\0\0\xa0\x06\0\0\0\x90\0\0\0\xe5\0\0\x01\xe5\0\0\xa0\x0f\0\0\
\0\x98\0\0\0\xe5\0\0\x01\xe5\0\0\xa0\x12\0\0\0\xa0\0\0\0\xe5\0\0\x01\x9b\0\0\
\x90\x0c\0\0\0\xb0\0\0\0\xe5\0\0\x01\xe5\0\0\xa0\x06\0\0\0\xb8\0\0\0\xe5\0\0\
\x02\x07\0\0\xac\x0f\0\0\0\xc0\0\0\0\xe5\0\0\x02\x07\0\0\xac\x0d\0\0\0\xc8\0\0\
\0\xe5\0\0\x02\x29\0\0\xb0\x06\0\0\0\xd0\0\0\0\xe5\0\0\0\0\0\0\0\0\0\0\0\xe0\0\
\0\0\xe5\0\0\x02\x45\0\0\xb4\x03\0\0\x01\0\0\0\0\xe5\0\0\x02\x75\0\0\xc8\x02\0\
\0\x01\x38\0\0\0\xe5\0\0\x05\x39\0\x01\xa4\x05\0\0\x05\x6f\0\0\0\x21\0\0\0\0\0\
\0\0\xe5\0\0\x05\x93\0\x01\xbc\0\0\0\0\x08\0\0\0\xe5\0\0\x05\x93\0\x01\xbc\x05\
\0\0\0\x10\0\0\0\xe5\0\0\x01\x57\0\0\xe0\x0b\0\0\0\x20\0\0\0\xe5\0\0\x03\x49\0\
\0\xe8\x0f\0\0\0\x50\0\0\0\xe5\0\0\x01\x9b\0\0\xf0\x06\0\0\0\x58\0\0\0\xe5\0\0\
\x01\xaa\0\0\xfc\x06\0\0\0\x70\0\0\0\xe5\0\0\x01\xaa\0\0\xfc\x10\0\0\0\x78\0\0\
\0\xe5\0\0\x01\xaa\0\0\xfc\x13\0\0\0\x80\0\0\0\xe5\0\0\x01\xcf\0\0\xec\x10\0\0\
\0\x90\0\0\0\xe5\0\0\x01\xaa\0\0\xfc\x06\0\0\0\x98\0\0\0\xe5\0\0\x01\xe5\0\x01\
\x04\x06\0\0\0\xb0\0\0\0\xe5\0\0\x01\xe5\0\x01\x04\x0f\0\0\0\xb8\0\0\0\xe5\0\0\
\x01\xe5\0\x01\x04\x12\0\0\0\xc0\0\0\0\xe5\0\0\x01\x9b\0\0\xf0\x0c\0\0\0\xd0\0\
\0\0\xe5\0\0\x01\xe5\0\x01\x04\x06\0\0\0\xe0\0\0\0\xe5\0\0\x03\x63\0\x01\x14\
\x0d\0\0\x01\x08\0\0\0\xe5\0\0\x03\x92\0\x01\x18\x06\0\0\x01\x10\0\0\0\xe5\0\0\
\x03\xa2\0\x01\x24\x0d\0\0\x01\x18\0\0\0\xe5\0\0\x03\xa2\0\x01\x24\x2c\0\0\x01\
\x20\0\0\0\xe5\0\0\x03\xa2\0\x01\x24\x20\0\0\x01\x30\0\0\0\xe5\0\0\x03\xd1\0\
\x01\x28\x06\0\0\x01\x38\0\0\0\xe5\0\0\x03\xe4\0\x01\x34\x0e\0\0\x01\x40\0\0\0\
\xe5\0\0\x03\xe4\0\x01\x34\x0c\0\0\x01\x48\0\0\0\xe5\0\0\x03\xf6\0\x01\x38\x15\
\0\0\x01\x50\0\0\0\xe5\0\0\x04\x1a\0\x01\x3c\x11\0\0\x01\x58\0\0\0\xe5\0\0\x04\
\x36\0\x01\x40\x22\0\0\x01\x60\0\0\0\xe5\0\0\x04\x36\0\x01\x40\x16\0\0\x01\x70\
\0\0\0\xe5\0\0\x03\xe4\0\x01\x34\x0e\0\0\x01\x78\0\0\0\xe5\0\0\x04\x66\0\x01\
\x44\x02\0\0\x01\x90\0\0\0\xe5\0\0\x04\x99\0\x01\x50\x02\0\0\x01\xd8\0\0\0\xe5\
\0\0\x04\xd1\0\x01\x5c\x01\0\0\x01\xe0\0\0\0\xe5\0\0\x04\xda\0\x01\x60\x02\0\0\
\x01\xf8\0\0\0\xe5\0\0\x05\x93\0\x01\xbc\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\xc9\0\0\0\x03\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\x01\x83\0\0\0\x03\0\0\
\0\0\0\0\x01\x38\0\0\0\0\0\0\0\0\0\0\x01\xad\0\0\0\x03\0\0\0\0\0\0\0\xb8\0\0\0\
\0\0\0\0\0\0\0\x01\x91\0\0\0\x03\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc2\0\0\0\x05\0\0\0\0\0\0\0\
\x98\0\0\0\0\0\0\0\0\0\0\x01\x67\0\0\0\x05\0\0\0\0\0\0\x01\xf8\0\0\0\0\0\0\0\0\
\0\0\x01\xa6\0\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\x01\x7c\0\0\0\x05\
\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\xbb\0\0\0\x07\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\x01\x75\
\0\0\0\x07\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\0\0\0\0\x01\x9f\0\0\0\x07\0\0\0\0\0\
\0\0\xb8\0\0\0\0\0\0\0\0\0\0\x01\x8a\0\0\0\x07\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xb4\0\0\0\x09\0\
\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\0\x09\0\0\0\0\0\0\x01\xf8\0\0\
\0\0\0\0\0\0\0\0\x01\x98\0\0\0\x09\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\x01\
\x6e\0\0\0\x09\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\x9c\x12\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\x27\x11\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x08\0\0\x01\x2d\x11\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x01\
\x24\x11\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x14\x11\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xb5\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x08\0\0\0\x1a\x11\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x79\
\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\x01\x11\x12\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\x01\x58\x11\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x17\0\0\
\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\x01\x18\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x18\0\0\0\
\x01\0\0\0\0\0\0\0\xe8\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\0\0\x1b\0\0\0\
\x01\0\0\0\0\0\0\x01\xe0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\
\x01\0\0\0\0\0\0\0\x38\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x18\0\0\0\
\x01\0\0\0\0\0\0\x01\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x17\0\0\0\
\x01\0\0\0\0\0\0\0\x98\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\x01\x98\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x01\xe0\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\x03\x08\0\0\0\x19\0\0\0\x04\0\0\0\0\0\0\x03\x14\0\0\0\x1b\0\
\0\0\x04\0\0\0\0\0\0\x03\x2c\0\0\0\x18\0\0\0\x03\0\0\0\0\0\0\x03\x38\0\0\0\x17\
\0\0\0\x03\0\0\0\0\0\0\x03\x44\0\0\0\x16\0\0\0\x03\0\0\0\0\0\0\x03\x5c\0\0\0\
\x1e\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x3c\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\x4c\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\0\x5c\0\0\0\
\x10\0\0\0\x04\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xd0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\x01\x10\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\
\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x50\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x60\
\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\
\x80\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x01\xa0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x01\xc8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x01\xd8\0\0\0\x06\0\0\0\x04\0\0\0\0\
\0\0\x01\xe8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x01\xf8\0\0\0\x06\0\0\0\x04\0\0\0\
\0\0\0\x02\x08\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\x06\0\0\0\x04\0\0\
\0\0\0\0\x02\x28\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x38\0\0\0\x06\0\0\0\x04\0\
\0\0\0\0\0\x02\x48\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x58\0\0\0\x06\0\0\0\x04\
\0\0\0\0\0\0\x02\x68\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x78\0\0\0\x06\0\0\0\
\x04\0\0\0\0\0\0\x02\x88\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\x98\0\0\0\x06\0\0\
\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\xb8\0\0\0\x06\0\
\0\0\x04\0\0\0\0\0\0\x02\xc8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\xd8\0\0\0\x06\
\0\0\0\x04\0\0\0\0\0\0\x02\xe8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\x03\x08\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x18\0\0\
\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x28\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x38\0\
\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x48\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x58\
\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x68\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\
\x78\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\x88\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\
\x03\x98\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\xa8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\
\0\x03\xb8\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x03\xc8\0\0\0\x06\0\0\0\x04\0\0\0\0\
\0\0\x03\xe0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\xf0\0\0\0\x0b\0\0\0\x04\0\0\0\
\0\0\0\x04\0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\x10\0\0\0\x0b\0\0\0\x04\0\0\0\
\0\0\0\x04\x20\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\x30\0\0\0\x0b\0\0\0\x04\0\0\
\0\0\0\0\x04\x40\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\x50\0\0\0\x0b\0\0\0\x04\0\
\0\0\0\0\0\x04\x60\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\x70\0\0\0\x0b\0\0\0\x04\
\0\0\0\0\0\0\x04\x80\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\x90\0\0\0\x0b\0\0\0\
\x04\0\0\0\0\0\0\x04\xa0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\xb0\0\0\0\x0b\0\0\
\0\x04\0\0\0\0\0\0\x04\xc0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\xd0\0\0\0\x0b\0\
\0\0\x04\0\0\0\0\0\0\x04\xe0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x04\xf0\0\0\0\x0b\
\0\0\0\x04\0\0\0\0\0\0\x05\0\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x05\x10\0\0\0\x0b\
\0\0\0\x04\0\0\0\0\0\0\x05\x20\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x05\x38\0\0\0\
\x10\0\0\0\x04\0\0\0\0\0\0\x05\x48\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\x58\0\0\
\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\x68\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\x78\0\
\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\x88\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\x98\
\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\xa8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\
\xb8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\xc8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\
\x05\xd8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x05\xe8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\
\0\x05\xf8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\x08\0\0\0\x10\0\0\0\x04\0\0\0\0\
\0\0\x06\x18\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\x28\0\0\0\x10\0\0\0\x04\0\0\0\
\0\0\0\x06\x38\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\x48\0\0\0\x10\0\0\0\x04\0\0\
\0\0\0\0\x06\x58\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\x68\0\0\0\x10\0\0\0\x04\0\
\0\0\0\0\0\x06\x78\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\x88\0\0\0\x10\0\0\0\x04\
\0\0\0\0\0\0\x06\x98\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\xa8\0\0\0\x10\0\0\0\
\x04\0\0\0\0\0\0\x06\xb8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\xc8\0\0\0\x10\0\0\
\0\x04\0\0\0\0\0\0\x06\xd8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x06\xe8\0\0\0\x10\0\
\0\0\x04\0\0\0\0\0\0\x06\xf8\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x07\x08\0\0\0\x10\
\0\0\0\x04\0\0\0\0\0\0\x07\x18\0\0\0\x10\0\0\0\x04\0\0\0\0\0\0\x07\x28\0\0\0\
\x10\0\0\0\x04\0\0\0\0\0\0\x07\x38\0\0\0\x10\0\0\0\x04\x1c\x21\x23\x24\x1f\x1e\
\x1d\x25\x20\x22\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x73\x74\x61\x72\x74\0\x65\x76\x65\x6e\x74\x73\0\x2e\x6d\x61\x70\
\x73\0\x76\x6d\x5f\x7a\x6f\x6e\x65\x5f\x73\x74\x61\x74\x5f\x6b\x61\x64\x64\x72\
\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x6d\x6d\x5f\x76\x6d\x73\x63\x61\
\x6e\x5f\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x62\x65\
\x67\x69\x6e\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x6d\x6d\x5f\x76\x6d\
\x73\x63\x61\x6e\x5f\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\
\x5f\x62\x65\x67\x69\x6e\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\
\0\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x62\x65\x67\x69\
\x6e\x5f\x62\x74\x66\0\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\
\x5f\x65\x6e\x64\x5f\x62\x74\x66\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x72\x61\x77\x5f\x74\x70\x2f\x6d\x6d\x5f\x76\x6d\x73\x63\x61\x6e\x5f\x64\
\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x65\x6e\x64\0\x2e\x72\
\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x6d\x6d\x5f\x76\x6d\x73\x63\x61\x6e\x5f\
\x64\x69\x72\x65\x63\x74\x5f\x72\x65\x63\x6c\x61\x69\x6d\x5f\x65\x6e\x64\0\x74\
\x61\x72\x67\x5f\x70\x69\x64\0\x74\x61\x72\x67\x5f\x74\x67\x69\x64\0\x2e\x73\
\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\
\x42\x33\x5f\x38\0\x4c\x42\x42\x31\x5f\x38\0\x4c\x42\x42\x33\x5f\x37\0\x4c\x42\
\x42\x32\x5f\x37\0\x4c\x42\x42\x31\x5f\x37\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\
\x42\x32\x5f\x36\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\
\x42\x32\x5f\x34\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\
\x42\x33\x5f\x32\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\
\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\x37\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\x82\0\
\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xf8\0\0\0\0\0\0\0\x40\0\0\0\x13\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\0\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\xfc\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1b\x38\0\0\0\0\0\0\0\x50\0\0\0\x13\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\x3e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x90\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x3a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x88\0\0\0\0\
\0\0\0\x40\0\0\0\x13\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xd8\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xd8\0\0\0\0\0\0\x02\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xd4\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\xc8\0\0\0\0\0\0\0\x50\0\0\0\x13\
\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x47\0\0\0\x01\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x06\xf0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\xf8\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\x01\x53\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\
\x30\0\0\0\0\0\0\x09\x92\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\x01\x4f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x18\0\0\0\
\0\0\0\0\x60\0\0\0\x13\0\0\0\x0e\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x0b\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\xc4\0\0\0\0\0\0\x07\
\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x78\0\0\0\0\0\0\x07\0\0\0\0\x13\
\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x8e\x6f\xff\x4c\x03\0\0\0\
\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\x78\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x3f\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\x02\xe8\0\0\0\x01\0\0\0\x15\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct drsnoop_bpf *drsnoop_bpf::open(const struct bpf_object_open_opts *opts) { return drsnoop_bpf__open_opts(opts); }
struct drsnoop_bpf *drsnoop_bpf::open_and_load() { return drsnoop_bpf__open_and_load(); }
int drsnoop_bpf::load(struct drsnoop_bpf *skel) { return drsnoop_bpf__load(skel); }
int drsnoop_bpf::attach(struct drsnoop_bpf *skel) { return drsnoop_bpf__attach(skel); }
void drsnoop_bpf::detach(struct drsnoop_bpf *skel) { drsnoop_bpf__detach(skel); }
void drsnoop_bpf::destroy(struct drsnoop_bpf *skel) { drsnoop_bpf__destroy(skel); }
const void *drsnoop_bpf::elf_bytes(size_t *sz) { return drsnoop_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
drsnoop_bpf__assert(struct drsnoop_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->targ_pid) == 4, "unexpected size of 'targ_pid'");
	_Static_assert(sizeof(s->rodata->targ_tgid) == 4, "unexpected size of 'targ_tgid'");
	_Static_assert(sizeof(s->rodata->vm_zone_stat_kaddr) == 8, "unexpected size of 'vm_zone_stat_kaddr'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __DRSNOOP_BPF_SKEL_H__ */
