/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __JAVAGC_BPF_SKEL_H__
#define __JAVAGC_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct javagc_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__bpf_usdt_specs;
		struct bpf_map *__bpf_usdt_ip_to_spec_id;
		struct bpf_map *data_map;
		struct bpf_map *perf_map;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handle_gc_start;
		struct bpf_program *handle_gc_end;
		struct bpf_program *handle_mem_pool_gc_start;
		struct bpf_program *handle_mem_pool_gc_end;
	} progs;
	struct {
		struct bpf_link *handle_gc_start;
		struct bpf_link *handle_gc_end;
		struct bpf_link *handle_mem_pool_gc_start;
		struct bpf_link *handle_mem_pool_gc_end;
	} links;
	struct javagc_bpf__bss {
		__u32 time;
	} *bss;
	struct javagc_bpf__kconfig {
		const _Bool LINUX_HAS_BPF_COOKIE;
	} *kconfig;

#ifdef __cplusplus
	static inline struct javagc_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct javagc_bpf *open_and_load();
	static inline int load(struct javagc_bpf *skel);
	static inline int attach(struct javagc_bpf *skel);
	static inline void detach(struct javagc_bpf *skel);
	static inline void destroy(struct javagc_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
javagc_bpf__destroy(struct javagc_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
javagc_bpf__create_skeleton(struct javagc_bpf *obj);

static inline struct javagc_bpf *
javagc_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct javagc_bpf *obj;
	int err;

	obj = (struct javagc_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = javagc_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	javagc_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct javagc_bpf *
javagc_bpf__open(void)
{
	return javagc_bpf__open_opts(NULL);
}

static inline int
javagc_bpf__load(struct javagc_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct javagc_bpf *
javagc_bpf__open_and_load(void)
{
	struct javagc_bpf *obj;
	int err;

	obj = javagc_bpf__open();
	if (!obj)
		return NULL;
	err = javagc_bpf__load(obj);
	if (err) {
		javagc_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
javagc_bpf__attach(struct javagc_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
javagc_bpf__detach(struct javagc_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *javagc_bpf__elf_bytes(size_t *sz);

static inline int
javagc_bpf__create_skeleton(struct javagc_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "javagc_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 6;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__bpf_usdt_specs";
	s->maps[0].map = &obj->maps.__bpf_usdt_specs;

	s->maps[1].name = "__bpf_usdt_ip_to_spec_id";
	s->maps[1].map = &obj->maps.__bpf_usdt_ip_to_spec_id;

	s->maps[2].name = "data_map";
	s->maps[2].map = &obj->maps.data_map;

	s->maps[3].name = "perf_map";
	s->maps[3].map = &obj->maps.perf_map;

	s->maps[4].name = "javagc_b.bss";
	s->maps[4].map = &obj->maps.bss;
	s->maps[4].mmaped = (void **)&obj->bss;

	s->maps[5].name = "javagc_.kconfig";
	s->maps[5].map = &obj->maps.kconfig;
	s->maps[5].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_gc_start";
	s->progs[0].prog = &obj->progs.handle_gc_start;
	s->progs[0].link = &obj->links.handle_gc_start;

	s->progs[1].name = "handle_gc_end";
	s->progs[1].prog = &obj->progs.handle_gc_end;
	s->progs[1].link = &obj->links.handle_gc_end;

	s->progs[2].name = "handle_mem_pool_gc_start";
	s->progs[2].prog = &obj->progs.handle_mem_pool_gc_start;
	s->progs[2].link = &obj->links.handle_mem_pool_gc_start;

	s->progs[3].name = "handle_mem_pool_gc_end";
	s->progs[3].prog = &obj->progs.handle_mem_pool_gc_end;
	s->progs[3].link = &obj->links.handle_mem_pool_gc_end;

	s->data = javagc_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *javagc_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0d\0\0\
\0\0\x79\x11\0\x10\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\
\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\
\xbf\x10\0\0\0\0\0\0\x18\0\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\x03\0\
\0\0\0\x61\x01\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xae\x18\x60\0\0\
\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x63\xa0\xff\xf4\0\0\0\0\x67\0\0\0\0\0\0\x20\
\xc7\0\0\0\0\0\0\x20\xb7\x10\0\0\0\0\0\0\x6d\x10\0\x09\0\0\0\0\xbf\x2a\0\0\0\0\
\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\x01\x15\0\0\x03\0\0\0\0\x69\x60\0\xc8\0\0\0\0\x67\x60\0\0\0\0\0\x30\xc7\
\x60\0\0\0\0\0\x30\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x7b\xa3\xff\xe8\0\0\0\0\x55\x10\0\x0d\0\
\0\0\0\x79\x19\0\x10\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\
\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x01\xbf\x10\0\0\0\0\0\0\x18\0\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\
\x04\0\0\0\0\x61\x01\0\0\0\0\0\0\x05\0\0\x02\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\xae\x18\x60\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x63\xa0\xff\xf4\0\0\
\0\0\x67\0\0\0\0\0\0\x20\xc7\0\0\0\0\0\0\x20\xb7\x10\0\0\0\0\0\0\x6d\x10\0\x66\
\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x80\0\0\0\0\0\0\x15\x80\0\x5f\0\0\0\0\
\x18\x60\0\0\xff\xff\xff\xfe\0\0\0\0\0\0\0\0\x25\x70\0\x5c\0\0\0\x0b\x69\x18\0\
\xc8\0\0\0\0\x67\x10\0\0\0\0\0\x30\xc7\x10\0\0\0\0\0\x30\x3d\x71\0\x58\0\0\0\0\
\xbf\x17\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x04\xbf\x28\0\0\0\0\0\0\x0f\x21\0\0\0\0\
\0\0\x61\x12\0\x08\0\0\0\0\x15\x10\0\x06\0\0\0\x02\x15\x10\0\x2d\0\0\0\x01\x18\
\x60\0\0\xff\xff\xff\xea\0\0\0\0\0\0\0\0\x55\x10\0\x4e\0\0\0\0\x79\x12\0\0\0\0\
\0\0\x05\0\0\x3b\0\0\0\0\x69\x12\0\x0c\0\0\0\0\x67\x10\0\0\0\0\0\x30\xc7\x10\0\
\0\0\0\0\x30\x0f\x91\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\
\xf8\xbf\x62\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x39\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x71\xbf\x26\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x67\x10\0\
\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x55\x10\0\x3c\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x79\x3a\xff\xf8\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\
\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x70\xbf\x60\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x55\x10\0\x30\
\0\0\0\0\xbf\x17\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x04\xbf\x28\0\0\0\0\0\0\x0f\x21\
\0\0\0\0\0\0\x71\x22\0\x0f\0\0\0\0\x67\x20\0\0\0\0\0\x38\xc7\x20\0\0\0\0\0\x38\
\x67\x20\0\0\0\0\0\x20\x77\x20\0\0\0\0\0\x20\x79\x1a\xff\xf8\0\0\0\0\x7f\x12\0\
\0\0\0\0\0\x05\0\0\x13\0\0\0\0\xbf\x17\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x04\xbf\
\x28\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x69\x12\0\x0c\0\0\0\0\x67\x10\0\0\0\0\0\
\x30\xc7\x10\0\0\0\0\0\x30\x0f\x91\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\
\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x39\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\
\xbf\x60\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\
\0\x20\x55\x10\0\x12\0\0\0\0\x79\x1a\xff\xf8\0\0\0\0\x79\x5a\xff\xe8\0\0\0\0\
\x67\x70\0\0\0\0\0\x04\x0f\x87\0\0\0\0\0\0\x71\x28\0\x0f\0\0\0\0\x67\x20\0\0\0\
\0\0\x38\xc7\x20\0\0\0\0\0\x38\x67\x20\0\0\0\0\0\x20\x77\x20\0\0\0\0\0\x20\x6f\
\x12\0\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\x7f\x32\0\0\0\0\0\0\x71\x48\0\x0e\0\0\0\0\
\x15\x40\0\x02\0\0\0\0\xcf\x12\0\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\x7b\x53\0\0\0\0\
\0\0\xb7\x60\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0d\0\0\0\0\x79\x11\0\x10\0\
\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x10\0\0\0\0\0\0\
\x18\0\0\0\xff\xff\xff\xfd\0\0\0\0\0\0\0\0\x15\x10\0\x03\0\0\0\0\x61\x01\0\0\0\
\0\0\0\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xae\x63\xa0\xff\xf4\0\0\0\0\x67\0\0\
\0\0\0\0\x20\xc7\0\0\0\0\0\0\x20\xb7\x60\0\0\0\0\0\0\x6d\x60\0\x07\0\0\0\0\xbf\
\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\x79\x60\0\xc0\0\0\0\0\xbf\x06\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\
\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\
\xa0\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\xbf\x3a\0\
\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\
\xff\xf8\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x17\0\0\
\0\0\x79\x20\0\x08\0\0\0\0\x79\x1a\xff\xf8\0\0\0\0\x1f\x12\0\0\0\0\0\0\x67\x10\
\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x22\0\0\0\0\0\0\x3d\x21\0\x0a\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x4a\0\0\0\0\
\0\0\x07\x40\0\0\xff\xff\xff\xf0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x30\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\x10\
\x85\0\0\0\0\0\0\x19\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\
\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\
\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xf4\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\
\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\
\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf8\0\0\0\0\xbf\x7a\0\0\0\0\0\0\
\x07\x70\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x17\0\0\0\0\x79\x20\0\x08\0\0\0\0\x79\x1a\
\xff\xf8\0\0\0\0\x1f\x12\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\
\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x3d\x21\0\x0a\0\0\
\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xf0\
\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x30\0\0\xff\xff\
\xff\xff\0\0\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x19\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\x44\x2f\x47\x50\x4c\0\
\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x07\xfc\0\0\x07\xfc\0\0\x09\x4b\0\0\
\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\
\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\x01\0\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\
\x19\x04\0\0\x03\0\0\0\xd0\0\0\0\x29\0\0\0\x12\0\0\0\0\0\0\0\x2e\0\0\0\x0b\0\0\
\x06\0\0\0\0\x3a\0\0\0\x0e\0\0\x06\x40\0\0\0\x42\x04\0\0\x05\0\0\0\x10\0\0\0\
\x56\0\0\0\x0b\0\0\0\0\0\0\0\x5e\0\0\0\x0d\0\0\0\x40\0\0\0\x67\0\0\0\x0e\0\0\0\
\x60\0\0\0\x6f\0\0\0\x0f\0\0\0\x70\0\0\0\x7a\0\0\0\x11\0\0\0\x78\0\0\0\x87\x08\
\0\0\0\0\0\0\x0c\0\0\0\x8d\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\xa0\x06\0\0\x03\
\0\0\0\x04\0\0\0\xb4\0\0\0\0\0\0\0\xc7\0\0\0\x01\0\0\0\xd8\0\0\0\x02\0\0\0\xef\
\x01\0\0\0\0\0\0\x02\x01\0\0\x10\0\0\0\xf5\x08\0\0\0\0\0\0\x10\0\0\0\xfa\x01\0\
\0\0\0\0\0\x01\x04\0\0\x08\0\0\x01\0\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x0c\0\0\0\0\x04\0\0\x04\0\0\0\x20\
\0\0\x01\x05\0\0\0\x01\0\0\0\0\0\0\x01\x0a\0\0\0\x05\0\0\0\x40\0\0\x01\x16\0\0\
\0\x07\0\0\0\x80\0\0\x01\x1a\0\0\0\x08\0\0\0\xc0\0\0\x01\x20\x0e\0\0\0\0\0\0\
\x13\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\x04\0\0\0\0\0\x02\0\0\0\0\0\0\x1a\0\0\x01\x31\x01\0\0\0\0\
\0\0\x08\x01\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x1c\0\0\x01\x36\x08\0\0\0\0\0\0\
\x1d\0\0\x01\x3c\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\
\0\x01\x05\0\0\0\x15\0\0\0\0\0\0\x01\x0a\0\0\0\x17\0\0\0\x40\0\0\x01\x16\0\0\0\
\x19\0\0\0\x80\0\0\x01\x1a\0\0\0\x1b\0\0\0\xc0\0\0\x01\x49\x0e\0\0\0\0\0\0\x1e\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x64\0\0\0\0\x02\0\0\0\0\0\0\x23\0\0\x01\x62\x08\0\0\0\0\0\0\x24\0\
\0\x01\x6b\x08\0\0\0\0\0\0\x1c\0\0\0\0\x02\0\0\0\0\0\0\x26\0\0\x01\x6f\x04\0\0\
\x03\0\0\0\x10\0\0\x01\x76\0\0\0\x1c\0\0\0\0\0\0\x01\x7a\0\0\0\x1c\0\0\0\x20\0\
\0\x01\x7e\0\0\0\x0b\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\x01\x05\0\0\0\
\x15\0\0\0\0\0\0\x01\x0a\0\0\0\x20\0\0\0\x40\0\0\x01\x16\0\0\0\x22\0\0\0\x80\0\
\0\x01\x1a\0\0\0\x25\0\0\0\xc0\0\0\x01\x81\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\
\0\x02\0\0\0\0\0\0\x2a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\
\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\x01\x05\0\0\0\x29\0\0\0\0\0\0\x01\x16\0\0\0\
\x07\0\0\0\x40\0\0\x01\x1a\0\0\0\x07\0\0\0\x80\0\0\x01\x8a\x0e\0\0\0\0\0\0\x2b\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x2e\0\0\x01\x93\x04\0\0\x06\0\0\0\xc8\0\0\0\
\0\0\0\0\x2f\0\0\0\0\0\0\x01\x9b\0\0\0\x32\0\0\x04\xc0\0\0\0\0\0\0\0\x38\0\0\
\x05\0\0\0\x01\xa5\0\0\0\x32\0\0\x05\x80\0\0\x01\xab\0\0\0\x32\0\0\x05\xc0\0\0\
\x01\xaf\0\0\0\x32\0\0\x06\0\0\0\0\0\x05\0\0\x02\0\0\0\x98\0\0\x01\xba\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\0\0\0\x01\xc4\x08\0\0\0\0\0\0\x31\0\0\0\0\
\x04\0\0\x03\0\0\0\x98\0\0\0\x29\0\0\0\x33\0\0\0\0\0\0\x01\xd1\0\0\0\x34\0\0\0\
\x40\0\0\x01\xd5\0\0\0\x36\0\0\0\xc0\0\0\x01\xda\x01\0\0\0\0\0\0\x08\0\0\0\x40\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x04\0\0\0\x01\0\0\x01\xe8\x08\0\0\0\
\0\0\0\x35\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\x01\xee\0\0\0\x32\0\0\0\0\0\0\x01\
\xf3\0\0\0\x32\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x04\0\0\0\
\x10\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\x29\0\0\0\x33\0\0\0\0\0\0\x01\xd1\0\0\
\0\x34\0\0\0\x40\0\0\x01\xd5\0\0\0\x36\0\0\0\xc0\0\0\0\0\x05\0\0\x02\0\0\0\x10\
\0\0\0\0\0\0\0\x39\0\0\0\0\0\0\x01\xf8\0\0\0\x3a\0\0\0\0\0\0\0\0\x04\0\0\x03\0\
\0\0\x10\0\0\x02\x01\0\0\0\x1d\0\0\0\0\0\0\x02\x0a\0\0\0\x1d\0\0\0\x20\0\0\x02\
\x13\0\0\0\x32\0\0\0\x40\0\0\x01\xf8\x84\0\0\x06\0\0\0\x0c\0\0\x02\x21\0\0\0\
\x3b\0\0\0\0\0\0\x02\x27\0\0\0\x24\0\0\0\x20\0\0\x02\x2f\0\0\0\x24\x01\0\0\x40\
\0\0\x02\x3a\0\0\0\x24\x01\0\0\x41\0\0\x02\x47\0\0\0\x24\x03\0\0\x42\0\0\x01\
\x05\0\0\0\x24\x03\0\0\x51\0\0\x02\x4b\x84\0\0\x05\0\0\0\x04\0\0\x02\x59\0\0\0\
\x1c\x08\0\0\0\0\0\x02\x5f\0\0\0\x1c\x01\0\0\x0c\0\0\x02\x61\0\0\0\x1c\x02\0\0\
\x0d\0\0\x02\x66\0\0\0\x1c\x01\0\0\x0f\0\0\x02\x6a\0\0\0\x1c\x10\0\0\x10\0\0\0\
\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x02\x75\x0c\0\0\x01\0\0\0\
\x3c\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x04\x15\0\0\0\x0b\
\0\0\x04\x1d\0\0\0\x19\0\0\x04\x21\x0c\0\0\x01\0\0\0\x3e\0\0\0\0\x0d\0\0\x01\0\
\0\0\x1a\0\0\x02\x71\0\0\0\x2d\0\0\x06\x34\x0c\0\0\x01\0\0\0\x40\0\0\0\0\x0d\0\
\0\x01\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x06\x5f\x0c\0\0\x01\0\0\0\x42\0\0\0\
\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x07\x71\x0c\0\0\x01\0\0\0\
\x44\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x08\xad\x0c\0\0\
\x01\0\0\0\x46\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x71\0\0\0\x2d\0\0\x08\xc6\
\x0c\0\0\x01\0\0\0\x48\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x04\0\0\0\x0d\
\0\0\x09\x0d\x0e\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\x09\x15\x0e\0\0\0\0\0\0\x1c\0\0\
\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x10\0\0\x09\x1a\x0e\0\0\0\0\0\0\x4d\0\0\0\x02\0\
\0\x09\x2f\x0f\0\0\x01\0\0\0\0\0\0\0\x4c\0\0\0\0\0\0\0\x04\0\0\x09\x34\x0f\0\0\
\x01\0\0\0\0\0\0\0\x4e\0\0\0\0\0\0\0\x01\0\0\x09\x3d\x0f\0\0\x04\0\0\0\0\0\0\0\
\x14\0\0\0\0\0\0\0\x20\0\0\0\x1f\0\0\0\0\0\0\0\x20\0\0\0\x28\0\0\0\0\0\0\0\x20\
\0\0\0\x2c\0\0\0\0\0\0\0\x18\0\0\x09\x43\x0f\0\0\x01\0\0\0\0\0\0\0\x4b\0\0\0\0\
\0\0\0\x0d\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\
\x65\x63\0\x61\x72\x67\x73\0\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x61\
\x72\x67\x5f\x63\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\
\x67\x5f\x73\x70\x65\x63\0\x76\x61\x6c\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x74\
\x79\x70\x65\0\x72\x65\x67\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x73\x69\x67\x6e\
\x65\x64\0\x61\x72\x67\x5f\x62\x69\x74\x73\x68\x69\x66\x74\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x74\x79\x70\x65\
\0\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x43\x4f\x4e\x53\x54\0\
\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\0\x42\x50\x46\
\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\x5f\x44\x45\x52\x45\x46\0\
\x73\x68\x6f\x72\x74\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x63\x68\x61\x72\
\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\
\0\x76\x61\x6c\x75\x65\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\
\x65\x63\x73\0\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\
\x5f\x74\x6f\x5f\x73\x70\x65\x63\x5f\x69\x64\0\x75\x69\x6e\x74\x33\x32\x5f\x74\
\0\x75\x33\x32\0\x64\x61\x74\x61\x5f\x74\0\x63\x70\x75\0\x70\x69\x64\0\x74\x73\
\0\x64\x61\x74\x61\x5f\x6d\x61\x70\0\x70\x65\x72\x66\x5f\x6d\x61\x70\0\x70\x74\
\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\
\x73\0\x63\x72\x31\0\x6c\x61\x73\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\
\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x70\
\x73\x77\0\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\0\x70\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\
\x5f\x69\x6e\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\
\x61\x72\x6d\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x73\x63\
\x68\x69\x64\0\x69\x6e\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\
\x49\x4f\0\x64\x69\x72\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x73\
\x75\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\
\x73\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x63\x74\x78\0\x62\
\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\x74\0\x2e\x74\x65\x78\
\x74\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x75\
\x73\x64\x74\x2e\x62\x70\x66\x2e\x68\0\x09\x69\x66\x20\x28\x21\x4c\x49\x4e\x55\
\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\x29\x20\x7b\0\
\x30\x3a\x31\x3a\x31\0\x09\x09\x6c\x6f\x6e\x67\x20\x69\x70\x20\x3d\x20\x50\x54\
\x5f\x52\x45\x47\x53\x5f\x49\x50\x28\x63\x74\x78\x29\x3b\0\x09\x09\x73\x70\x65\
\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x5f\x5f\x62\x70\x66\x5f\
\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\x70\x65\x63\x5f\x69\x64\x2c\
\x20\x26\x69\x70\x29\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x70\x65\x63\
\x5f\x69\x64\x5f\x70\x74\x72\x20\x3f\x20\x2a\x73\x70\x65\x63\x5f\x69\x64\x5f\
\x70\x74\x72\x20\x3a\x20\x2d\x45\x53\x52\x43\x48\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x63\x6f\
\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x3b\0\x09\x73\x70\x65\x63\x5f\x69\x64\x20\
\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\x5f\x69\
\x64\x28\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\x73\x70\x65\x63\x5f\x69\x64\
\x20\x3c\x20\x30\x29\0\x09\x73\x70\x65\x63\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x5f\x5f\x62\x70\
\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\x73\x2c\x20\x26\x73\x70\x65\x63\
\x5f\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x70\x65\x63\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x63\x6e\x74\
\x3b\0\x7d\0\x61\x72\x67\x5f\x6e\x75\x6d\0\x72\x65\x73\0\x62\x70\x66\x5f\x75\
\x73\x64\x74\x5f\x61\x72\x67\0\x69\x6e\x74\x20\x62\x70\x66\x5f\x75\x73\x64\x74\
\x5f\x61\x72\x67\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\
\x20\x2a\x63\x74\x78\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x72\x67\x5f\x6e\x75\
\x6d\x2c\x20\x6c\x6f\x6e\x67\x20\x2a\x72\x65\x73\x29\0\x09\x2a\x72\x65\x73\x20\
\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\x3e\x3d\
\x20\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x4d\x41\x58\x5f\x41\x52\x47\x5f\x43\
\x4e\x54\x29\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\x3e\x3d\x20\
\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x63\x6e\x74\x29\0\x09\x61\x72\x67\x5f\
\x73\x70\x65\x63\x20\x3d\x20\x26\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x73\x5b\
\x61\x72\x67\x5f\x6e\x75\x6d\x5d\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x61\
\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x74\x79\x70\x65\x29\x20\
\x7b\0\x09\x09\x76\x61\x6c\x20\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\
\x76\x61\x6c\x5f\x6f\x66\x66\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\
\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\
\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x2c\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x63\x74\x78\x20\x2b\x20\x61\x72\x67\x5f\x73\
\x70\x65\x63\x2d\x3e\x72\x65\x67\x5f\x6f\x66\x66\x29\x3b\0\x09\x09\x69\x66\x20\
\x28\x65\x72\x72\x29\0\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x76\x61\x6c\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x2c\x20\x28\x76\x6f\x69\x64\
\x20\x2a\x29\x76\x61\x6c\x20\x2b\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\
\x76\x61\x6c\x5f\x6f\x66\x66\x29\x3b\0\x09\x09\x76\x61\x6c\x20\x3e\x3e\x3d\x20\
\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x62\x69\x74\x73\x68\
\x69\x66\x74\x3b\0\x09\x76\x61\x6c\x20\x3c\x3c\x3d\x20\x61\x72\x67\x5f\x73\x70\
\x65\x63\x2d\x3e\x61\x72\x67\x5f\x62\x69\x74\x73\x68\x69\x66\x74\x3b\0\x09\x69\
\x66\x20\x28\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x73\x69\
\x67\x6e\x65\x64\x29\0\x09\x2a\x72\x65\x73\x20\x3d\x20\x76\x61\x6c\x3b\0\x62\
\x70\x66\x5f\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x73\x70\x65\x63\x2d\x3e\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\
\x65\x3b\0\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\0\x75\
\x73\x64\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\
\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x6a\x61\x76\x61\x67\x63\x2e\x62\
\x70\x66\x2e\x63\0\x09\x64\x61\x74\x61\x2e\x63\x70\x75\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\
\x69\x64\x28\x29\x3b\0\x09\x64\x61\x74\x61\x2e\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x64\x61\x74\x61\x2e\x74\
\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\
\x73\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\
\x5f\x65\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\x5f\x6d\x61\x70\x2c\x20\x26\x64\
\x61\x74\x61\x2e\x70\x69\x64\x2c\x20\x26\x64\x61\x74\x61\x2c\x20\x30\x29\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x67\x63\x5f\x73\x74\x61\x72\x74\x28\x63\x74\
\x78\x29\x3b\0\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x65\x6e\x64\0\x69\x6e\
\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x65\x6e\x64\x28\x73\x74\x72\
\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x09\x70\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\x5f\x6d\x61\x70\x2c\x20\x26\x64\x61\x74\
\x61\x2e\x70\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x76\x61\
\x6c\x20\x3d\x20\x64\x61\x74\x61\x2e\x74\x73\x20\x2d\x20\x70\x2d\x3e\x74\x73\
\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\x20\x3e\x20\x74\x69\x6d\x65\x29\x20\x7b\
\0\x09\x09\x64\x61\x74\x61\x2e\x74\x73\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x09\
\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\
\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x70\x65\x72\x66\x5f\x6d\x61\x70\x2c\x20\
\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\x20\
\x26\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\x29\
\x29\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\x5f\x65\
\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\x5f\x6d\x61\x70\x2c\x20\x26\x64\x61\x74\
\x61\x2e\x70\x69\x64\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x67\x63\x5f\x65\
\x6e\x64\x28\x63\x74\x78\x29\x3b\0\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\
\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x65\x6e\x64\0\x69\x6e\x74\
\x20\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\
\x5f\x65\x6e\x64\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\
\x20\x2a\x63\x74\x78\x29\0\x4c\x49\x43\x45\x4e\x53\x45\0\x74\x69\x6d\x65\0\x4c\
\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\0\
\x2e\x62\x73\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\
\x4c\0\0\x08\xf4\0\0\x09\x40\0\0\0\x3c\0\0\0\x08\0\0\x02\x86\0\0\0\x03\0\0\0\0\
\0\0\0\x3d\0\0\x01\x20\0\0\0\x3f\0\0\x05\x58\0\0\0\x41\0\0\x06\x6f\0\0\0\x04\0\
\0\0\0\0\0\0\x43\0\0\0\x88\0\0\0\x45\0\0\x01\xc8\0\0\0\x47\0\0\x02\x50\0\0\0\
\x49\0\0\0\x10\0\0\x02\x86\0\0\0\x4e\0\0\0\0\0\0\x02\x8c\0\0\x02\xa8\0\x01\x48\
\x07\0\0\0\x18\0\0\x02\x8c\0\0\x02\xa8\0\x01\x48\x06\0\0\0\x20\0\0\x02\x8c\0\0\
\x02\xcc\0\x01\x4c\x0d\0\0\0\x28\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x08\0\0\0\
\x38\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x0d\0\0\0\x40\0\0\x02\x8c\0\0\x02\xe9\0\
\x01\x58\x11\0\0\0\x70\0\0\x02\x8c\0\0\x03\x2e\0\x01\x5c\x0a\0\0\0\x78\0\0\x02\
\x8c\0\0\x03\x2e\0\x01\x5c\x18\0\0\0\x88\0\0\x02\x8c\0\0\x03\x5c\0\x01\x68\x09\
\0\0\0\xa0\0\0\x02\x8c\0\0\x03\x80\0\x01\x90\x0a\0\0\0\xc0\0\0\x02\x8c\0\0\x03\
\xa4\0\x01\x94\x06\0\0\0\xd0\0\0\x02\x8c\0\0\x03\xb6\0\x01\xa0\x09\0\0\0\xf0\0\
\0\x02\x8c\0\0\x03\xf0\0\x01\xa4\x06\0\0\0\xf8\0\0\x02\x8c\0\0\x03\xfc\0\x01\
\xb0\x0f\0\0\x01\x10\0\0\x02\x8c\0\0\x04\x13\0\x01\xb4\x01\0\0\x01\x20\0\0\x02\
\x8c\0\0\x04\x2e\0\x01\xd0\0\0\0\x01\x38\0\0\x02\x8c\0\0\x04\x6e\0\x01\xec\x07\
\0\0\x01\x40\0\0\x02\x8c\0\0\x02\xa8\0\x01\x48\x07\0\0\x01\x58\0\0\x02\x8c\0\0\
\x02\xa8\0\x01\x48\x06\0\0\x01\x68\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x0d\0\0\
\x01\x70\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x08\0\0\x01\x80\0\0\x02\x8c\0\0\x02\
\xcc\0\x01\x4c\x0d\0\0\x01\x88\0\0\x02\x8c\0\0\x02\xe9\0\x01\x58\x11\0\0\x01\
\xb8\0\0\x02\x8c\0\0\x03\x2e\0\x01\x5c\x0a\0\0\x01\xc0\0\0\x02\x8c\0\0\x03\x2e\
\0\x01\x5c\x18\0\0\x01\xd0\0\0\x02\x8c\0\0\x03\x5c\0\x01\x68\x09\0\0\x01\xf0\0\
\0\x02\x8c\0\0\x03\x80\0\x01\xf4\x0a\0\0\x02\x10\0\0\x02\x8c\0\0\x03\xa4\0\x01\
\xf8\x06\0\0\x02\x20\0\0\x02\x8c\0\0\x03\xb6\0\x02\x04\x09\0\0\x02\x48\0\0\x02\
\x8c\0\0\x03\xf0\0\x02\x08\x06\0\0\x02\x60\0\0\x02\x8c\0\0\x04\x79\0\x02\x14\
\x06\0\0\x02\x68\0\0\x02\x8c\0\0\x04\x9f\0\x02\x20\x17\0\0\x02\x80\0\0\x02\x8c\
\0\0\x04\x9f\0\x02\x20\x06\0\0\x02\x88\0\0\x02\x8c\0\0\x04\xbe\0\x02\x2c\x0e\0\
\0\x02\xa8\0\0\x02\x8c\0\0\x04\xe0\0\x02\x30\x14\0\0\x02\xb0\0\0\x02\x8c\0\0\
\x04\xe0\0\x02\x30\x02\0\0\x02\xd8\0\0\x02\x8c\0\0\x04\xff\0\x02\x44\x13\0\0\
\x02\xe8\0\0\x02\x8c\0\0\x05\x1a\0\x02\x94\x4a\0\0\x03\0\0\0\x02\x8c\0\0\x05\
\x1a\0\x02\x94\x3e\0\0\x03\x10\0\0\x02\x8c\0\0\x05\x1a\0\x02\x94\x4a\0\0\x03\
\x20\0\0\x02\x8c\0\0\x05\x1a\0\x02\x94\x09\0\0\x03\x60\0\0\x02\x8c\0\0\x05\x6d\
\0\x02\x98\x07\0\0\x03\x68\0\0\x02\x8c\0\0\x05\x78\0\x02\xa0\x48\0\0\x03\x70\0\
\0\x02\x8c\0\0\x05\x78\0\x02\xa0\x38\0\0\x03\x78\0\0\x02\x8c\0\0\x05\x78\0\x02\
\xa0\x3c\0\0\x03\x88\0\0\x02\x8c\0\0\x05\x78\0\x02\xa0\x48\0\0\x03\x90\0\0\x02\
\x8c\0\0\x05\x78\0\x02\xa0\x09\0\0\x03\xc0\0\0\x02\x8c\0\0\x05\x6d\0\x02\xa4\
\x07\0\0\x03\xc8\0\0\x02\x8c\0\0\x05\xc9\0\x02\xb0\x15\0\0\x04\0\0\0\x02\x8c\0\
\0\x05\xc9\0\x02\xb0\x07\0\0\x04\x28\0\0\x02\x8c\0\0\x05\x1a\0\x02\x64\x4a\0\0\
\x04\x60\0\0\x02\x8c\0\0\x05\x1a\0\x02\x64\x3e\0\0\x04\x70\0\0\x02\x8c\0\0\x05\
\x1a\0\x02\x64\x4a\0\0\x04\x78\0\0\x02\x8c\0\0\x05\x1a\0\x02\x64\x09\0\0\x04\
\xb0\0\0\x02\x8c\0\0\x05\x6d\0\x02\x68\x07\0\0\x04\xb8\0\0\x02\x8c\0\0\x05\xeb\
\0\x02\xdc\x06\0\0\x04\xc8\0\0\x02\x8c\0\0\x05\xeb\0\x02\xdc\x14\0\0\x04\xf0\0\
\0\x02\x8c\0\0\x05\xeb\0\x02\xdc\x06\0\0\x05\x08\0\0\x02\x8c\0\0\x06\x0c\0\x02\
\xe0\x06\0\0\x05\x18\0\0\x02\x8c\0\0\x06\x0c\0\x02\xe0\x10\0\0\x05\x20\0\0\x02\
\x8c\0\0\x06\x0c\0\x02\xe0\x06\0\0\x05\x38\0\0\x02\x8c\0\0\x06\x27\0\x02\xf0\
\x07\0\0\x05\x48\0\0\x02\x8c\0\0\x04\x13\0\x02\xf8\x01\0\0\x05\x58\0\0\x02\x8c\
\0\0\x02\xa8\0\x01\x48\x07\0\0\x05\x70\0\0\x02\x8c\0\0\x02\xa8\0\x01\x48\x06\0\
\0\x05\x78\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x0d\0\0\x05\x80\0\0\x02\x8c\0\0\
\x02\xcc\0\x01\x4c\x08\0\0\x05\x90\0\0\x02\x8c\0\0\x02\xcc\0\x01\x4c\x0d\0\0\
\x05\x98\0\0\x02\x8c\0\0\x02\xe9\0\x01\x58\x11\0\0\x05\xc8\0\0\x02\x8c\0\0\x03\
\x2e\0\x01\x5c\x0a\0\0\x05\xd0\0\0\x02\x8c\0\0\x03\x2e\0\x01\x5c\x18\0\0\x05\
\xe0\0\0\x02\x8c\0\0\x03\x5c\0\x01\x68\x09\0\0\x05\xe8\0\0\x02\x8c\0\0\x03\x80\
\0\x03\x30\x0a\0\0\x06\x08\0\0\x02\x8c\0\0\x03\xa4\0\x03\x34\x06\0\0\x06\x18\0\
\0\x02\x8c\0\0\x03\xb6\0\x03\x40\x09\0\0\x06\x38\0\0\x02\x8c\0\0\x03\xf0\0\x03\
\x44\x06\0\0\x06\x40\0\0\x02\x8c\0\0\x06\x44\0\x03\x50\x0f\0\0\x06\x48\0\0\x02\
\x8c\0\0\x04\x13\0\x03\x54\x01\0\0\x06\x6f\0\0\0\x40\0\0\0\0\0\0\x06\x74\0\0\
\x06\xaf\0\0\x70\x0d\0\0\0\x08\0\0\x06\x74\0\0\x06\xaf\0\0\x70\x0b\0\0\0\x10\0\
\0\x06\x74\0\0\x06\xd7\0\0\x74\x0d\0\0\0\x18\0\0\x06\x74\0\0\x06\xd7\0\0\x74\
\x28\0\0\0\x20\0\0\x06\x74\0\0\x06\xd7\0\0\x74\x0b\0\0\0\x28\0\0\x06\x74\0\0\
\x07\x05\0\0\x78\x0c\0\0\0\x30\0\0\x06\x74\0\0\x07\x05\0\0\x78\x0a\0\0\0\x38\0\
\0\x06\x74\0\0\x06\xd7\0\0\x74\x07\0\0\0\x50\0\0\x06\x74\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\x06\x74\0\0\x07\x24\0\0\x7c\x02\0\0\0\x78\0\0\x06\x74\0\0\x07\x5a\0\0\
\xf0\x02\0\0\0\x88\0\0\x06\x74\0\0\x07\x7f\0\x01\0\0\0\0\0\x90\0\0\x06\x74\0\0\
\x06\xaf\0\0\xa4\x0d\0\0\0\x98\0\0\x06\x74\0\0\x06\xaf\0\0\xa4\x0b\0\0\0\xa0\0\
\0\x06\x74\0\0\x06\xd7\0\0\xa8\x0d\0\0\0\xa8\0\0\x06\x74\0\0\x06\xd7\0\0\xa8\
\x28\0\0\0\xb0\0\0\x06\x74\0\0\x06\xd7\0\0\xa8\x0b\0\0\0\xb8\0\0\x06\x74\0\0\
\x07\x05\0\0\xac\x0c\0\0\0\xc0\0\0\x06\x74\0\0\x07\x05\0\0\xac\x0a\0\0\0\xc8\0\
\0\x06\x74\0\0\x06\xd7\0\0\xa8\x07\0\0\0\xd8\0\0\x06\x74\0\0\x07\xa6\0\0\xb0\
\x06\0\0\0\xf8\0\0\x06\x74\0\0\x07\xd6\0\0\xb4\x06\0\0\x01\0\0\0\x06\x74\0\0\
\x07\xdf\0\0\xc0\x15\0\0\x01\x08\0\0\x06\x74\0\0\x07\xdf\0\0\xc0\x0d\0\0\x01\
\x10\0\0\x06\x74\0\0\x07\xdf\0\0\xc0\x10\0\0\x01\x18\0\0\x06\x74\0\0\x07\xdf\0\
\0\xc0\x08\0\0\x01\x28\0\0\x06\x74\0\0\x07\xf7\0\0\xc4\x0c\0\0\x01\x40\0\0\x06\
\x74\0\0\x07\xf7\0\0\xc4\x06\0\0\x01\x48\0\0\x06\x74\0\0\x08\x0a\0\0\xc8\x0b\0\
\0\x01\x60\0\0\x06\x74\0\0\x08\x1b\0\0\xcc\x03\0\0\x01\x98\0\0\x06\x74\0\0\x08\
\x6c\0\0\xd4\x02\0\0\x01\xb8\0\0\x06\x74\0\0\x08\x98\0\x01\x08\x02\0\0\x01\xc8\
\0\0\x06\x74\0\0\x06\xaf\0\0\x70\x0d\0\0\x01\xd0\0\0\x06\x74\0\0\x06\xaf\0\0\
\x70\x0b\0\0\x01\xd8\0\0\x06\x74\0\0\x06\xd7\0\0\x74\x0d\0\0\x01\xe0\0\0\x06\
\x74\0\0\x06\xd7\0\0\x74\x28\0\0\x01\xe8\0\0\x06\x74\0\0\x06\xd7\0\0\x74\x0b\0\
\0\x01\xf0\0\0\x06\x74\0\0\x07\x05\0\0\x78\x0c\0\0\x01\xf8\0\0\x06\x74\0\0\x07\
\x05\0\0\x78\x0a\0\0\x02\0\0\0\x06\x74\0\0\x06\xd7\0\0\x74\x07\0\0\x02\x18\0\0\
\x06\x74\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\x06\x74\0\0\x07\x24\0\0\x7c\x02\0\0\
\x02\x40\0\0\x06\x74\0\0\x07\x5a\0\x01\x20\x02\0\0\x02\x50\0\0\x06\x74\0\0\x08\
\xdd\0\x01\x30\0\0\0\x02\x58\0\0\x06\x74\0\0\x06\xaf\0\0\xa4\x0d\0\0\x02\x60\0\
\0\x06\x74\0\0\x06\xaf\0\0\xa4\x0b\0\0\x02\x68\0\0\x06\x74\0\0\x06\xd7\0\0\xa8\
\x0d\0\0\x02\x70\0\0\x06\x74\0\0\x06\xd7\0\0\xa8\x28\0\0\x02\x78\0\0\x06\x74\0\
\0\x06\xd7\0\0\xa8\x0b\0\0\x02\x80\0\0\x06\x74\0\0\x07\x05\0\0\xac\x0c\0\0\x02\
\x88\0\0\x06\x74\0\0\x07\x05\0\0\xac\x0a\0\0\x02\x90\0\0\x06\x74\0\0\x06\xd7\0\
\0\xa8\x07\0\0\x02\xa0\0\0\x06\x74\0\0\x07\xa6\0\0\xb0\x06\0\0\x02\xc0\0\0\x06\
\x74\0\0\x07\xd6\0\0\xb4\x06\0\0\x02\xc8\0\0\x06\x74\0\0\x07\xdf\0\0\xc0\x15\0\
\0\x02\xd0\0\0\x06\x74\0\0\x07\xdf\0\0\xc0\x0d\0\0\x02\xd8\0\0\x06\x74\0\0\x07\
\xdf\0\0\xc0\x10\0\0\x02\xe0\0\0\x06\x74\0\0\x07\xdf\0\0\xc0\x08\0\0\x02\xf0\0\
\0\x06\x74\0\0\x07\xf7\0\0\xc4\x0c\0\0\x03\x08\0\0\x06\x74\0\0\x07\xf7\0\0\xc4\
\x06\0\0\x03\x10\0\0\x06\x74\0\0\x08\x0a\0\0\xc8\x0b\0\0\x03\x28\0\0\x06\x74\0\
\0\x08\x1b\0\0\xcc\x03\0\0\x03\x60\0\0\x06\x74\0\0\x08\x6c\0\0\xd4\x02\0\0\x03\
\x80\0\0\x06\x74\0\0\x08\x98\0\x01\x38\x02\0\0\0\x10\0\0\x02\x86\0\0\0\x03\0\0\
\0\x20\0\0\0\x30\0\0\x02\xc6\0\0\0\0\0\0\x01\x68\0\0\0\x30\0\0\x02\xc6\0\0\0\0\
\0\0\x05\x78\0\0\0\x30\0\0\x02\xc6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x9a\0\0\0\x02\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\x01\x6f\0\0\0\x02\0\0\
\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\x01\x44\0\0\0\x02\0\0\0\0\0\0\x01\x10\0\0\0\
\0\0\0\0\0\0\0\x01\x93\0\0\0\x02\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\x01\
\x68\0\0\0\x02\0\0\0\0\0\0\x01\xe0\0\0\0\0\0\0\0\0\0\0\x01\xa9\0\0\0\x02\0\0\0\
\0\0\0\x05\x48\0\0\0\0\0\0\0\0\0\0\x01\x76\0\0\0\x02\0\0\0\0\0\0\x02\xe8\0\0\0\
\0\0\0\0\0\0\0\x01\xa1\0\0\0\x02\0\0\0\0\0\0\x04\x28\0\0\0\0\0\0\0\0\0\0\x01\
\x4b\0\0\0\x02\0\0\0\0\0\0\x04\xc0\0\0\0\0\0\0\0\0\0\0\x01\x35\0\0\0\x02\0\0\0\
\0\0\0\x05\x38\0\0\0\0\0\0\0\0\0\0\x01\x8c\0\0\0\x02\0\0\0\0\0\0\x05\xe0\0\0\0\
\0\0\0\0\0\0\0\x01\x61\0\0\0\x02\0\0\0\0\0\0\x05\xe8\0\0\0\0\0\0\0\0\0\0\x01\
\x3d\0\0\0\x02\0\0\0\0\0\0\x06\x48\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x5a\0\0\0\x04\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\
\0\0\0\0\x01\x85\0\0\0\x04\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\0\0\0\x01\x53\0\0\
\0\x04\0\0\0\0\0\0\x03\x80\0\0\0\0\0\0\0\0\0\0\x01\x7e\0\0\0\x04\0\0\0\0\0\0\
\x03\x60\0\0\0\0\0\0\0\0\0\0\0\x41\x22\x02\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x20\0\0\x01\x20\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\x21\0\
\0\x06\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x66\x21\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\x89\x22\x02\0\x02\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\
\x04\x38\0\0\0\xb1\x22\x02\0\x02\0\0\0\0\0\0\x05\x58\0\0\0\0\0\0\x01\0\0\0\0\
\x31\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x80\x11\0\0\x06\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x20\0\0\0\xd8\x12\0\0\x04\0\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\x01\x40\0\0\0\xac\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x77\
\x11\0\0\x06\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x18\0\0\0\x18\x12\0\0\x04\0\0\0\0\
\0\0\x01\xc8\0\0\0\0\0\0\0\x88\0\0\0\xc1\x12\0\0\x04\0\0\0\0\0\0\x02\x50\0\0\0\
\0\0\0\x01\x40\0\0\x01\x18\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\0\
\0\0\xd8\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\x01\x40\0\0\0\x15\0\0\0\x01\0\0\0\0\0\
\0\x01\x88\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x02\x28\0\0\0\x17\0\0\0\x01\0\0\0\0\
\0\0\x05\x58\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\x05\x98\0\0\0\x16\0\0\0\x01\0\0\0\
\0\0\0\x06\x20\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x1b\0\0\0\x01\0\0\0\
\0\0\0\0\xd8\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\0\x1d\0\0\0\x01\0\0\0\
\0\0\0\x01\x68\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\0\0\x1b\0\0\0\x01\0\0\
\0\0\0\0\x02\x20\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x02\xa0\0\0\0\x1b\0\0\0\x01\0\
\0\0\0\0\0\x02\xf0\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x03\x30\0\0\0\x1e\0\0\0\x01\
\0\0\0\0\0\0\x03\x60\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x07\xa0\0\0\0\x1d\0\0\0\
\x04\0\0\0\0\0\0\x07\xb8\0\0\0\x15\0\0\0\x03\0\0\0\0\0\0\x07\xd0\0\0\0\x17\0\0\
\0\x04\0\0\0\0\0\0\x07\xdc\0\0\0\x16\0\0\0\x04\0\0\0\0\0\0\x07\xe8\0\0\0\x1b\0\
\0\0\x04\0\0\0\0\0\0\x07\xf4\0\0\0\x1e\0\0\0\x04\0\0\0\0\0\0\x08\x0c\0\0\0\x21\
\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x34\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x4c\0\0\0\x0f\0\0\
\0\x04\0\0\0\0\0\0\0\x54\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\0\x5c\0\0\0\x0f\0\0\0\
\x04\0\0\0\0\0\0\0\x64\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\0\x78\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\x88\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xb8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\xc8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xf8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x18\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x01\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x38\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x01\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x58\0\0\0\x01\
\0\0\0\x04\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x78\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x98\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xa8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xb8\0\
\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xc8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xd8\
\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\
\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x02\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x02\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x02\x58\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x68\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x02\x78\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x88\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x02\x98\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\x01\0\0\0\x04\0\
\0\0\0\0\0\x02\xb8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xc8\0\0\0\x01\0\0\0\x04\
\0\0\0\0\0\0\x02\xd8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xe8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x02\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x08\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x03\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x28\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x03\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x48\0\0\0\x01\
\0\0\0\x04\0\0\0\0\0\0\x03\x58\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x68\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\x03\x78\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x88\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x98\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xa8\0\
\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xb8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xc8\
\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xd8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\
\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x04\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x04\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x04\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x58\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x04\x68\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x78\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x04\x88\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x98\0\0\0\x01\0\0\0\x04\0\
\0\0\0\0\0\x04\xa8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\xb8\0\0\0\x01\0\0\0\x04\
\0\0\0\0\0\0\x04\xc8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\xd8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x04\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\xf8\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x05\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x05\x18\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x05\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x05\x38\0\0\0\x01\
\0\0\0\x04\0\0\0\0\0\0\x05\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x05\x60\0\0\0\
\x0f\0\0\0\x04\0\0\0\0\0\0\x05\x70\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\x80\0\0\
\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\x90\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\xa0\0\
\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\xb0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\xc0\
\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\xd0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\
\xe0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x05\xf0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\
\x06\0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\x10\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\
\x06\x20\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\x30\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\
\0\x06\x40\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\x50\0\0\0\x0f\0\0\0\x04\0\0\0\0\
\0\0\x06\x60\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\x70\0\0\0\x0f\0\0\0\x04\0\0\0\
\0\0\0\x06\x80\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\x90\0\0\0\x0f\0\0\0\x04\0\0\
\0\0\0\0\x06\xa0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\xb0\0\0\0\x0f\0\0\0\x04\0\
\0\0\0\0\0\x06\xc0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\xd0\0\0\0\x0f\0\0\0\x04\
\0\0\0\0\0\0\x06\xe0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x06\xf0\0\0\0\x0f\0\0\0\
\x04\0\0\0\0\0\0\x07\0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\x10\0\0\0\x0f\0\0\0\
\x04\0\0\0\0\0\0\x07\x20\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\x30\0\0\0\x0f\0\0\
\0\x04\0\0\0\0\0\0\x07\x40\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\x50\0\0\0\x0f\0\
\0\0\x04\0\0\0\0\0\0\x07\x60\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\x70\0\0\0\x0f\
\0\0\0\x04\0\0\0\0\0\0\x07\x80\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\x90\0\0\0\
\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xa0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xb0\0\0\
\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xc0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xd0\0\
\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xe0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x07\xf0\
\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\x10\
\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\x20\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\
\x30\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\x40\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\
\x08\x50\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\x60\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\
\0\x08\x70\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\x80\0\0\0\x0f\0\0\0\x04\0\0\0\0\
\0\0\x08\x90\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\xa0\0\0\0\x0f\0\0\0\x04\0\0\0\
\0\0\0\x08\xb0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\xc0\0\0\0\x0f\0\0\0\x04\0\0\
\0\0\0\0\x08\xd0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x08\xe0\0\0\0\x0f\0\0\0\x04\0\
\0\0\0\0\0\x08\xf0\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x09\0\0\0\0\x0f\0\0\0\x04\0\
\0\0\0\0\0\x09\x10\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x09\x20\0\0\0\x0f\0\0\0\x04\
\0\0\0\0\0\0\x09\x30\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x09\x40\0\0\0\x0f\0\0\0\
\x04\0\0\0\0\0\0\x09\x50\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\x09\x6c\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x09\x7c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x09\x8c\0\0\0\x01\0\
\0\0\x04\x21\x23\x26\x27\x1e\x28\x1d\x22\x25\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\0\x62\x70\x66\x5f\
\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\x74\0\x2e\x72\x65\x6c\x75\x73\x64\
\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\
\x64\x74\x5f\x73\x70\x65\x63\x73\0\x70\x65\x72\x66\x5f\x6d\x61\x70\0\x64\x61\
\x74\x61\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x74\x69\x6d\x65\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\
\x69\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\
\x63\x5f\x65\x6e\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x65\x6e\x64\0\
\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\x70\
\x65\x63\x5f\x69\x64\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x49\
\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\0\x4c\
\x42\x42\x31\x5f\x31\x39\0\x4c\x42\x42\x32\x5f\x37\0\x4c\x42\x42\x30\x5f\x37\0\
\x4c\x42\x42\x31\x5f\x31\x37\0\x4c\x42\x42\x36\x5f\x34\0\x4c\x42\x42\x34\x5f\
\x34\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x30\x5f\
\x34\0\x4c\x42\x42\x31\x5f\x31\x34\0\x4c\x42\x42\x36\x5f\x33\0\x4c\x42\x42\x34\
\x5f\x33\0\x4c\x42\x42\x32\x5f\x33\0\x4c\x42\x42\x31\x5f\x33\0\x4c\x42\x42\x30\
\x5f\x33\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x32\x30\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x09\0\0\0\0\0\0\x01\xb1\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x06\x58\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x28\xe0\0\0\0\0\0\0\0\x90\0\0\0\x0e\0\0\0\x02\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\x56\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x06\x98\0\0\0\0\0\0\x03\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x52\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\
\x70\0\0\0\0\0\0\0\xa0\0\0\0\x0e\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x60\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x28\0\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xa0\0\0\0\0\0\0\0\x0d\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x08\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x01\x13\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb0\0\0\0\0\0\0\x11\x5f\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\x01\x0f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2a\x10\0\0\0\0\0\0\0\x70\0\0\0\x0e\0\0\0\x09\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1c\x10\0\0\0\0\0\0\x09\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\x0b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x80\
\0\0\0\0\0\0\x09\x80\0\0\0\x0e\0\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\x96\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\
\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x07\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\xb0\0\0\0\0\0\0\x03\
\x30\0\0\0\x01\0\0\0\x14\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct javagc_bpf *javagc_bpf::open(const struct bpf_object_open_opts *opts) { return javagc_bpf__open_opts(opts); }
struct javagc_bpf *javagc_bpf::open_and_load() { return javagc_bpf__open_and_load(); }
int javagc_bpf::load(struct javagc_bpf *skel) { return javagc_bpf__load(skel); }
int javagc_bpf::attach(struct javagc_bpf *skel) { return javagc_bpf__attach(skel); }
void javagc_bpf::detach(struct javagc_bpf *skel) { javagc_bpf__detach(skel); }
void javagc_bpf::destroy(struct javagc_bpf *skel) { javagc_bpf__destroy(skel); }
const void *javagc_bpf::elf_bytes(size_t *sz) { return javagc_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
javagc_bpf__assert(struct javagc_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->time) == 4, "unexpected size of 'time'");
	_Static_assert(sizeof(s->kconfig->LINUX_HAS_BPF_COOKIE) == 1, "unexpected size of 'LINUX_HAS_BPF_COOKIE'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __JAVAGC_BPF_SKEL_H__ */
