/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __READAHEAD_BPF_SKEL_H__
#define __READAHEAD_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct readahead_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *in_readahead;
		struct bpf_map *birth;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *do_page_cache_ra;
		struct bpf_program *page_cache_alloc_ret;
		struct bpf_program *do_page_cache_ra_ret;
		struct bpf_program *mark_page_accessed;
	} progs;
	struct {
		struct bpf_link *do_page_cache_ra;
		struct bpf_link *page_cache_alloc_ret;
		struct bpf_link *do_page_cache_ra_ret;
		struct bpf_link *mark_page_accessed;
	} links;
	struct readahead_bpf__bss {
		struct hist hist;
	} *bss;

#ifdef __cplusplus
	static inline struct readahead_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct readahead_bpf *open_and_load();
	static inline int load(struct readahead_bpf *skel);
	static inline int attach(struct readahead_bpf *skel);
	static inline void detach(struct readahead_bpf *skel);
	static inline void destroy(struct readahead_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
readahead_bpf__destroy(struct readahead_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
readahead_bpf__create_skeleton(struct readahead_bpf *obj);

static inline struct readahead_bpf *
readahead_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct readahead_bpf *obj;
	int err;

	obj = (struct readahead_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = readahead_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	readahead_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct readahead_bpf *
readahead_bpf__open(void)
{
	return readahead_bpf__open_opts(NULL);
}

static inline int
readahead_bpf__load(struct readahead_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct readahead_bpf *
readahead_bpf__open_and_load(void)
{
	struct readahead_bpf *obj;
	int err;

	obj = readahead_bpf__open();
	if (!obj)
		return NULL;
	err = readahead_bpf__load(obj);
	if (err) {
		readahead_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
readahead_bpf__attach(struct readahead_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
readahead_bpf__detach(struct readahead_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *readahead_bpf__elf_bytes(size_t *sz);

static inline int
readahead_bpf__create_skeleton(struct readahead_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "readahead_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "in_readahead";
	s->maps[0].map = &obj->maps.in_readahead;

	s->maps[1].name = "birth";
	s->maps[1].map = &obj->maps.birth;

	s->maps[2].name = "readahea.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "do_page_cache_ra";
	s->progs[0].prog = &obj->progs.do_page_cache_ra;
	s->progs[0].link = &obj->links.do_page_cache_ra;

	s->progs[1].name = "page_cache_alloc_ret";
	s->progs[1].prog = &obj->progs.page_cache_alloc_ret;
	s->progs[1].link = &obj->links.page_cache_alloc_ret;

	s->progs[2].name = "do_page_cache_ra_ret";
	s->progs[2].prog = &obj->progs.do_page_cache_ra_ret;
	s->progs[2].link = &obj->links.do_page_cache_ra_ret;

	s->progs[3].name = "mark_page_accessed";
	s->progs[3].prog = &obj->progs.mark_page_accessed;
	s->progs[3].link = &obj->links.mark_page_accessed;

	s->data = readahead_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *readahead_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\x38\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\x85\0\0\0\0\0\0\x0e\x63\xa0\xff\xfc\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x7b\xa1\
\xff\xf0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\xbf\x3a\0\0\0\
\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\
\x08\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x85\0\0\0\0\0\0\x0e\x63\xa0\xff\xf4\0\0\0\
\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x10\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\
\xff\xe8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xbf\x3a\0\0\0\
\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\xc3\x23\0\0\0\0\0\0\xc3\x21\0\x04\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x63\xa0\xff\xfc\0\0\0\
\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\
\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x85\0\0\0\0\0\0\x05\xbf\x60\0\0\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x01\x15\0\0\x4c\0\0\0\0\x79\x10\0\0\0\0\0\0\x1f\x61\0\0\0\0\0\
\0\xb7\x10\0\0\0\0\0\0\x6d\x16\0\x3f\0\0\0\0\x37\x60\0\0\0\x0f\x42\x40\xbf\x26\
\0\0\0\0\0\0\x77\x20\0\0\0\0\0\x20\x15\x20\0\x15\0\0\0\0\xb7\x30\0\0\0\0\0\x01\
\xb7\x10\0\0\0\0\0\x01\x25\x20\0\x01\0\0\0\xff\xb7\x10\0\0\0\0\0\0\x67\x10\0\0\
\0\0\0\x03\x7f\x21\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x25\x20\0\x01\0\0\0\x0f\
\xb7\x40\0\0\0\0\0\0\x67\x40\0\0\0\0\0\x02\x7f\x24\0\0\0\0\0\0\x25\x20\0\x01\0\
\0\0\x03\xb7\x30\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x01\x7f\x23\0\0\0\0\0\0\x77\x20\
\0\0\0\0\0\x01\x4f\x12\0\0\0\0\0\0\x4f\x14\0\0\0\0\0\0\x4f\x13\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x20\x05\0\0\x1b\0\0\0\0\x67\x60\0\0\0\0\0\x20\x77\x60\0\0\0\0\0\
\x20\xb7\x20\0\0\0\0\0\x01\xb7\x10\0\0\0\0\0\x01\x25\x60\0\x01\0\0\xff\xff\xb7\
\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x04\x7f\x61\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\
\x01\x25\x60\0\x01\0\0\0\xff\xb7\x30\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x03\x7f\x63\
\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x25\x60\0\x01\0\0\0\x0f\xb7\x40\0\0\0\0\0\0\
\x67\x40\0\0\0\0\0\x02\x7f\x64\0\0\0\0\0\0\x25\x60\0\x01\0\0\0\x03\xb7\x20\0\0\
\0\0\0\0\x67\x20\0\0\0\0\0\x01\x7f\x62\0\0\0\0\0\0\x77\x60\0\0\0\0\0\x01\x4f\
\x16\0\0\0\0\0\0\x4f\x13\0\0\0\0\0\0\x4f\x14\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\
\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\xb7\x20\0\0\0\0\0\x13\x2d\x21\0\
\x01\0\0\0\0\xb7\x10\0\0\0\0\0\x13\x67\x10\0\0\0\0\0\x02\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x01\xc3\x21\0\x08\0\0\0\0\
\xb7\x10\0\0\xff\xff\xff\xff\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x21\0\0\0\
\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x07\xb0\0\0\x07\xb0\0\0\x08\x49\0\0\0\0\x02\0\0\0\0\0\0\
\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\
\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x28\0\0\0\0\0\
\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1d\x08\0\0\0\0\0\0\
\x0a\0\0\0\x23\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\
\x30\x08\0\0\0\0\0\0\x0d\0\0\0\x34\x08\0\0\0\0\0\0\x0e\0\0\0\x3a\x01\0\0\0\0\0\
\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\
\0\x52\0\0\0\x05\0\0\0\x40\0\0\0\x5e\0\0\0\x07\0\0\0\x80\0\0\0\x62\0\0\0\x0b\0\
\0\0\xc0\0\0\0\x68\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x12\0\
\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\x75\x04\0\0\x05\0\0\0\x40\0\0\0\x7a\0\0\0\x14\
\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x40\0\0\0\0\0\0\0\x3d\0\0\x01\x80\0\0\0\x80\0\
\0\0\x2f\0\0\x01\xa0\0\0\0\x8a\0\0\0\x14\0\0\x01\xc0\0\0\0\x95\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\0\0\x05\0\0\x06\0\0\0\x28\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\0\
\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\
\0\0\0\x37\0\0\0\0\0\0\0\xa3\0\0\0\x39\0\0\0\0\0\0\0\0\x04\0\0\x04\0\0\0\x28\0\
\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\xb1\0\0\0\x1c\0\0\0\x80\0\0\0\0\0\0\0\x1d\0\0\0\
\xc0\0\0\0\xb9\0\0\0\x14\0\0\x01\0\0\0\0\0\x05\0\0\x04\0\0\0\x10\0\0\0\xc1\0\0\
\0\x18\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\xc5\0\0\0\x18\0\0\0\0\0\0\0\xd0\
\0\0\0\x18\0\0\0\0\0\0\0\xd9\x04\0\0\x02\0\0\0\x10\0\0\0\xe3\0\0\0\x19\0\0\0\0\
\0\0\0\xe8\0\0\0\x19\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\0\0\x04\0\0\x02\
\0\0\0\x10\0\0\0\xed\0\0\0\x1b\0\0\0\0\0\0\0\xf6\0\0\0\x0a\0\0\0\x40\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x52\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\
\0\x01\x02\0\0\0\x14\0\0\0\0\0\0\x01\x08\0\0\0\x14\0\0\0\0\0\0\0\0\x04\0\0\x05\
\0\0\0\x28\0\0\x01\x0e\0\0\0\x14\0\0\0\0\0\0\x01\x17\0\0\0\x1f\0\0\0\x40\0\0\
\x01\x1a\0\0\0\x14\0\0\0\x80\0\0\x01\x2a\0\0\0\x14\0\0\0\xc0\0\0\0\0\0\0\0\x20\
\0\0\x01\0\0\0\0\0\x02\0\0\0\0\0\0\x54\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\0\x01\
\x33\0\0\0\x14\0\0\0\0\0\0\x01\x42\0\0\0\x21\0\0\0\0\0\0\x01\x50\x08\0\0\0\0\0\
\0\x22\0\0\x01\x5e\x08\0\0\0\0\0\0\x23\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\x01\
\x69\0\0\0\x24\0\0\0\0\0\0\x01\x71\x08\0\0\0\0\0\0\x25\0\0\x01\x75\x08\0\0\0\0\
\0\0\x26\0\0\x01\x7b\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x04\0\0\x01\0\0\0\
\x08\0\0\x01\x85\0\0\0\x14\0\0\0\0\0\0\0\0\x04\0\0\x05\0\0\0\x28\0\0\x01\x93\0\
\0\0\x14\0\0\0\0\0\0\x01\x9d\0\0\0\x29\0\0\0\x40\0\0\x01\xaa\0\0\0\x14\0\0\0\
\x80\0\0\0\0\0\0\0\x2d\0\0\0\xc0\0\0\x01\xb4\0\0\0\x31\0\0\x01\0\0\0\x01\xb8\
\x08\0\0\0\0\0\0\x2a\0\0\0\0\x02\0\0\0\0\0\0\x2b\0\0\x01\xc2\x08\0\0\0\0\0\0\
\x2c\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\x01\xc8\0\0\0\x14\0\0\0\0\0\0\0\0\x05\0\
\0\x02\0\0\0\x08\0\0\x01\xcc\0\0\0\x2e\0\0\0\0\0\0\x01\xd2\0\0\0\x2f\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\x53\0\0\x01\xe3\x08\0\0\0\0\0\0\x30\0\0\0\0\x04\0\0\x01\
\0\0\0\x04\0\0\x01\x69\0\0\0\x02\0\0\0\0\0\0\x01\xec\x08\0\0\0\0\0\0\x32\0\0\
\x01\xf7\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x33\0\0\0\0\0\0\0\0\x05\0\0\x01\0\
\0\0\x04\0\0\x02\0\0\0\0\x34\0\0\0\0\0\0\x02\x06\x04\0\0\x01\0\0\0\x04\0\0\x02\
\x13\0\0\0\x35\0\0\0\0\0\0\x02\x1c\x08\0\0\0\0\0\0\x36\0\0\0\0\x04\0\0\x01\0\0\
\0\x04\0\0\x02\x2c\0\0\0\x02\0\0\0\0\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\x02\x31\
\0\0\0\x38\0\0\0\0\0\0\x02\x37\0\0\0\x1b\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x55\
\0\0\0\xa3\x04\0\0\x02\0\0\0\x10\0\0\0\xe3\0\0\0\x3a\0\0\0\0\0\0\x02\x48\0\0\0\
\x3b\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x39\0\0\0\0\x02\0\0\0\0\0\0\x3c\0\0\0\0\
\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\0\x05\0\0\x02\0\0\0\x04\0\0\x02\
\x4d\0\0\0\x2f\0\0\0\0\0\0\x02\x57\0\0\0\x0a\0\0\0\0\0\0\0\0\x04\0\0\x04\0\0\0\
\x20\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\0\x52\0\0\0\x05\0\0\0\x40\0\0\0\x5e\0\0\0\
\x11\0\0\0\x80\0\0\0\x62\0\0\0\x0b\0\0\0\xc0\0\0\x02\x61\x0e\0\0\0\0\0\0\x3e\0\
\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x67\
\0\0\0\x40\0\0\x02\x6b\x0c\0\0\x01\0\0\0\x41\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\
\x02\x67\0\0\0\x40\0\0\x03\x5a\x0c\0\0\x01\0\0\0\x43\0\0\0\0\x0d\0\0\x01\0\0\0\
\x02\0\0\x02\x67\0\0\0\x40\0\0\x04\x8d\x0c\0\0\x01\0\0\0\x45\0\0\0\0\x0d\0\0\
\x01\0\0\0\x02\0\0\x02\x67\0\0\0\x40\0\0\x05\x07\x0c\0\0\x01\0\0\0\x47\0\0\x07\
\xe3\x04\0\0\x03\0\0\0\x58\0\0\x07\xe8\0\0\0\x09\0\0\0\0\0\0\x07\xef\0\0\0\x09\
\0\0\0\x20\0\0\x07\xf5\0\0\0\x4a\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x04\0\0\0\x14\0\0\x07\xe3\x0e\0\0\0\0\0\0\x49\0\0\0\x01\0\0\x07\xfb\x01\
\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x04\0\0\
\0\x04\0\0\x08\0\x0e\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\x08\x08\x0f\0\0\x01\0\0\0\0\
\0\0\0\x4b\0\0\0\0\0\0\0\x58\0\0\x08\x0d\x0f\0\0\x02\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x20\0\0\0\x3f\0\0\0\0\0\0\0\x20\0\0\x08\x13\x0f\0\0\x01\0\0\0\0\0\0\0\
\x4e\0\0\0\0\0\0\0\x04\0\0\x08\x1b\x07\0\0\0\0\0\0\0\0\0\x08\x29\x07\0\0\0\0\0\
\0\0\0\0\x08\x33\x07\0\0\0\0\0\0\0\0\0\x08\x3d\x07\0\0\0\0\0\0\0\0\x69\x6e\x74\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x69\x6e\x5f\
\x72\x65\x61\x64\x61\x68\x65\x61\x64\0\x70\x61\x67\x65\0\x66\x6c\x61\x67\x73\0\
\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\0\x6d\x65\x6d\x63\x67\x5f\x64\x61\x74\x61\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x69\
\x76\x61\x74\x65\0\x6c\x72\x75\0\x62\x75\x64\x64\x79\x5f\x6c\x69\x73\x74\0\x70\
\x63\x70\x5f\x6c\x69\x73\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x5f\x5f\x66\x69\x6c\x6c\x65\x72\0\x6d\x6c\x6f\x63\
\x6b\x5f\x63\x6f\x75\x6e\x74\0\x69\x6e\x64\x65\x78\0\x73\x68\x61\x72\x65\0\x70\
\x70\x5f\x6d\x61\x67\x69\x63\0\x70\x70\0\x5f\x70\x70\x5f\x6d\x61\x70\x70\x69\
\x6e\x67\x5f\x70\x61\x64\0\x64\x6d\x61\x5f\x61\x64\x64\x72\0\x64\x6d\x61\x5f\
\x61\x64\x64\x72\x5f\x75\x70\x70\x65\x72\0\x70\x70\x5f\x66\x72\x61\x67\x5f\x63\
\x6f\x75\x6e\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\
\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\
\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x6f\x6d\
\x70\x6f\x75\x6e\x64\x5f\x68\x65\x61\x64\0\x5f\x70\x74\x5f\x70\x61\x64\x5f\x31\
\0\x70\x6d\x64\x5f\x68\x75\x67\x65\x5f\x70\x74\x65\0\x5f\x70\x74\x5f\x70\x61\
\x64\x5f\x32\0\x70\x74\x6c\0\x70\x67\x74\x61\x62\x6c\x65\x5f\x74\0\x70\x74\x65\
\x5f\x74\0\x70\x74\x65\0\x70\x74\x5f\x6d\x6d\0\x70\x74\x5f\x66\x72\x61\x67\x5f\
\x72\x65\x66\x63\x6f\x75\x6e\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\
\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\
\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\
\x74\0\x6c\x6f\x63\x6b\0\x70\x67\x6d\x61\x70\0\x7a\x6f\x6e\x65\x5f\x64\x65\x76\
\x69\x63\x65\x5f\x64\x61\x74\x61\0\x66\x75\x6e\x63\0\x5f\x6d\x61\x70\x63\x6f\
\x75\x6e\x74\0\x70\x61\x67\x65\x5f\x74\x79\x70\x65\0\x62\x69\x72\x74\x68\0\x63\
\x74\x78\0\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x72\x61\0\
\x66\x65\x6e\x74\x72\x79\x2f\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\
\x65\x5f\x72\x61\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\
\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x72\x65\x61\x64\x61\x68\x65\
\x61\x64\x2e\x62\x70\x66\x2e\x63\0\x09\x75\x33\x32\x20\x70\x69\x64\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x09\x75\x36\x34\x20\x6f\x6e\x65\x20\x3d\x20\
\x31\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\
\x6c\x65\x6d\x28\x26\x69\x6e\x5f\x72\x65\x61\x64\x61\x68\x65\x61\x64\x2c\x20\
\x26\x70\x69\x64\x2c\x20\x26\x6f\x6e\x65\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\
\x63\x68\x65\x5f\x72\x61\x29\0\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x61\
\x6c\x6c\x6f\x63\x5f\x72\x65\x74\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\x70\x61\x67\
\x65\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\x63\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x61\
\x6c\x6c\x6f\x63\x5f\x72\x65\x74\x2c\x20\x67\x66\x70\x5f\x74\x20\x67\x66\x70\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x70\x61\x67\x65\x20\x2a\x72\x65\x74\x29\0\
\x09\x69\x66\x20\x28\x21\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x69\x6e\x5f\x72\x65\x61\x64\x61\x68\x65\x61\
\x64\x2c\x20\x26\x70\x69\x64\x29\x29\0\x09\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\
\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x62\
\x69\x72\x74\x68\x2c\x20\x26\x72\x65\x74\x2c\x20\x26\x74\x73\x2c\x20\x30\x29\
\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\
\x61\x64\x64\x28\x26\x68\x69\x73\x74\x2e\x75\x6e\x75\x73\x65\x64\x2c\x20\x31\
\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\
\x5f\x61\x64\x64\x28\x26\x68\x69\x73\x74\x2e\x74\x6f\x74\x61\x6c\x2c\x20\x31\
\x29\x3b\0\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x72\x61\x5f\
\x72\x65\x74\0\x66\x65\x78\x69\x74\x2f\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\
\x63\x68\x65\x5f\x72\x61\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\
\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x69\x6e\x5f\x72\x65\x61\x64\x61\x68\x65\
\x61\x64\x2c\x20\x26\x70\x69\x64\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x72\
\x61\x5f\x72\x65\x74\x29\0\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\
\x65\x73\x73\x65\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\x6b\x5f\x70\x61\
\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x6d\x61\x72\x6b\x5f\x70\x61\x67\x65\x5f\x61\x63\x63\x65\
\x73\x73\x65\x64\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x70\x61\x67\x65\x20\x2a\
\x70\x61\x67\x65\x29\0\x09\x75\x36\x34\x20\x2a\x74\x73\x70\x2c\x20\x73\x6c\x6f\
\x74\x2c\x20\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\
\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x74\x73\x70\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x62\x69\
\x72\x74\x68\x2c\x20\x26\x70\x61\x67\x65\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\
\x73\x70\x29\0\x09\x64\x65\x6c\x74\x61\x20\x3d\x20\x28\x73\x36\x34\x29\x28\x74\
\x73\x20\x2d\x20\x2a\x74\x73\x70\x29\x3b\0\x09\x69\x66\x20\x28\x64\x65\x6c\x74\
\x61\x20\x3c\x20\x30\x29\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\
\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x2e\x2f\x62\x69\x74\
\x73\x2e\x62\x70\x66\x2e\x68\0\x09\x75\x33\x32\x20\x68\x69\x20\x3d\x20\x76\x20\
\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x68\x69\x29\0\x09\x73\x68\x69\
\x66\x74\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x46\x46\x29\x20\x3c\x3c\x20\
\x33\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\
\x3d\x20\x73\x68\x69\x66\x74\x3b\0\x09\x73\x68\x69\x66\x74\x20\x3d\x20\x28\x76\
\x20\x3e\x20\x30\x78\x46\x29\x20\x3c\x3c\x20\x32\x3b\x20\x76\x20\x3e\x3e\x3d\
\x20\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\x3d\x20\x73\x68\x69\x66\x74\x3b\0\
\x09\x73\x68\x69\x66\x74\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x33\x29\x20\
\x3c\x3c\x20\x31\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\
\x72\x20\x7c\x3d\x20\x73\x68\x69\x66\x74\x3b\0\x09\x72\x20\x7c\x3d\x20\x28\x76\
\x20\x3e\x3e\x20\x31\x29\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x6c\x6f\x67\
\x32\x28\x68\x69\x29\x20\x2b\x20\x33\x32\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\
\x20\x6c\x6f\x67\x32\x28\x76\x29\x3b\0\x09\x72\x20\x3d\x20\x28\x76\x20\x3e\x20\
\x30\x78\x46\x46\x46\x46\x29\x20\x3c\x3c\x20\x34\x3b\x20\x76\x20\x3e\x3e\x3d\
\x20\x72\x3b\0\x09\x69\x66\x20\x28\x73\x6c\x6f\x74\x20\x3e\x3d\x20\x4d\x41\x58\
\x5f\x53\x4c\x4f\x54\x53\x29\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\
\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x68\x69\x73\x74\x2e\x73\x6c\x6f\
\x74\x73\x5b\x73\x6c\x6f\x74\x5d\x2c\x20\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\
\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x68\x69\
\x73\x74\x2e\x75\x6e\x75\x73\x65\x64\x2c\x20\x2d\x31\x29\x3b\0\x75\x70\x64\x61\
\x74\x65\x5f\x61\x6e\x64\x5f\x63\x6c\x65\x61\x6e\x75\x70\x3a\0\x09\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x62\
\x69\x72\x74\x68\x2c\x20\x26\x70\x61\x67\x65\x29\x3b\0\x68\x69\x73\x74\0\x75\
\x6e\x75\x73\x65\x64\0\x74\x6f\x74\x61\x6c\0\x73\x6c\x6f\x74\x73\0\x63\x68\x61\
\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x61\x64\x64\x72\x65\x73\x73\x5f\x73\x70\x61\x63\
\x65\0\x6d\x6d\x5f\x73\x74\x72\x75\x63\x74\0\x70\x61\x67\x65\x5f\x70\x6f\x6f\
\x6c\0\x64\x65\x76\x5f\x70\x61\x67\x65\x6d\x61\x70\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\x04\x04\0\0\x04\x48\0\0\0\0\0\0\0\x08\0\0\
\x02\x7c\0\0\0\x01\0\0\0\0\0\0\0\x42\0\0\x03\x6f\0\0\0\x01\0\0\0\0\0\0\0\x44\0\
\0\x04\xa2\0\0\0\x01\0\0\0\0\0\0\0\x46\0\0\x05\x1a\0\0\0\x01\0\0\0\0\0\0\0\x48\
\0\0\0\x10\0\0\x02\x7c\0\0\0\x06\0\0\0\0\0\0\x02\x94\0\0\x02\xd2\0\0\x78\x0c\0\
\0\0\x08\0\0\x02\x94\0\0\x02\xd2\0\0\x78\x06\0\0\0\x18\0\0\x02\x94\0\0\x02\xf9\
\0\0\x7c\x06\0\0\0\x28\0\0\x02\x94\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\x02\x94\0\0\
\x03\x07\0\0\x84\x02\0\0\0\x60\0\0\x02\x94\0\0\x03\x3b\0\0\x70\x05\0\0\x03\x6f\
\0\0\0\x0d\0\0\0\0\0\0\x02\x94\0\0\x03\x88\0\0\x98\x05\0\0\0\x10\0\0\x02\x94\0\
\0\x02\xd2\0\0\xa0\x0c\0\0\0\x18\0\0\x02\x94\0\0\x02\xd2\0\0\xa0\x06\0\0\0\x28\
\0\0\x02\x94\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x02\x94\0\0\x03\xc8\0\0\xac\x07\0\0\
\0\x48\0\0\x02\x94\0\0\x03\xc8\0\0\xac\x06\0\0\0\x50\0\0\x02\x94\0\0\x03\xf8\0\
\0\xb8\x07\0\0\0\x58\0\0\x02\x94\0\0\x03\xf8\0\0\xb8\x05\0\0\0\x68\0\0\x02\x94\
\0\0\x03\xf8\0\0\xb8\x07\0\0\0\x80\0\0\x02\x94\0\0\x04\x12\0\0\xbc\x02\0\0\0\
\xa8\0\0\x02\x94\0\0\x04\x3e\0\0\xc0\x02\0\0\0\xc8\0\0\x02\x94\0\0\x04\x66\0\0\
\xc4\x02\0\0\0\xd0\0\0\x02\x94\0\0\x03\x88\0\0\x98\x05\0\0\x04\xa2\0\0\0\x05\0\
\0\0\0\0\0\x02\x94\0\0\x02\xd2\0\0\xe4\x0c\0\0\0\x08\0\0\x02\x94\0\0\x02\xd2\0\
\0\xe4\x06\0\0\0\x18\0\0\x02\x94\0\0\x02\xd2\0\0\xe4\x0c\0\0\0\x20\0\0\x02\x94\
\0\0\x04\xb9\0\0\xec\x02\0\0\0\x38\0\0\x02\x94\0\0\x04\xe4\0\0\xdc\x05\0\0\x05\
\x1a\0\0\0\x26\0\0\0\0\0\0\x02\x94\0\0\x05\x34\0\x01\0\x05\0\0\0\x10\0\0\x02\
\x94\0\0\x05\x68\0\x01\x08\x17\0\0\0\x28\0\0\x02\x94\0\0\0\0\0\0\0\0\0\0\0\x30\
\0\0\x02\x94\0\0\x05\x92\0\x01\x14\x08\0\0\0\x48\0\0\x02\x94\0\0\x05\xbd\0\x01\
\x18\x06\0\0\0\x50\0\0\x02\x94\0\0\x05\xc8\0\x01\x20\x15\0\0\0\x58\0\0\x02\x94\
\0\0\x05\xc8\0\x01\x20\x13\0\0\0\x68\0\0\x02\x94\0\0\x05\xe3\0\x01\x24\x06\0\0\
\0\x78\0\0\x05\xf3\0\0\x06\x2e\0\0\x5c\x0d\0\0\0\x88\0\0\x05\xf3\0\0\x06\x41\0\
\0\x64\x06\0\0\0\xa0\0\0\x05\xf3\0\0\x06\x2e\0\0\x5c\x0b\0\0\0\xb0\0\0\x05\xf3\
\0\0\x06\x4a\0\0\x34\x15\0\0\0\xb8\0\0\x05\xf3\0\0\x06\x4a\0\0\x34\x1d\0\0\0\
\xd8\0\0\x05\xf3\0\0\x06\x7d\0\0\x38\x14\0\0\0\xe0\0\0\x05\xf3\0\0\x06\x7d\0\0\
\x38\x1c\0\0\0\xf8\0\0\x05\xf3\0\0\x06\xaf\0\0\x3c\x14\0\0\x01\0\0\0\x05\xf3\0\
\0\x06\xaf\0\0\x3c\x1c\0\0\x01\x08\0\0\x05\xf3\0\0\x06\xe1\0\0\x40\x0a\0\0\x01\
\x10\0\0\x05\xf3\0\0\x06\xe1\0\0\x40\x04\0\0\x01\x28\0\0\x05\xf3\0\0\x06\xf1\0\
\0\x68\x13\0\0\x01\x38\0\0\x05\xf3\0\0\x07\x09\0\0\x70\x0f\0\0\x01\x68\0\0\x05\
\xf3\0\0\x07\x1b\0\0\x30\x13\0\0\x01\x70\0\0\x05\xf3\0\0\x07\x1b\0\0\x30\x1b\0\
\0\x01\x90\0\0\x05\xf3\0\0\x06\x4a\0\0\x34\x15\0\0\x01\x98\0\0\x05\xf3\0\0\x06\
\x4a\0\0\x34\x1d\0\0\x01\xb8\0\0\x05\xf3\0\0\x06\x7d\0\0\x38\x14\0\0\x01\xc0\0\
\0\x05\xf3\0\0\x06\x7d\0\0\x38\x1c\0\0\x01\xd8\0\0\x05\xf3\0\0\x06\xaf\0\0\x3c\
\x14\0\0\x01\xe0\0\0\x05\xf3\0\0\x06\xaf\0\0\x3c\x1c\0\0\x01\xe8\0\0\x05\xf3\0\
\0\x06\xe1\0\0\x40\x0a\0\0\x01\xf0\0\0\x05\xf3\0\0\x06\xe1\0\0\x40\x04\0\0\x02\
\x10\0\0\x02\x94\0\0\x07\x3c\0\x01\x30\x06\0\0\x02\x38\0\0\x02\x94\0\0\x07\x54\
\0\x01\x38\x18\0\0\x02\x60\0\0\x02\x94\0\0\x07\x54\0\x01\x38\x02\0\0\x02\x70\0\
\0\x02\x94\0\0\x07\x81\0\x01\x44\x02\0\0\x02\x90\0\0\x02\x94\0\0\x07\xaa\0\x01\
\x40\x01\0\0\x02\x98\0\0\x02\x94\0\0\x07\xbe\0\x01\x48\x02\0\0\x02\xb0\0\0\x02\
\x94\0\0\x05\x34\0\x01\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x47\0\0\0\x05\0\0\0\0\0\0\0\xd0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x3f\0\0\0\x09\0\0\0\0\0\0\x02\xb0\
\0\0\0\0\0\0\0\0\0\0\x01\x4e\0\0\0\x09\0\0\0\0\0\0\x02\x68\0\0\0\0\0\0\0\0\0\0\
\x01\x66\0\0\0\x09\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\0\0\0\0\x01\x30\0\0\0\x09\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\x01\x21\0\0\0\x09\0\0\0\0\0\0\0\xd8\0\0\0\
\0\0\0\0\0\0\0\x01\x0a\0\0\0\x09\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\x01\x11\
\0\0\0\x09\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x01\x56\0\0\0\x09\0\0\0\0\0\
\0\x01\x68\0\0\0\0\0\0\0\0\0\0\x01\x37\0\0\0\x09\0\0\0\0\0\0\x01\x90\0\0\0\0\0\
\0\0\0\0\0\x01\x28\0\0\0\x09\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\x01\x19\0\
\0\0\x09\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\0\0\0\0\x01\x5e\0\0\0\x09\0\0\0\0\0\0\
\x02\x38\0\0\0\0\0\0\0\0\0\0\0\xe8\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x70\0\0\0\x88\x11\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x19\x12\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\x4e\x11\0\0\x0d\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x20\0\0\0\x14\x11\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\
\0\x2e\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x75\x12\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc0\0\0\x01\x02\x11\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x13\
\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\xa8\0\0\0\x16\0\
\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x15\0\0\
\0\x01\0\0\0\0\0\0\x02\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x02\x70\0\0\0\x16\0\
\0\0\x01\0\0\0\0\0\0\x02\x98\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\x07\x54\0\0\0\x16\
\0\0\0\x04\0\0\0\0\0\0\x07\x6c\0\0\0\x13\0\0\0\x04\0\0\0\0\0\0\x07\x78\0\0\0\
\x15\0\0\0\x04\0\0\0\0\0\0\x07\x90\0\0\0\x19\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\x3c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x4c\0\0\0\
\x04\0\0\0\x04\0\0\0\0\0\0\0\x5c\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\0\x70\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x90\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xd8\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\0\xe8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xf8\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\x01\x08\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x18\0\0\
\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x28\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x38\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x48\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x58\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x68\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\
\x78\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\x01\x98\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xb0\0\0\0\x04\0\0\0\x04\0\0\0\0\0\
\0\x01\xc0\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\x01\xd0\0\0\0\x04\0\0\0\x04\0\0\0\0\
\0\0\x01\xe0\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\x01\xf0\0\0\0\x04\0\0\0\x04\0\0\0\
\0\0\0\x02\x08\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\x05\0\0\0\x04\0\0\
\0\0\0\0\x02\x28\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\x38\0\0\0\x05\0\0\0\x04\0\
\0\0\0\0\0\x02\x48\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\x58\0\0\0\x05\0\0\0\x04\
\0\0\0\0\0\0\x02\x68\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\x78\0\0\0\x05\0\0\0\
\x04\0\0\0\0\0\0\x02\x88\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\x98\0\0\0\x05\0\0\
\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\xb8\0\0\0\x05\0\
\0\0\x04\0\0\0\0\0\0\x02\xc8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\xd8\0\0\0\x05\
\0\0\0\x04\0\0\0\0\0\0\x02\xe8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\0\
\x05\0\0\0\x04\0\0\0\0\0\0\x03\x08\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x18\0\0\
\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x28\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x38\0\
\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x48\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x58\
\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x68\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\
\x78\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\x88\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\
\x03\x98\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\xa8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\
\0\x03\xb8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\xc8\0\0\0\x05\0\0\0\x04\0\0\0\0\
\0\0\x03\xd8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x03\xe8\0\0\0\x05\0\0\0\x04\0\0\0\
\0\0\0\x03\xf8\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x04\x08\0\0\0\x05\0\0\0\x04\0\0\
\0\0\0\0\x04\x18\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x04\x28\0\0\0\x05\0\0\0\x04\0\
\0\0\0\0\0\x04\x38\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x04\x48\0\0\0\x05\0\0\0\x04\
\0\0\0\0\0\0\x04\x58\0\0\0\x05\0\0\0\x04\x19\x1b\x1e\x1f\x1d\x20\x1a\x1c\0\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x68\x69\
\x73\x74\0\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\
\x72\x65\x74\0\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x72\x61\
\x5f\x72\x65\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x62\x69\x72\x74\x68\
\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x6d\x61\x72\x6b\x5f\x70\
\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x69\x6e\x5f\x72\x65\x61\x64\
\x61\x68\x65\x61\x64\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x5f\x5f\x70\x61\
\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\x63\0\x2e\x73\x74\x72\x74\
\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\
\x79\x2f\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\x63\x68\x65\x5f\x72\x61\0\x2e\
\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x64\x6f\x5f\x70\x61\x67\x65\x5f\x63\x61\
\x63\x68\x65\x5f\x72\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\x4c\x42\x42\x33\x5f\x39\0\x4c\x42\x42\x33\x5f\x31\x39\0\x4c\x42\
\x42\x33\x5f\x31\x38\0\x4c\x42\x42\x33\x5f\x37\0\x4c\x42\x42\x33\x5f\x31\x36\0\
\x4c\x42\x42\x33\x5f\x35\0\x4c\x42\x42\x33\x5f\x31\x34\0\x4c\x42\x42\x33\x5f\
\x32\x33\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x33\x5f\x32\x32\0\x4c\x42\x42\
\x33\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x32\x31\0\x4c\x42\x42\x33\x5f\x31\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\xc8\0\0\0\0\0\0\x01\x6e\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\xc6\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\xc2\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\
\xd0\0\0\0\0\0\0\0\x10\0\0\0\x13\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x99\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\
\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\xe0\0\0\0\0\0\0\0\x30\0\
\0\0\x13\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xe2\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x90\0\0\0\0\0\0\0\x48\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\x09\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x10\0\0\0\0\0\0\0\x10\0\0\0\x13\0\0\0\x07\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x6e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\x02\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x1c\x20\0\0\0\0\0\0\0\x40\0\0\0\x13\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\x43\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x98\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\x62\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x98\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xa0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xfd\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xe0\0\0\0\0\0\0\x10\x11\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1c\x60\0\0\0\0\0\0\0\x40\0\0\0\x13\0\0\0\x0e\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x14\xf4\0\0\0\0\0\0\x04\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1c\xa0\0\0\0\0\0\0\x04\x20\0\0\0\x13\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\x54\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\xc0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\xba\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x60\0\0\0\0\
\0\0\x02\x70\0\0\0\x01\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct readahead_bpf *readahead_bpf::open(const struct bpf_object_open_opts *opts) { return readahead_bpf__open_opts(opts); }
struct readahead_bpf *readahead_bpf::open_and_load() { return readahead_bpf__open_and_load(); }
int readahead_bpf::load(struct readahead_bpf *skel) { return readahead_bpf__load(skel); }
int readahead_bpf::attach(struct readahead_bpf *skel) { return readahead_bpf__attach(skel); }
void readahead_bpf::detach(struct readahead_bpf *skel) { readahead_bpf__detach(skel); }
void readahead_bpf::destroy(struct readahead_bpf *skel) { readahead_bpf__destroy(skel); }
const void *readahead_bpf::elf_bytes(size_t *sz) { return readahead_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
readahead_bpf__assert(struct readahead_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->hist) == 88, "unexpected size of 'hist'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __READAHEAD_BPF_SKEL_H__ */
