/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SLABRATETOP_BPF_SKEL_H__
#define __SLABRATETOP_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct slabratetop_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *slab_entries;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *kmem_cache_alloc;
	} progs;
	struct {
		struct bpf_link *kmem_cache_alloc;
	} links;
	struct slabratetop_bpf__rodata {
		pid_t target_pid;
	} *rodata;

#ifdef __cplusplus
	static inline struct slabratetop_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct slabratetop_bpf *open_and_load();
	static inline int load(struct slabratetop_bpf *skel);
	static inline int attach(struct slabratetop_bpf *skel);
	static inline void detach(struct slabratetop_bpf *skel);
	static inline void destroy(struct slabratetop_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
slabratetop_bpf__destroy(struct slabratetop_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
slabratetop_bpf__create_skeleton(struct slabratetop_bpf *obj);

static inline struct slabratetop_bpf *
slabratetop_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct slabratetop_bpf *obj;
	int err;

	obj = (struct slabratetop_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = slabratetop_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	slabratetop_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct slabratetop_bpf *
slabratetop_bpf__open(void)
{
	return slabratetop_bpf__open_opts(NULL);
}

static inline int
slabratetop_bpf__load(struct slabratetop_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct slabratetop_bpf *
slabratetop_bpf__open_and_load(void)
{
	struct slabratetop_bpf *obj;
	int err;

	obj = slabratetop_bpf__open();
	if (!obj)
		return NULL;
	err = slabratetop_bpf__load(obj);
	if (err) {
		slabratetop_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
slabratetop_bpf__attach(struct slabratetop_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
slabratetop_bpf__detach(struct slabratetop_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *slabratetop_bpf__elf_bytes(size_t *sz);

static inline int
slabratetop_bpf__create_skeleton(struct slabratetop_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "slabratetop_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "slab_entries";
	s->maps[0].map = &obj->maps.slab_entries;

	s->maps[1].name = "slabrate.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "slabrate.bss";
	s->maps[2].map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kmem_cache_alloc";
	s->progs[0].prog = &obj->progs.kmem_cache_alloc;
	s->progs[0].link = &obj->links.kmem_cache_alloc;

	s->data = slabratetop_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *slabratetop_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x70\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\x79\x61\0\x28\0\0\0\0\x85\0\0\0\0\0\0\x0e\xbf\x70\0\0\0\0\0\0\xb7\x10\0\0\
\0\0\0\x60\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x15\x20\0\x03\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x77\x70\0\0\0\0\0\x20\x5d\x17\0\x28\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\
\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\
\x70\0\0\0\0\0\0\x55\x70\0\x13\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\
\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x18\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\
\0\x15\x70\0\x12\0\0\0\0\x79\x3a\xff\xf8\0\0\0\0\xbf\x17\0\0\0\0\0\0\xb7\x20\0\
\0\0\0\0\x20\x85\0\0\0\0\0\0\x71\x79\x17\0\x20\0\0\0\0\x07\x10\0\0\0\0\0\x01\
\x7b\x71\0\x20\0\0\0\0\xb7\x10\0\0\0\0\0\x18\x0f\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\
\0\0\0\x07\x10\0\0\xff\xff\xff\xf4\xb7\x20\0\0\0\0\0\x04\xbf\x36\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x71\x61\x1a\xff\xf4\0\0\0\0\x79\x27\0\x28\0\0\0\0\x0f\x21\0\0\
\0\0\0\0\x7b\x72\0\x28\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x44\
\x75\x61\x6c\x20\x42\x53\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\
\0\0\x09\xc4\0\0\x09\xc4\0\0\x07\x6c\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\
\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x28\0\0\0\0\0\x02\0\0\0\0\0\0\
\x08\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\x19\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\
\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\x1e\x04\0\0\x03\0\0\0\x30\0\0\0\x2c\0\0\0\x0c\0\
\0\0\0\0\0\0\x31\0\0\0\x0d\0\0\x01\0\0\0\0\x37\0\0\0\x0d\0\0\x01\x40\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\x20\0\0\0\x3c\x08\0\0\0\0\0\0\x0e\
\0\0\0\x42\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\
\x55\0\0\0\x01\0\0\0\0\0\0\0\x5a\0\0\0\x05\0\0\0\x40\0\0\0\x66\0\0\0\x07\0\0\0\
\x80\0\0\0\x6a\0\0\0\x0a\0\0\0\xc0\0\0\0\x70\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\x02\0\0\0\0\0\0\x12\0\0\0\x7d\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x13\0\0\
\0\0\0\0\0\x85\0\0\0\x16\0\0\x04\xc0\0\0\0\0\0\0\0\x1c\0\0\x05\0\0\0\0\x8f\0\0\
\0\x16\0\0\x05\x80\0\0\0\x95\0\0\0\x16\0\0\x05\xc0\0\0\0\x99\0\0\0\x16\0\0\x06\
\0\0\0\0\0\x05\0\0\x02\0\0\0\x98\0\0\0\xa4\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x1b\
\0\0\0\0\0\0\0\xae\x08\0\0\0\0\0\0\x15\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\xbb\
\0\0\0\x17\0\0\0\0\0\0\0\xc0\0\0\0\x18\0\0\0\x40\0\0\0\xc4\0\0\0\x1a\0\0\0\xc0\
\0\0\0\xc9\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x16\0\
\0\0\x04\0\0\0\x01\0\0\0\xd7\x08\0\0\0\0\0\0\x19\0\0\0\0\x04\0\0\x02\0\0\0\x10\
\0\0\0\xdd\0\0\0\x16\0\0\0\0\0\0\0\xe2\0\0\0\x16\0\0\0\x40\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x16\0\0\0\x04\0\0\0\x10\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\xbb\0\
\0\0\x17\0\0\0\0\0\0\0\xc0\0\0\0\x18\0\0\0\x40\0\0\0\xc4\0\0\0\x1a\0\0\0\xc0\0\
\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\xe7\0\0\0\x1f\0\0\
\0\0\0\0\0\0\x04\0\0\x03\0\0\0\x10\0\0\0\xf0\0\0\0\x1e\0\0\0\0\0\0\0\xf9\0\0\0\
\x1e\0\0\0\x20\0\0\x01\x02\0\0\0\x16\0\0\0\x40\0\0\x01\x10\x01\0\0\0\0\0\0\x04\
\0\0\0\x20\0\0\0\xe7\x84\0\0\x06\0\0\0\x0c\0\0\x01\x1d\0\0\0\x20\0\0\0\0\0\0\
\x01\x23\0\0\0\x22\0\0\0\x20\0\0\x01\x2b\0\0\0\x22\x01\0\0\x40\0\0\x01\x36\0\0\
\0\x22\x01\0\0\x41\0\0\x01\x43\0\0\0\x22\x03\0\0\x42\0\0\0\x55\0\0\0\x22\x03\0\
\0\x51\0\0\x01\x47\x84\0\0\x05\0\0\0\x04\0\0\x01\x55\0\0\0\x21\x08\0\0\0\0\0\
\x01\x5b\0\0\0\x21\x01\0\0\x0c\0\0\x01\x5d\0\0\0\x21\x02\0\0\x0d\0\0\x01\x62\0\
\0\0\x21\x01\0\0\x0f\0\0\x01\x66\0\0\0\x21\x10\0\0\x10\0\0\x01\x6d\x08\0\0\0\0\
\0\0\x1e\0\0\x01\x73\x08\0\0\0\0\0\0\x21\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\
\x77\0\0\0\x11\0\0\x01\x7b\x0c\0\0\x01\0\0\0\x23\0\0\x02\x54\x04\0\0\x1a\0\0\0\
\xe8\0\0\x02\x5f\0\0\0\x26\0\0\0\0\0\0\0\x8f\0\0\0\x27\0\0\0\x40\0\0\x02\x68\0\
\0\0\x16\0\0\0\x80\0\0\0\x37\0\0\0\x1e\0\0\0\xc0\0\0\x02\x74\0\0\0\x1e\0\0\0\
\xe0\0\0\x02\x80\0\0\0\x28\0\0\x01\0\0\0\x02\x90\0\0\0\x1e\0\0\x01\x40\0\0\x02\
\x97\0\0\0\x1e\0\0\x01\x60\0\0\x02\xa3\0\0\0\x1e\0\0\x01\x80\0\0\x02\xb5\0\0\0\
\x2c\0\0\x01\xa0\0\0\x02\xb8\0\0\0\x2c\0\0\x01\xc0\0\0\x02\xbc\0\0\0\x2d\0\0\
\x01\xe0\0\0\x02\xc7\0\0\0\x02\0\0\x02\0\0\0\x02\xd0\0\0\0\x2e\0\0\x02\x40\0\0\
\x02\xd5\0\0\0\x1e\0\0\x02\x80\0\0\x02\xdb\0\0\0\x1e\0\0\x02\xa0\0\0\x02\xe1\0\
\0\0\x1e\0\0\x02\xc0\0\0\0\x2c\0\0\0\x31\0\0\x03\0\0\0\x02\xee\0\0\0\x33\0\0\
\x03\x40\0\0\x02\xf3\0\0\0\x35\0\0\x03\xc0\0\0\x02\xf8\0\0\0\x16\0\0\x05\xc0\0\
\0\x02\xff\0\0\0\x1e\0\0\x06\0\0\0\x03\x18\0\0\0\x40\0\0\x06\x40\0\0\x03\x23\0\
\0\0\x1e\0\0\x06\x80\0\0\x03\x2e\0\0\0\x1e\0\0\x06\xa0\0\0\x03\x37\0\0\0\x4f\0\
\0\x06\xc0\0\0\0\0\x02\0\0\0\0\0\0\x5c\0\0\x03\x3c\x08\0\0\0\0\0\0\x1e\0\0\x03\
\x49\x04\0\0\x03\0\0\0\x08\0\0\x01\x5b\0\0\0\x22\0\0\0\0\0\0\x03\x5a\0\0\0\x29\
\0\0\0\x20\0\0\x03\x5e\0\0\0\x29\0\0\0\x28\0\0\x03\x62\x08\0\0\0\0\0\0\x2a\0\0\
\x03\x65\x08\0\0\0\0\0\0\x2b\0\0\x03\x6a\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\x03\
\x78\x04\0\0\x01\0\0\0\x04\0\0\x03\x91\0\0\0\x1e\0\0\0\0\0\0\x03\x93\x08\0\0\0\
\0\0\0\x1e\0\0\0\0\x02\0\0\0\0\0\0\x2f\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x30\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x32\0\0\0\0\x0a\0\0\0\
\0\0\0\x09\0\0\x03\x99\x04\0\0\x02\0\0\0\x10\0\0\x03\xa3\0\0\0\x34\0\0\0\0\0\0\
\x03\xa8\0\0\0\x34\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x33\0\0\x03\xad\x84\0\0\
\x0c\0\0\0\x40\0\0\0\x2c\0\0\0\x31\0\0\0\0\0\0\x03\xb5\0\0\0\x33\0\0\0\x40\0\0\
\x03\xbb\0\0\0\x36\0\0\0\xc0\0\0\x03\xc2\0\0\0\x37\0\0\x01\0\0\0\x03\xc7\0\0\0\
\x38\0\0\x01\x40\0\0\x03\xcd\0\0\0\x3a\0\0\x01\x80\0\0\x03\xd0\0\0\0\x3b\0\0\
\x01\xc0\0\0\x03\xd5\0\0\0\x1e\x01\0\x01\xe0\0\0\x03\xe7\0\0\0\x1e\x01\0\x01\
\xe1\0\0\x03\xf6\0\0\0\x1e\x01\0\x01\xe2\0\0\x04\x0c\0\0\0\x1e\x01\0\x01\xe3\0\
\0\x04\x25\0\0\0\x1e\x01\0\x01\xe4\0\0\0\0\x02\0\0\0\0\0\0\x35\0\0\0\0\x02\0\0\
\0\0\0\0\x5d\0\0\0\0\x02\0\0\0\0\0\0\x39\0\0\0\0\x0a\0\0\0\0\0\0\x5e\0\0\0\0\
\x02\0\0\0\0\0\0\x5f\0\0\x03\xd0\x04\0\0\x01\0\0\0\x04\0\0\x02\xc7\0\0\0\x3c\0\
\0\0\0\0\0\x04\x35\x08\0\0\0\0\0\0\x3d\0\0\x04\x40\x04\0\0\x01\0\0\0\x04\0\0\
\x04\x50\0\0\0\x3e\0\0\0\0\0\0\x04\x55\x08\0\0\0\0\0\0\x3f\0\0\0\0\x04\0\0\x01\
\0\0\0\x04\0\0\x04\x5e\0\0\0\x02\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x1e\0\0\0\0\
\x02\0\0\0\0\0\0\x42\0\0\x04\x66\x04\0\0\x06\0\0\0\x40\0\0\x04\x76\0\0\0\x43\0\
\0\0\0\0\0\x04\x80\0\0\0\x16\0\0\0\x40\0\0\x04\x8b\0\0\0\x33\0\0\0\x80\0\0\x04\
\x93\0\0\0\x49\0\0\x01\0\0\0\x04\x9c\0\0\0\x49\0\0\x01\x40\0\0\x04\xaa\0\0\0\
\x33\0\0\x01\x80\0\0\x04\xaf\x08\0\0\0\0\0\0\x44\0\0\x04\xba\x04\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\x45\0\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x04\0\0\x04\xc3\0\0\0\
\x46\0\0\0\0\0\0\x04\xc9\x04\0\0\x01\0\0\0\x04\0\0\x04\xd6\0\0\0\x47\0\0\0\0\0\
\0\x04\xdf\x08\0\0\0\0\0\0\x48\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x04\xef\0\0\0\
\x02\0\0\0\0\0\0\x04\xf4\x08\0\0\0\0\0\0\x4a\0\0\x05\x02\x08\0\0\0\0\0\0\x4b\0\
\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\x04\x5e\0\0\0\x4c\0\0\0\0\0\0\x05\x0d\x08\0\0\
\0\0\0\0\x4d\0\0\x05\x11\x08\0\0\0\0\0\0\x4e\0\0\x05\x17\x01\0\0\0\0\0\0\x08\
\x01\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x04\0\0\0\x02\0\0\0\0\
\x0a\0\0\0\0\0\0\x51\0\0\0\0\x09\0\0\0\0\0\0\x52\0\0\x06\xf4\x08\0\0\0\0\0\0\
\x53\0\0\x06\xfa\x08\0\0\0\0\0\0\x02\0\0\x07\x09\x0e\0\0\0\0\0\0\x50\0\0\0\x01\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\x0d\0\0\x07\x14\x0e\0\0\0\
\0\0\0\x55\0\0\0\x01\0\0\x07\x1c\x0e\0\0\0\0\0\0\x0b\0\0\0\0\0\0\x07\x2c\x0f\0\
\0\x01\0\0\0\0\0\0\0\x57\0\0\0\0\0\0\0\x30\0\0\x07\x31\x0f\0\0\x01\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x20\0\0\x07\x37\x0f\0\0\x01\0\0\0\0\0\0\0\x54\0\0\0\0\0\0\
\0\x04\0\0\x07\x3f\x0f\0\0\x01\0\0\0\0\0\0\0\x56\0\0\0\0\0\0\0\x0d\0\0\x07\x47\
\x07\0\0\0\0\0\0\0\0\0\x03\xc2\x07\0\0\0\0\0\0\0\0\0\x07\x56\x07\0\0\0\0\0\0\0\
\0\0\x07\x60\x07\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\x68\x61\x72\0\x73\x6c\x61\
\x62\x72\x61\x74\x65\x5f\x69\x6e\x66\x6f\0\x6e\x61\x6d\x65\0\x63\x6f\x75\x6e\
\x74\0\x73\x69\x7a\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x6c\x61\
\x62\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\
\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\x61\x73\
\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\
\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\x77\0\x67\
\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\x73\
\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\x6e\x66\
\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\0\x69\
\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\x6e\x74\x70\x61\x72\x6d\0\x61\
\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\x65\x63\x74\x65\x64\x5f\x69\
\x72\x71\0\x69\x73\x63\0\x73\x75\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\
\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\
\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\x75\x33\x32\0\x63\x74\x78\0\x6b\x6d\x65\x6d\
\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\x63\0\x6b\x70\x72\x6f\x62\x65\x2f\
\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\x63\0\x30\x3a\x32\
\x3a\x32\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\x62\
\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x73\x6c\x61\x62\x72\x61\x74\x65\x74\
\x6f\x70\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\x52\
\x4f\x42\x45\x28\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x61\x6c\x6c\x6f\
\x63\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\
\x65\x20\x2a\x63\x61\x63\x68\x65\x70\x29\0\x09\x5f\x5f\x75\x36\x34\x20\x70\x69\
\x64\x5f\x74\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x6b\x6d\
\x65\x6d\x5f\x63\x61\x63\x68\x65\0\x63\x70\x75\x5f\x73\x6c\x61\x62\0\x6d\x69\
\x6e\x5f\x70\x61\x72\x74\x69\x61\x6c\0\x6f\x62\x6a\x65\x63\x74\x5f\x73\x69\x7a\
\x65\0\x72\x65\x63\x69\x70\x72\x6f\x63\x61\x6c\x5f\x73\x69\x7a\x65\0\x6f\x66\
\x66\x73\x65\x74\0\x63\x70\x75\x5f\x70\x61\x72\x74\x69\x61\x6c\0\x63\x70\x75\
\x5f\x70\x61\x72\x74\x69\x61\x6c\x5f\x73\x6c\x61\x62\x73\0\x6f\x6f\0\x6d\x69\
\x6e\0\x61\x6c\x6c\x6f\x63\x66\x6c\x61\x67\x73\0\x72\x65\x66\x63\x6f\x75\x6e\
\x74\0\x63\x74\x6f\x72\0\x69\x6e\x75\x73\x65\0\x61\x6c\x69\x67\x6e\0\x72\x65\
\x64\x5f\x6c\x65\x66\x74\x5f\x70\x61\x64\0\x6c\x69\x73\x74\0\x6b\x6f\x62\x6a\0\
\x72\x61\x6e\x64\x6f\x6d\0\x72\x65\x6d\x6f\x74\x65\x5f\x6e\x6f\x64\x65\x5f\x64\
\x65\x66\x72\x61\x67\x5f\x72\x61\x74\x69\x6f\0\x72\x61\x6e\x64\x6f\x6d\x5f\x73\
\x65\x71\0\x75\x73\x65\x72\x6f\x66\x66\x73\x65\x74\0\x75\x73\x65\x72\x73\x69\
\x7a\x65\0\x6e\x6f\x64\x65\0\x73\x6c\x61\x62\x5f\x66\x6c\x61\x67\x73\x5f\x74\0\
\x72\x65\x63\x69\x70\x72\x6f\x63\x61\x6c\x5f\x76\x61\x6c\x75\x65\0\x73\x68\x31\
\0\x73\x68\x32\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x63\x68\x61\x72\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x6f\x72\x64\
\x65\x72\x5f\x6f\x62\x6a\x65\x63\x74\x73\0\x78\0\x67\x66\x70\x5f\x74\0\x6c\x69\
\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x6b\x6f\x62\
\x6a\x65\x63\x74\0\x65\x6e\x74\x72\x79\0\x70\x61\x72\x65\x6e\x74\0\x6b\x73\x65\
\x74\0\x6b\x74\x79\x70\x65\0\x73\x64\0\x6b\x72\x65\x66\0\x73\x74\x61\x74\x65\
\x5f\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x73\x74\x61\x74\x65\x5f\x69\
\x6e\x5f\x73\x79\x73\x66\x73\0\x73\x74\x61\x74\x65\x5f\x61\x64\x64\x5f\x75\x65\
\x76\x65\x6e\x74\x5f\x73\x65\x6e\x74\0\x73\x74\x61\x74\x65\x5f\x72\x65\x6d\x6f\
\x76\x65\x5f\x75\x65\x76\x65\x6e\x74\x5f\x73\x65\x6e\x74\0\x75\x65\x76\x65\x6e\
\x74\x5f\x73\x75\x70\x70\x72\x65\x73\x73\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\
\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\
\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6b\
\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x6e\x6f\x64\x65\0\x6c\x69\x73\x74\x5f\
\x6c\x6f\x63\x6b\0\x6e\x72\x5f\x70\x61\x72\x74\x69\x61\x6c\0\x70\x61\x72\x74\
\x69\x61\x6c\0\x6e\x72\x5f\x73\x6c\x61\x62\x73\0\x74\x6f\x74\x61\x6c\x5f\x6f\
\x62\x6a\x65\x63\x74\x73\0\x66\x75\x6c\x6c\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\x77\
\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\
\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\
\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\
\x36\x34\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x30\x3a\x31\x37\0\x09\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\
\x20\x2a\x6e\x61\x6d\x65\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\
\x45\x41\x44\x28\x63\x61\x63\x68\x65\x70\x2c\x20\x6e\x61\x6d\x65\x29\x3b\0\x09\
\x69\x66\x20\x28\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\x20\x26\x26\x20\x74\
\x61\x72\x67\x65\x74\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x5f\
\x5f\x75\x33\x32\x20\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x5f\x74\x67\x69\x64\
\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x76\x61\x6c\x75\x65\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x73\x6c\x61\x62\x5f\x65\x6e\x74\x72\x69\x65\x73\x2c\x20\x26\x6e\x61\x6d\x65\
\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x75\x65\x70\x29\x20\x7b\0\x09\
\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\
\x6d\x28\x26\x73\x6c\x61\x62\x5f\x65\x6e\x74\x72\x69\x65\x73\x2c\x20\x26\x6e\
\x61\x6d\x65\x2c\x20\x26\x73\x6c\x61\x62\x5f\x7a\x65\x72\x6f\x5f\x76\x61\x6c\
\x75\x65\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x09\x09\x76\x61\x6c\x75\
\x65\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6c\x61\x62\x5f\x65\x6e\x74\x72\x69\x65\x73\
\x2c\x20\x26\x6e\x61\x6d\x65\x29\x3b\0\x09\x09\x69\x66\x20\x28\x21\x76\x61\x6c\
\x75\x65\x70\x29\0\x09\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\
\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x76\x61\x6c\x75\x65\x70\x2d\x3e\x6e\
\x61\x6d\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x75\x65\x70\x2d\
\x3e\x6e\x61\x6d\x65\x29\x2c\x20\x6e\x61\x6d\x65\x29\x3b\0\x09\x76\x61\x6c\x75\
\x65\x70\x2d\x3e\x63\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x30\x3a\x33\0\x09\x76\x61\
\x6c\x75\x65\x70\x2d\x3e\x73\x69\x7a\x65\x20\x2b\x3d\x20\x42\x50\x46\x5f\x43\
\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x63\x61\x63\x68\x65\x70\x2c\x20\x73\x69\
\x7a\x65\x29\x3b\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\
\x70\x69\x64\x5f\x74\0\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\0\x4c\x49\x43\
\x45\x4e\x53\x45\0\x73\x6c\x61\x62\x5f\x7a\x65\x72\x6f\x5f\x76\x61\x6c\x75\x65\
\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\x63\x70\
\x75\0\x6b\x6f\x62\x6a\x5f\x74\x79\x70\x65\0\x6b\x65\x72\x6e\x66\x73\x5f\x6e\
\x6f\x64\x65\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\x6c\
\0\0\x01\x80\0\0\0\x3c\0\0\0\x08\0\0\x01\x8c\0\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\
\x10\0\0\x01\x8c\0\0\0\x16\0\0\0\0\0\0\x01\xaa\0\0\x01\xea\0\0\xc0\x05\0\0\0\
\x08\0\0\x01\xaa\0\0\x02\x26\0\0\x60\x13\0\0\0\x38\0\0\x01\xaa\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\x01\xaa\0\0\x05\x26\0\0\x6c\x15\0\0\0\x50\0\0\x01\xaa\0\0\x05\
\x57\0\0\x74\x06\0\0\0\x68\0\0\x01\xaa\0\0\x05\x57\0\0\x74\x11\0\0\0\x70\0\0\
\x01\xaa\0\0\x05\x57\0\0\x74\x14\0\0\0\x78\0\0\x01\xaa\0\0\x05\x7d\0\0\x64\x17\
\0\0\0\x80\0\0\x01\xaa\0\0\x05\x57\0\0\x74\x06\0\0\0\x90\0\0\x01\xaa\0\0\x05\
\x9a\0\0\x80\x0b\0\0\0\xb8\0\0\x01\xaa\0\0\x05\xcf\0\0\x84\x06\0\0\0\xc8\0\0\
\x01\xaa\0\0\x05\xdf\0\0\x88\x03\0\0\x01\x08\0\0\x01\xaa\0\0\x06\x27\0\0\x8c\
\x0c\0\0\x01\x30\0\0\x01\xaa\0\0\x06\x5d\0\0\x90\x07\0\0\x01\x38\0\0\x01\xaa\0\
\0\x06\x6c\0\0\x98\x3e\0\0\x01\x40\0\0\x01\xaa\0\0\x06\x6c\0\0\x98\x03\0\0\x01\
\x58\0\0\x01\xaa\0\0\x06\xb0\0\0\xa4\x0f\0\0\x01\x88\0\0\x01\xaa\0\0\0\0\0\0\0\
\0\0\0\x01\x90\0\0\x01\xaa\0\0\x06\xc6\0\0\xa8\x12\0\0\x01\xa8\0\0\x01\xaa\0\0\
\x06\xc6\0\0\xa8\x12\0\0\x01\xb0\0\0\x01\xaa\0\0\x06\xc6\0\0\xa8\x0f\0\0\x01\
\xc8\0\0\x01\xaa\0\0\x01\xea\0\0\xc0\x05\0\0\0\x10\0\0\x01\x8c\0\0\0\x03\0\0\0\
\0\0\0\0\x14\0\0\x01\xa4\0\0\0\0\0\0\0\x18\0\0\0\x25\0\0\x05\x21\0\0\0\0\0\0\
\x01\x70\0\0\0\x25\0\0\x06\xc2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\0\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x03\0\0\0\0\0\0\
\x01\xc8\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x03\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\
\0\0\0\0\x3a\x01\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\x03\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\xd8\0\0\0\x52\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x1f\
\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x9a\x11\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x50\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\
\x98\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\xd0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\
\xe8\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\
\x09\x5c\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x09\x74\0\0\0\x09\0\0\0\x04\0\0\0\0\0\
\0\x09\x8c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\x09\xa4\0\0\0\x0a\0\0\0\x04\0\0\0\0\
\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\0\x50\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\0\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xd0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xf0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\
\x10\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x01\x30\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x01\x50\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x60\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x01\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x80\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x01\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xac\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x01\xbc\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xcc\0\0\0\x01\0\0\0\x04\
\x0e\x0f\x11\x10\x06\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x73\x6c\x61\x62\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\
\x67\0\x73\x6c\x61\x62\x5f\x7a\x65\x72\x6f\x5f\x76\x61\x6c\x75\x65\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\0\x2e\x72\x65\
\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x6b\x6d\x65\x6d\x5f\x63\x61\x63\x68\x65\x5f\
\x61\x6c\x6c\x6f\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x35\0\x4c\
\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\xb5\0\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x16\x80\0\0\0\0\0\0\0\x50\0\0\0\x0e\0\0\0\x03\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x1c\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\x11\x48\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x16\xd0\0\0\0\0\0\0\0\x40\0\0\0\x0e\0\0\0\x09\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x13\x98\0\0\0\0\0\0\x01\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\x10\0\0\0\0\0\0\x01\xa0\0\0\0\x0e\0\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\x2c\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\xb0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x81\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x78\0\0\0\0\
\0\0\x01\x08\0\0\0\x01\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct slabratetop_bpf *slabratetop_bpf::open(const struct bpf_object_open_opts *opts) { return slabratetop_bpf__open_opts(opts); }
struct slabratetop_bpf *slabratetop_bpf::open_and_load() { return slabratetop_bpf__open_and_load(); }
int slabratetop_bpf::load(struct slabratetop_bpf *skel) { return slabratetop_bpf__load(skel); }
int slabratetop_bpf::attach(struct slabratetop_bpf *skel) { return slabratetop_bpf__attach(skel); }
void slabratetop_bpf::detach(struct slabratetop_bpf *skel) { slabratetop_bpf__detach(skel); }
void slabratetop_bpf::destroy(struct slabratetop_bpf *skel) { slabratetop_bpf__destroy(skel); }
const void *slabratetop_bpf::elf_bytes(size_t *sz) { return slabratetop_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
slabratetop_bpf__assert(struct slabratetop_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->target_pid) == 4, "unexpected size of 'target_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SLABRATETOP_BPF_SKEL_H__ */
