/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOFTIRQS_BPF_SKEL_H__
#define __SOFTIRQS_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct softirqs_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *start;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *softirq_entry_btf;
		struct bpf_program *softirq_exit_btf;
		struct bpf_program *softirq_entry;
		struct bpf_program *softirq_exit;
	} progs;
	struct {
		struct bpf_link *softirq_entry_btf;
		struct bpf_link *softirq_exit_btf;
		struct bpf_link *softirq_entry;
		struct bpf_link *softirq_exit;
	} links;
	struct softirqs_bpf__rodata {
		bool targ_dist;
		bool targ_ns;
	} *rodata;
	struct softirqs_bpf__bss {
		__u64 counts[10];
		__u64 time[10];
		struct hist hists[10];
	} *bss;

#ifdef __cplusplus
	static inline struct softirqs_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct softirqs_bpf *open_and_load();
	static inline int load(struct softirqs_bpf *skel);
	static inline int attach(struct softirqs_bpf *skel);
	static inline void detach(struct softirqs_bpf *skel);
	static inline void destroy(struct softirqs_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
softirqs_bpf__destroy(struct softirqs_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
softirqs_bpf__create_skeleton(struct softirqs_bpf *obj);

static inline struct softirqs_bpf *
softirqs_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct softirqs_bpf *obj;
	int err;

	obj = (struct softirqs_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = softirqs_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	softirqs_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct softirqs_bpf *
softirqs_bpf__open(void)
{
	return softirqs_bpf__open_opts(NULL);
}

static inline int
softirqs_bpf__load(struct softirqs_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct softirqs_bpf *
softirqs_bpf__open_and_load(void)
{
	struct softirqs_bpf *obj;
	int err;

	obj = softirqs_bpf__open();
	if (!obj)
		return NULL;
	err = softirqs_bpf__load(obj);
	if (err) {
		softirqs_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
softirqs_bpf__attach(struct softirqs_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
softirqs_bpf__detach(struct softirqs_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *softirqs_bpf__elf_bytes(size_t *sz);

static inline int
softirqs_bpf__create_skeleton(struct softirqs_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "softirqs_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "start";
	s->maps[0].map = &obj->maps.start;

	s->maps[1].name = "softirqs.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "softirqs.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "softirq_entry_btf";
	s->progs[0].prog = &obj->progs.softirq_entry_btf;
	s->progs[0].link = &obj->links.softirq_entry_btf;

	s->progs[1].name = "softirq_exit_btf";
	s->progs[1].prog = &obj->progs.softirq_exit_btf;
	s->progs[1].link = &obj->links.softirq_exit_btf;

	s->progs[2].name = "softirq_entry";
	s->progs[2].prog = &obj->progs.softirq_entry;
	s->progs[2].link = &obj->links.softirq_entry;

	s->progs[3].name = "softirq_exit";
	s->progs[3].prog = &obj->progs.softirq_exit;
	s->progs[3].link = &obj->links.softirq_exit;

	s->data = softirqs_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *softirqs_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\
\xff\xf4\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\xbf\x3a\0\0\0\
\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x71\0\
\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\x67\x70\0\0\0\0\0\x20\
\x77\x70\0\0\0\0\0\x20\x25\x70\0\x46\0\0\0\x09\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\
\x60\0\0\0\0\0\0\x15\x60\0\x3f\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x16\0\0\0\0\0\0\
\x1f\x01\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x21\0\0\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x37\x10\0\0\0\0\x03\xe8\x15\x20\0\x01\0\0\0\0\xbf\x10\0\0\
\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0b\
\0\0\0\0\x67\x70\0\0\0\0\0\x03\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x27\0\0\
\0\0\0\0\xb7\x30\0\0\0\0\0\x01\xdb\x23\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0f\x27\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\x05\0\0\x26\0\0\0\0\x67\x10\0\
\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\xb7\x20\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x01\
\x25\x10\0\x01\0\0\xff\xff\xb7\x30\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x04\x7f\x13\0\
\0\0\0\0\0\xb7\x50\0\0\0\0\0\x01\x25\x10\0\x01\0\0\0\xff\xb7\x50\0\0\0\0\0\0\
\x67\x50\0\0\0\0\0\x03\x7f\x15\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x25\x10\0\x01\0\
\0\0\x0f\xb7\0\0\0\0\0\0\0\x27\x70\0\0\0\0\0\x50\x18\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x67\0\0\0\0\0\0\x02\x7f\x10\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x01\x25\x10\0\
\x01\0\0\0\x03\xb7\x60\0\0\0\0\0\0\x0f\x47\0\0\0\0\0\0\x67\x60\0\0\0\0\0\x01\
\x7f\x16\0\0\0\0\0\0\x77\x10\0\0\0\0\0\x01\x4f\x31\0\0\0\0\0\0\x4f\x35\0\0\0\0\
\0\0\x4f\x30\0\0\0\0\0\0\x4f\x36\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x13\x2d\x13\0\
\x01\0\0\0\0\xb7\x30\0\0\0\0\0\x13\x67\x30\0\0\0\0\0\x02\x0f\x43\0\0\0\0\0\0\
\xc3\x42\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x05\
\x7b\xa0\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xf4\0\0\0\0\xbf\x2a\0\
\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x71\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x63\xa1\xff\xfc\0\0\0\0\x67\x70\0\0\0\0\0\x20\x77\x70\0\0\0\0\0\x20\x25\
\x70\0\x46\0\0\0\x09\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\
\x3f\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x16\0\0\0\0\0\0\x1f\x01\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x37\
\x10\0\0\0\0\x03\xe8\x15\x20\0\x01\0\0\0\0\xbf\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x20\0\x0b\0\0\0\0\x67\x70\0\0\0\0\
\0\x03\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\
\0\x01\xdb\x23\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x27\0\0\0\0\
\0\0\xdb\x21\0\0\0\0\0\0\x05\0\0\x26\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\
\0\0\0\x20\xb7\x20\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x01\x25\x10\0\x01\0\0\xff\
\xff\xb7\x30\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x04\x7f\x13\0\0\0\0\0\0\xb7\x50\0\0\
\0\0\0\x01\x25\x10\0\x01\0\0\0\xff\xb7\x50\0\0\0\0\0\0\x67\x50\0\0\0\0\0\x03\
\x7f\x15\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x25\x10\0\x01\0\0\0\x0f\xb7\0\0\0\0\0\
\0\0\x27\x70\0\0\0\0\0\x50\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\0\0\0\
\x02\x7f\x10\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\x01\x25\x10\0\x01\0\0\0\x03\xb7\x60\
\0\0\0\0\0\0\x0f\x47\0\0\0\0\0\0\x67\x60\0\0\0\0\0\x01\x7f\x16\0\0\0\0\0\0\x77\
\x10\0\0\0\0\0\x01\x4f\x31\0\0\0\0\0\0\x4f\x35\0\0\0\0\0\0\x4f\x30\0\0\0\0\0\0\
\x4f\x36\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x13\x2d\x13\0\x01\0\0\0\0\xb7\x30\0\0\0\
\0\0\x13\x67\x30\0\0\0\0\0\x02\x0f\x43\0\0\0\0\0\0\xc3\x42\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x03\x48\0\0\x03\x48\0\0\x05\x1b\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\
\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x06\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1d\x08\0\0\0\0\0\0\x0a\0\0\0\
\x23\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x30\x08\0\
\0\0\0\0\0\x0d\0\0\0\x34\x08\0\0\0\0\0\0\x0e\0\0\0\x3a\x01\0\0\0\0\0\0\x08\0\0\
\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\0\x52\0\0\
\0\x05\0\0\0\x40\0\0\0\x5e\0\0\0\x07\0\0\0\x80\0\0\0\x62\0\0\0\x0b\0\0\0\xc0\0\
\0\0\x68\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\0\x0d\
\0\0\x01\0\0\0\x02\0\0\0\x6e\0\0\0\x11\0\0\0\x72\x0c\0\0\x01\0\0\0\x12\0\0\0\0\
\x0d\0\0\x01\0\0\0\x02\0\0\0\x6e\0\0\0\x11\0\0\x01\x69\x0c\0\0\x01\0\0\0\x14\0\
\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x6e\0\0\0\x11\0\0\x04\x14\x0c\0\0\x01\0\0\0\
\x16\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x6e\0\0\0\x11\0\0\x04\x68\x0c\0\0\x01\
\0\0\0\x18\0\0\0\0\x0a\0\0\0\0\0\0\x1b\0\0\0\0\x09\0\0\0\0\0\0\x1c\0\0\x04\xb9\
\x08\0\0\0\0\0\0\x1d\0\0\x04\xbe\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\x04\xc4\
\x0e\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\x04\xce\x0e\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x04\0\0\0\x0a\0\0\x04\xd6\x0e\0\0\0\0\0\0\
\x20\0\0\0\x01\0\0\x04\xdd\x0e\0\0\0\0\0\0\x20\0\0\0\x01\0\0\x04\xe2\x04\0\0\
\x01\0\0\0\x50\0\0\x04\xe7\0\0\0\x24\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x04\0\0\0\x14\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\0\0\
\x0a\0\0\x04\xed\x0e\0\0\0\0\0\0\x25\0\0\0\x01\0\0\x04\xf3\x01\0\0\0\0\0\0\x01\
\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\x04\
\xf8\x0e\0\0\0\0\0\0\x28\0\0\0\x01\0\0\x05\0\x0f\0\0\x03\0\0\0\0\0\0\0\x21\0\0\
\0\0\0\0\0\x50\0\0\0\x22\0\0\0\0\0\0\0\x50\0\0\0\x26\0\0\0\0\0\0\x03\x20\0\0\
\x05\x05\x0f\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\x05\x0b\x0f\0\0\
\x02\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\0\0\0\0\x01\0\0\x05\
\x13\x0f\0\0\x01\0\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x33\
\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x74\x61\x72\x74\
\0\x63\x74\x78\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\x5f\x62\
\x74\x66\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\
\x74\x72\x79\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\
\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x73\x6f\x66\x74\x69\x72\x71\x73\
\x2e\x62\x70\x66\x2e\x63\0\x09\x75\x36\x34\x20\x74\x73\x20\x3d\x20\x62\x70\x66\
\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x75\x33\
\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x72\x74\x2c\
\x20\x26\x6b\x65\x79\x2c\x20\x26\x74\x73\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\
\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\
\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\x5f\x62\x74\x66\x2c\x20\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x76\x65\x63\x5f\x6e\x72\x29\0\x73\x6f\x66\
\x74\x69\x72\x71\x5f\x65\x78\x69\x74\x5f\x62\x74\x66\0\x74\x70\x5f\x62\x74\x66\
\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\
\x5f\x62\x74\x66\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\
\x76\x65\x63\x5f\x6e\x72\x29\0\x09\x69\x66\x20\x28\x76\x65\x63\x5f\x6e\x72\x20\
\x3e\x3d\x20\x4e\x52\x5f\x53\x4f\x46\x54\x49\x52\x51\x53\x29\0\x09\x74\x73\x70\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x73\x74\x61\x72\x74\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x74\x73\x70\x29\0\x09\x64\x65\x6c\x74\x61\x20\x3d\x20\x62\
\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x20\x2d\
\x20\x2a\x74\x73\x70\x3b\0\x09\x69\x66\x20\x28\x21\x74\x61\x72\x67\x5f\x6e\x73\
\x29\0\x09\x69\x66\x20\x28\x21\x74\x61\x72\x67\x5f\x64\x69\x73\x74\x29\x20\x7b\
\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\
\x61\x64\x64\x28\x26\x63\x6f\x75\x6e\x74\x73\x5b\x76\x65\x63\x5f\x6e\x72\x5d\
\x2c\x20\x31\x29\x3b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x74\x69\x6d\x65\x5b\x76\x65\x63\x5f\
\x6e\x72\x5d\x2c\x20\x64\x65\x6c\x74\x61\x29\x3b\0\x09\x09\x73\x6c\x6f\x74\x20\
\x3d\x20\x6c\x6f\x67\x32\x28\x64\x65\x6c\x74\x61\x29\x3b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\
\x63\x2d\x30\x2e\x32\x39\x2e\x31\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\
\x6c\x73\x2f\x2e\x2f\x62\x69\x74\x73\x2e\x62\x70\x66\x2e\x68\0\x09\x72\x20\x3d\
\x20\x28\x76\x20\x3e\x20\x30\x78\x46\x46\x46\x46\x29\x20\x3c\x3c\x20\x34\x3b\
\x20\x76\x20\x3e\x3e\x3d\x20\x72\x3b\0\x09\x73\x68\x69\x66\x74\x20\x3d\x20\x28\
\x76\x20\x3e\x20\x30\x78\x46\x46\x29\x20\x3c\x3c\x20\x33\x3b\x20\x76\x20\x3e\
\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\x3d\x20\x73\x68\x69\x66\
\x74\x3b\0\x09\x73\x68\x69\x66\x74\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x46\
\x29\x20\x3c\x3c\x20\x32\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\
\x3b\x20\x72\x20\x7c\x3d\x20\x73\x68\x69\x66\x74\x3b\0\x09\x73\x68\x69\x66\x74\
\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x33\x29\x20\x3c\x3c\x20\x31\x3b\x20\
\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\x3d\x20\x73\
\x68\x69\x66\x74\x3b\0\x09\x72\x20\x7c\x3d\x20\x28\x76\x20\x3e\x3e\x20\x31\x29\
\x3b\0\x09\x09\x69\x66\x20\x28\x73\x6c\x6f\x74\x20\x3e\x3d\x20\x4d\x41\x58\x5f\
\x53\x4c\x4f\x54\x53\x29\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\
\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x68\x69\x73\x74\x2d\x3e\x73\x6c\
\x6f\x74\x73\x5b\x73\x6c\x6f\x74\x5d\x2c\x20\x31\x29\x3b\0\x73\x6f\x66\x74\x69\
\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x6f\x66\x74\
\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\x2c\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x76\x65\x63\x5f\x6e\x72\x29\0\
\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\x2c\
\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x76\x65\x63\x5f\x6e\
\x72\x29\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x74\x61\x72\x67\x5f\x64\x69\
\x73\x74\0\x74\x61\x72\x67\x5f\x6e\x73\0\x63\x6f\x75\x6e\x74\x73\0\x74\x69\x6d\
\x65\0\x68\x69\x73\x74\0\x73\x6c\x6f\x74\x73\0\x68\x69\x73\x74\x73\0\x63\x68\
\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\
\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\xeb\x9f\x01\0\
\0\0\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\x05\x24\0\0\x05\x68\0\0\0\0\0\0\0\
\x08\0\0\0\x84\0\0\0\x01\0\0\0\0\0\0\0\x13\0\0\x01\x7a\0\0\0\x01\0\0\0\0\0\0\0\
\x15\0\0\x04\x22\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\x04\x75\0\0\0\x01\0\0\0\0\0\0\
\0\x19\0\0\0\x10\0\0\0\x84\0\0\0\x06\0\0\0\0\0\0\0\x99\0\0\0\xd6\0\0\x68\x0b\0\
\0\0\x08\0\0\0\x99\0\0\0\xd6\0\0\x68\x06\0\0\0\x18\0\0\0\x99\0\0\0\xf4\0\0\x6c\
\x06\0\0\0\x28\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x99\0\0\x01\x02\0\0\
\x74\x02\0\0\0\x60\0\0\0\x99\0\0\x01\x34\0\x01\x04\x05\0\0\x01\x7a\0\0\0\x22\0\
\0\0\0\0\0\0\x99\0\0\x01\x8e\0\x01\x1c\x05\0\0\0\x10\0\0\0\x99\0\0\0\xf4\0\0\
\x90\x06\0\0\0\x18\0\0\0\x99\0\0\x01\x8e\0\x01\x1c\x05\0\0\0\x28\0\0\0\x99\0\0\
\x01\xc2\0\0\x98\x06\0\0\0\x38\0\0\0\x99\0\0\x01\xde\0\0\xa0\x08\0\0\0\x60\0\0\
\0\x99\0\0\x02\x08\0\0\xa4\x06\0\0\0\x68\0\0\0\x99\0\0\x02\x13\0\0\xac\x0a\0\0\
\0\x70\0\0\0\x99\0\0\x02\x13\0\0\xac\x1f\0\0\0\x78\0\0\0\x99\0\0\x02\x13\0\0\
\xac\x1d\0\0\0\x80\0\0\0\x99\0\0\x02\x37\0\0\xb0\x07\0\0\0\x98\0\0\0\x99\0\0\
\x02\x37\0\0\xb0\x06\0\0\0\xb8\0\0\0\x99\0\0\x02\x46\0\0\xbc\x07\0\0\0\xd0\0\0\
\0\x99\0\0\x02\x46\0\0\xbc\x06\0\0\0\xd8\0\0\0\x99\0\0\x02\x59\0\0\xc0\x19\0\0\
\x01\0\0\0\0\x99\0\0\x02\x59\0\0\xc0\x03\0\0\x01\x08\0\0\0\x99\0\0\x02\x85\0\0\
\xc4\x19\0\0\x01\x20\0\0\0\x99\0\0\x02\x85\0\0\xc4\x03\0\0\x01\x30\0\0\0\x99\0\
\0\x02\xb3\0\0\xdc\x0f\0\0\x01\x60\0\0\x02\xc9\0\0\x03\x04\0\0\x30\x13\0\0\x01\
\x68\0\0\x02\xc9\0\0\x03\x04\0\0\x30\x1b\0\0\x01\x88\0\0\x02\xc9\0\0\x03\x25\0\
\0\x34\x15\0\0\x01\x90\0\0\x02\xc9\0\0\x03\x25\0\0\x34\x1d\0\0\x01\xb0\0\0\0\
\x99\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\x02\xc9\0\0\x03\x58\0\0\x38\x14\0\0\x01\
\xd0\0\0\x02\xc9\0\0\x03\x58\0\0\x38\x1c\0\0\x01\xf0\0\0\0\x99\0\0\0\0\0\0\0\0\
\0\0\x01\xf8\0\0\x02\xc9\0\0\x03\x8a\0\0\x3c\x14\0\0\x02\0\0\0\x02\xc9\0\0\x03\
\x8a\0\0\x3c\x1c\0\0\x02\x08\0\0\x02\xc9\0\0\x03\xbc\0\0\x40\x0a\0\0\x02\x10\0\
\0\x02\xc9\0\0\x03\xbc\0\0\x40\x04\0\0\x02\x38\0\0\0\x99\0\0\x03\xcc\0\0\xe0\
\x07\0\0\x02\x48\0\0\0\x99\0\0\x03\xe5\0\0\xe8\x19\0\0\x02\x58\0\0\0\x99\0\0\
\x03\xe5\0\0\xe8\x03\0\0\x02\x60\0\0\0\x99\0\0\x01\x8e\0\x01\x1c\x05\0\0\x04\
\x22\0\0\0\x06\0\0\0\0\0\0\0\x99\0\0\0\xd6\0\0\x68\x0b\0\0\0\x08\0\0\0\x99\0\0\
\0\xd6\0\0\x68\x06\0\0\0\x18\0\0\0\x99\0\0\0\xf4\0\0\x6c\x06\0\0\0\x28\0\0\0\
\x99\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x99\0\0\x01\x02\0\0\x74\x02\0\0\0\x60\0\0\
\0\x99\0\0\x04\x37\0\x01\x34\x05\0\0\x04\x75\0\0\0\x22\0\0\0\0\0\0\0\x99\0\0\
\x04\x89\0\x01\x4c\x05\0\0\0\x10\0\0\0\x99\0\0\0\xf4\0\0\x90\x06\0\0\0\x18\0\0\
\0\x99\0\0\x04\x89\0\x01\x4c\x05\0\0\0\x28\0\0\0\x99\0\0\x01\xc2\0\0\x98\x06\0\
\0\0\x38\0\0\0\x99\0\0\x01\xde\0\0\xa0\x08\0\0\0\x60\0\0\0\x99\0\0\x02\x08\0\0\
\xa4\x06\0\0\0\x68\0\0\0\x99\0\0\x02\x13\0\0\xac\x0a\0\0\0\x70\0\0\0\x99\0\0\
\x02\x13\0\0\xac\x1f\0\0\0\x78\0\0\0\x99\0\0\x02\x13\0\0\xac\x1d\0\0\0\x80\0\0\
\0\x99\0\0\x02\x37\0\0\xb0\x07\0\0\0\x98\0\0\0\x99\0\0\x02\x37\0\0\xb0\x06\0\0\
\0\xb8\0\0\0\x99\0\0\x02\x46\0\0\xbc\x07\0\0\0\xd0\0\0\0\x99\0\0\x02\x46\0\0\
\xbc\x06\0\0\0\xd8\0\0\0\x99\0\0\x02\x59\0\0\xc0\x19\0\0\x01\0\0\0\0\x99\0\0\
\x02\x59\0\0\xc0\x03\0\0\x01\x08\0\0\0\x99\0\0\x02\x85\0\0\xc4\x19\0\0\x01\x20\
\0\0\0\x99\0\0\x02\x85\0\0\xc4\x03\0\0\x01\x30\0\0\0\x99\0\0\x02\xb3\0\0\xdc\
\x0f\0\0\x01\x60\0\0\x02\xc9\0\0\x03\x04\0\0\x30\x13\0\0\x01\x68\0\0\x02\xc9\0\
\0\x03\x04\0\0\x30\x1b\0\0\x01\x88\0\0\x02\xc9\0\0\x03\x25\0\0\x34\x15\0\0\x01\
\x90\0\0\x02\xc9\0\0\x03\x25\0\0\x34\x1d\0\0\x01\xb0\0\0\0\x99\0\0\0\0\0\0\0\0\
\0\0\x01\xc8\0\0\x02\xc9\0\0\x03\x58\0\0\x38\x14\0\0\x01\xd0\0\0\x02\xc9\0\0\
\x03\x58\0\0\x38\x1c\0\0\x01\xf0\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\x01\xf8\0\0\x02\
\xc9\0\0\x03\x8a\0\0\x3c\x14\0\0\x02\0\0\0\x02\xc9\0\0\x03\x8a\0\0\x3c\x1c\0\0\
\x02\x08\0\0\x02\xc9\0\0\x03\xbc\0\0\x40\x0a\0\0\x02\x10\0\0\x02\xc9\0\0\x03\
\xbc\0\0\x40\x04\0\0\x02\x38\0\0\0\x99\0\0\x03\xcc\0\0\xe0\x07\0\0\x02\x48\0\0\
\0\x99\0\0\x03\xe5\0\0\xe8\x19\0\0\x02\x58\0\0\0\x99\0\0\x03\xe5\0\0\xe8\x03\0\
\0\x02\x60\0\0\0\x99\0\0\x04\x89\0\x01\x4c\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x23\0\0\0\x05\0\0\0\
\0\0\0\x02\x60\0\0\0\0\0\0\0\0\0\0\x01\x50\0\0\0\x05\0\0\0\0\0\0\0\xb8\0\0\0\0\
\0\0\0\0\0\0\x01\x32\0\0\0\x05\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\0\0\0\x01\x14\
\0\0\0\x05\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\x01\x7f\0\0\0\x05\0\0\0\0\0\
\0\x01\x88\0\0\0\0\0\0\0\0\0\0\x01\x6f\0\0\0\x05\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\
\0\0\0\0\0\x01\x5f\0\0\0\x05\0\0\0\0\0\0\x01\xf0\0\0\0\0\0\0\0\0\0\0\x01\x41\0\
\0\0\x05\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x1b\0\0\0\x09\0\0\0\0\0\0\x02\x60\0\0\0\0\0\0\0\0\0\0\x01\x49\0\0\0\x09\0\0\0\
\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\x01\x2b\0\0\0\x09\0\0\0\0\0\0\x01\x30\0\0\0\0\
\0\0\0\0\0\0\x01\x0d\0\0\0\x09\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\x01\x77\
\0\0\0\x09\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\0\0\0\0\x01\x67\0\0\0\x09\0\0\0\0\0\
\0\x01\xb0\0\0\0\0\0\0\0\0\0\0\x01\x57\0\0\0\x09\0\0\0\0\0\0\x01\xf0\0\0\0\0\0\
\0\0\0\0\0\x01\x39\0\0\0\x09\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\xb4\x12\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x50\x11\0\0\x0e\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\xc6\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\
\0\0\0\x9e\x11\0\0\x0b\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x46\x11\0\0\
\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x8c\x11\0\0\x0c\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x50\0\0\0\xdf\x11\0\0\x0c\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x50\0\0\
\0\x86\x11\0\0\x0c\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\x03\x20\0\0\0\x25\x12\0\0\x07\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x79\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x70\0\0\x01\x05\x11\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\
\0\0\0\x80\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\xe0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\
\0\x01\xb8\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\0\
\0\0\x40\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\
\0\xb8\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\
\x01\x08\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x01\xb8\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\
\0\x02\xec\0\0\0\x1a\0\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\0\x1b\0\0\0\x04\0\0\0\0\
\0\0\x03\x04\0\0\0\x1c\0\0\0\x04\0\0\0\0\0\0\x03\x1c\0\0\0\x16\0\0\0\x04\0\0\0\
\0\0\0\x03\x34\0\0\0\x19\0\0\0\x03\0\0\0\0\0\0\x03\x40\0\0\0\x18\0\0\0\x03\0\0\
\0\0\0\0\x03\x58\0\0\0\x1f\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\0\x3c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x4c\0\0\0\x0b\0\0\0\x04\0\0\0\
\0\0\0\0\x5c\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\0\x80\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\0\xa0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\0\xc0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xd8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xe8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xf8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\
\x08\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x18\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\x01\x28\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x38\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\x01\x48\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x58\0\0\0\x02\0\0\0\x04\0\0\0\0\
\0\0\x01\x68\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x78\0\0\0\x02\0\0\0\x04\0\0\0\
\0\0\0\x01\x88\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x98\0\0\0\x02\0\0\0\x04\0\0\
\0\0\0\0\x01\xa8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xb8\0\0\0\x02\0\0\0\x04\0\
\0\0\0\0\0\x01\xc8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xd8\0\0\0\x02\0\0\0\x04\
\0\0\0\0\0\0\x01\xe8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xf8\0\0\0\x02\0\0\0\
\x04\0\0\0\0\0\0\x02\x08\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\x02\0\0\
\0\x04\0\0\0\0\0\0\x02\x28\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\x38\0\0\0\x02\0\
\0\0\x04\0\0\0\0\0\0\x02\x48\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\x58\0\0\0\x02\
\0\0\0\x04\0\0\0\0\0\0\x02\x68\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\x78\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\x02\x88\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\x98\0\0\
\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\xb8\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\xc8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\xd8\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x02\xe8\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x03\0\
\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\x10\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\
\x20\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\x30\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\
\x03\x40\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x03\x50\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\
\0\x03\x68\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x03\x78\0\0\0\x0c\0\0\0\x04\0\0\0\0\
\0\0\x03\x88\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x03\x98\0\0\0\x0c\0\0\0\x04\0\0\0\
\0\0\0\x03\xa8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x03\xb8\0\0\0\x0c\0\0\0\x04\0\0\
\0\0\0\0\x03\xc8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x03\xd8\0\0\0\x0c\0\0\0\x04\0\
\0\0\0\0\0\x03\xe8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x03\xf8\0\0\0\x0c\0\0\0\x04\
\0\0\0\0\0\0\x04\x08\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\x18\0\0\0\x0c\0\0\0\
\x04\0\0\0\0\0\0\x04\x28\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\x38\0\0\0\x0c\0\0\
\0\x04\0\0\0\0\0\0\x04\x48\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\x58\0\0\0\x0c\0\
\0\0\x04\0\0\0\0\0\0\x04\x68\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\x78\0\0\0\x0c\
\0\0\0\x04\0\0\0\0\0\0\x04\x88\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\x98\0\0\0\
\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xa8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xb8\0\0\
\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xc8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xd8\0\
\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xe8\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x04\xf8\
\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x05\x08\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x05\
\x18\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x05\x28\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\
\x05\x38\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x05\x48\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\
\0\x05\x58\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x05\x68\0\0\0\x0c\0\0\0\x04\0\0\0\0\
\0\0\x05\x78\0\0\0\x0c\0\0\0\x04\x1c\x1e\x24\x25\x20\x1f\x21\x22\x23\x26\x1d\0\
\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\
\x65\x6e\x74\x72\x79\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x73\x6f\x66\
\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\x61\x72\x67\x5f\x64\x69\x73\x74\0\
\x73\x74\x61\x72\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x6f\x66\
\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\
\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x68\x69\x73\x74\x73\0\
\x63\x6f\x75\x6e\x74\x73\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x74\x61\x72\
\x67\x5f\x6e\x73\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x73\
\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\x5f\x62\x74\x66\0\x73\x6f\x66\
\x74\x69\x72\x71\x5f\x65\x78\x69\x74\x5f\x62\x74\x66\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x74\x69\x6d\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x33\x5f\x38\0\x4c\x42\x42\x31\x5f\x38\0\x4c\
\x42\x42\x33\x5f\x31\x37\0\x4c\x42\x42\x31\x5f\x31\x37\0\x4c\x42\x42\x33\x5f\
\x36\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x33\x5f\x31\x36\0\x4c\x42\x42\x31\
\x5f\x31\x36\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\
\x33\x5f\x31\x34\0\x4c\x42\x42\x31\x5f\x31\x34\0\x4c\x42\x42\x33\x5f\x31\x32\0\
\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x31\x30\0\x4c\x42\x42\x31\
\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe4\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\xd3\0\0\0\0\
\0\0\x01\x87\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x17\x38\0\0\0\0\0\0\0\x10\0\0\0\x14\0\0\0\x03\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\x72\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x6e\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\
\x48\0\0\0\0\0\0\0\x60\0\0\0\x14\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\
\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\xa8\0\0\0\0\0\0\0\x10\
\0\0\0\x14\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x5a\0\0\0\x01\0\
\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\0\0\x02\x70\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\xb8\0\0\0\0\0\0\0\x60\0\0\0\x14\0\0\0\x09\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xf4\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\x08\0\0\0\0\0\0\x03\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\xd7\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x98\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x10\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x30\0\0\0\0\0\0\x08\x7b\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xfc\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x18\0\0\0\0\0\0\0\x70\0\0\0\x14\0\0\0\x0f\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x3d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0e\xac\0\0\0\0\0\0\x05\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x88\0\0\0\0\0\0\x05\x40\0\0\0\x14\0\0\0\x11\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\xa6\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x1d\xc8\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\xec\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\
\x38\0\0\0\0\0\0\x03\0\0\0\0\x01\0\0\0\x15\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct softirqs_bpf *softirqs_bpf::open(const struct bpf_object_open_opts *opts) { return softirqs_bpf__open_opts(opts); }
struct softirqs_bpf *softirqs_bpf::open_and_load() { return softirqs_bpf__open_and_load(); }
int softirqs_bpf::load(struct softirqs_bpf *skel) { return softirqs_bpf__load(skel); }
int softirqs_bpf::attach(struct softirqs_bpf *skel) { return softirqs_bpf__attach(skel); }
void softirqs_bpf::detach(struct softirqs_bpf *skel) { softirqs_bpf__detach(skel); }
void softirqs_bpf::destroy(struct softirqs_bpf *skel) { softirqs_bpf__destroy(skel); }
const void *softirqs_bpf::elf_bytes(size_t *sz) { return softirqs_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
softirqs_bpf__assert(struct softirqs_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->targ_dist) == 1, "unexpected size of 'targ_dist'");
	_Static_assert(sizeof(s->rodata->targ_ns) == 1, "unexpected size of 'targ_ns'");
	_Static_assert(sizeof(s->bss->counts) == 80, "unexpected size of 'counts'");
	_Static_assert(sizeof(s->bss->time) == 80, "unexpected size of 'time'");
	_Static_assert(sizeof(s->bss->hists) == 800, "unexpected size of 'hists'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOFTIRQS_BPF_SKEL_H__ */
